2004-07-23  elisteran  <elisteran@D5DC120J>

	* erc.el 1.675 (erc-select-read-args):
	Use erc-compute-nick to calculate the default nickname

2004-07-20  elisteran  <elisteran@D5DC120J>

	* erc.el 1.674 (erc-process-sentinel-1):
	New function. This is an auxiliary
	function refactored out of erc-process-sentinel to decide a server
	buffer's fate (whether it should be killed, and whether erc should
	attempt to auto-reconnect).
	(erc-kill-server-buffer-on-quit): New variable. Used in
	erc-process-sentinel-1 to decide whether to kill a server buffer
	when the user quit normally.
	(erc-process-sentinel): Auxiliary function erc-process-sentinel-1
	split out.  The function body has `with-current-buffer' wrapped
	around it, to ensure separation of messages if multiple
	connections were being made.  Use `if' instead of `cond' in places
	where the decision is binary.  The last (useless, since the server
	connection is closed) prompt in the server buffer is
	removed.  Color "erc terminated" and "erc finished" messages with
	erc-error-face.  Mark the buffer unmodified so that, if not killed
	automatically, the user is not prompted to save it.

2004-07-16  elisteran  <elisteran@D5DC120J>

	* erc.el 1.673:
	* erc.el (erc-select-read-args): New function. Prompts the user
	for arguments to pass to erc-select and erc-select-ssl.
	(erc-select): Use (erc-select-read-args) when called interactively to get its arguments.
	When non-interactively, use keyword arguments.
	(erc-select-ssl): Ditto.
	(erc-compute-port): New function. Parallel to
	erc-compute-server, but comes up with a default value
	for an IRC server's port.

2004-07-16  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-match.el 1.36 (erc-match-message): Quote the current nickname.

2004-07-12  elisteran  <elisteran@D5DC120J>

	* erc-list.el 1.28:
	* erc-list.el (erc-chanlist-mode): Remove explicit invocation of
	erc-chanlist-mode-hook, since it's automatically invoked by
	define-derived-mode

2004-07-03  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-match.el 1.35 (erc-match-current-nick-p):
	Quote current nick for regexp parsing.

2004-06-27  bojohan  <bojohan@D5DC120J>

	* erc-nickserv.el 1.20 (erc-nickserv-identify-mode):
	Fix erroneous parentheses in call to
	`completing-read'.

2004-06-23  Alex Schroeder  <alex@gnu.org>

	* Makefile 1.22 (release): Depend on autoloads, and copy erc-auto.el
	into the tarball.

2004-06-14  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.672 (erc-log-irc-protocol):
	Fixed minor bug where each line received from a server was logged as
	    two lines (one with text and one blank).

2004-06-08  elisteran  <elisteran@D5DC120J>

	* erc-list.el 1.27 (erc-chanlist-frame-parameters): Made customizable.
	(erc-chanlist-header-face): Changed to use defface with some reasonable defaults instead of make-face, and removed the associated -face variable.
	(erc-chanlist-odd-line-face): Ditto.
	(erc-chanlist-even-line-face): Ditto.
	(erc-chanlist-highlight-face): New variable. Holds a face used for highlighting the current line.
	(erc-cmd-LIST): Use erc-member-ignore-case instead of member-ignore-case.
	(erc-chanlist-post-command-hook): Change to move the highlight overlay instead of refontifying the entire buffer.
	(erc-chanlist-dehighlight-line): Added to detach the highlight overlay from the buffer.

2004-05-31  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.671: erc-mode-line-format: Add column numbers.

2004-05-31  adriana  <adriana@D5DC120J>

	* erc-autojoin.el 1.10, erc-dcc.el 1.85, erc-log.el 1.17, erc-members.el 1.7, 
	  erc-sound.el 1.5, erc.el 1.670:
	* erc-autojoin.el: Typo fix.
	* erc-dcc.el (erc-dcc-do-GET-command): Use expand-file-name.
	* erc-dcc.el (erc-dcc-get-file): XEmacs set-buffer-multibyte
	compatibility.
	* erc-log.el: Append `erc-log-setup-logging' to
	`erc-connect-pre-hook' so that `erc-initialize-log-marker' is run
	first (markers are needed by `erc-log-setup-logging').
	* erc-log.el (erc-enable-logging): Docstring fix.
	* erc-log.el (erc-log-setup-logging): Move
	`erc-log-insert-log-on-open' to (1- (point-max)) when doing
	`erc-log-insert-log-on-open'.  Modified version of a patch by
	Lawrence Mitchell.
	* erc-log.el (erc-log-all-but-server-buffers): Do `save-excursion'
	as well.
	* erc-log.el (erc-current-logfile): Pass buffer name as target
	argument to `erc-generate-log-file-name-function' if
	`erc-default-target' is nil.
	* erc-log.el (erc-generate-log-file-name-with-date): Use
	expand-file-name.
	* erc-log.el (erc-generate-log-file-name-short): Ditto.
	* erc-log.el (erc-save-buffer-in-logs): Do `save-excursion' and
	test whether erc-last-saved-position is a marker.
	* erc-members.el: Avoid miscompiling macro `erc-log' and
	`with-erc-channel-buffer' by requiring 'erc at compile time.
	* erc-sound.el: Use expand-file-name.
	* erc.el (erc-debug-log-file): Ditto.
	* erc.el (erc-find-file): Ditto.

2004-05-26  Francis Litterio  <franl@users.sourceforge.net>

	* erc-backend.el 1.6, erc.el 1.669 (erc-cmd-BANLIST):
	Added a missing "'" that was preventing /BANLIST from working.
	In erc-backend.el, added server repsonse handler for 367 and 368 reponses to get
	/BANLIST working.

	* erc.el 1.668:
	Removed an eval-when-compile that was preventing the byte-compiled version of this
	file from loading.

	* erc.el 1.667: Undid part of my last change.  I suspect it was wrong.

	* erc.el 1.666: Silenced several byte-compiler warnings.

	* erc.el 1.665 (erc-log-irc-protocol):
	Fixed problem where this function misformatted IRC protocol text
	if multiple lines were received from the server at one time.

2004-05-25  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.664 (erc-toggle-debug-irc-protocol):
	Cosmetic changes to the informational text in the
	*erc-protocol* buffer.

2004-05-24  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.663:
	(erc-log-irc-protocol), (erc-process-filter): Now the lines inserted in the *erc-protocol*
	    buffer are prefixed with the name of the network to/from which the data is going/coming.
	    This makes reading the *erc-protocol* buffer much easier when connected to multiple
	    networks.

2004-05-23  Jeremy Bertram Maitin-Shepard  <jbms@gentoo.org>

	* erc-backend.el 1.5:
	Fixes server message parsing so that command arguments specified after
	the colon are not treated specially.  All arguments are added to the
	`command-args' field, and the `contents' points to the last element in
	the `command-args' list.

	This allows ERC to connect to networks such as Undernet.

	Although keeping `contents' allows many of the response handlers to
	continue to work as-is, many other are probably broken by this patch.

2004-05-20  Lawrence Mitchell  <wence@gmx.li>

	* HACKING 1.4: Add comment that C-c C-a can be useful if you write
	ChangeLog entries using Emacs' standard functions.

2004-05-17  Diane Murray  <dsm@muenster.de>

	* erc-speedbar.el 1.15:
	Ignore errors when attempting to require dframe (there are a couple
	implementations of speedbar, one of which uses of dframe).
	(erc-speedbar-version): New.
	(erc-speedbar-goto-buffer): Use dframe functions if dframe is
	available.

	* erc-autojoin.el 1.9: Added local variables for this file.
	(erc-autojoin-add): The channel name is in `erc-response.contents'.

2004-05-17  Mario Lang  <mlang@delysid.org>

	* erc-log.el 1.16:
	Dont autoload a define-key statement, erc-mode-map might not be known yet

2004-05-16  Lawrence Mitchell  <wence@gmx.li>

	* erc-backend.el 1.4 (erc-parse-server-response): Revert to original
	`erc-parse-line-from-server' version, since new version breaks
	for a number of edge cases.

2004-05-15  Diane Murray  <dsm@muenster.de>

	* erc-backend.el 1.3 (erc-handle-unknown-server-response):
	New function.  Added to
	`erc-default-server-functions'.  Display unknown responses to the
	user.
	(221): Don't show nickname in modes list.
	(254): Fixed to use 's254.
	(303): Added docstring.
	(315, 318, 323, 369): Ignored responses grouped together.
	(391): New.
	(406, 432): Use ?n, not ?c in `erc-display-message'.
	(431, 445, 446, 451, 462, 463, 464, 465, 481, 483, 485, 491, 501,
	 502): All error responsess with no arguments grouped together.

	* erc.el 1.662 (erc-message-type-member): Use `erc-response.command'.
	`erc-track-exclude-types' should be respected again.
	(erc-cmd-TIME): Fixed to work with and without server given as
	argument.
	(erc-define-catalog): Added, s391, s431, s445, s446, s451, s462,
	s463, s464, s465, s483, s484, s485, s491, s501, s502.

2004-05-14  Lawrence Mitchell  <wence@gmx.li>

	* HACKING 1.3: Typo fix.

	* Makefile 1.21 (erc-auto.el): Pass -f flag to rm so that we don't
	fail if erc-auto.elc doesn't exist.

	* erc-backend.el 1.2 (erc-with-buffer): Autoload.
	(erc-parse-server-response): XEmacs' `replace-match' only
	replaces subexpressions when operating on buffers, not strings,
	work around it.
	(461): Command with invalid arguments is `second', not `third'.

2004-05-14  Diane Murray  <dsm@muenster.de>

	* erc-notify.el 1.26 (erc-notify-NICK):
	Use `erc-response.contents' to get nickname.

2004-05-13  Lawrence Mitchell  <wence@gmx.li>

	* erc-track.el 1.64: Indentation fixes.
	(track-when-inactive): Use `erc-server-FOO-functions', not
	`erc-server-FOO-hook.

	* erc-notify.el 1.25 (notify): Use `erc-server-FOO-functions', not
	`erc-server-FOO-hook.
	(erc-notify-timer, erc-notify-JOIN, erc-notify-NICK)
	(erc-notify-QUIT): Use new accessors for PARSED argument.

	* erc-nickserv.el 1.19 (services, erc-nickserv-identify-mode): Use
	`erc-server-FOO-functions', not `erc-server-FOO-hook.
	(erc-nickserv-identify-autodetect): Use new accessors for PARSED
	argument.

	* erc-netsplit.el 1.10 (netsplit): Use `erc-server-FOO-functions', not
	`erc-server-FOO-hook.
	(erc-netsplit-JOIN, erc-netsplit-MODE, erc-netsplit-QUIT): Use new
	accessors for PARSED argument.

	* erc-nets.el 1.14:
	Use `erc-server-FOO-functions', not `erc-server-FOO-hook.

	* erc-menu.el 1.16 (erc-menu-definition): Only allow listing of
	channels if `erc-cmd-LIST' is fboundp.

	* erc-match.el 1.34:
	Use `erc-server-FOO-functions', not `erc-server-FOO-hook.
	(erc-get-parsed-vector-nick, erc-get-parsed-vector-type): Use new
	accessors for PARSED argument.

	* erc-list.el 1.26 (erc-chanlist, erc-chanlist-322): Use new accessors
	for PARSED argument.  Use `erc-server-FOO-functions', not
	`erc-server-FOO-hook.

	* erc-ezbounce.el 1.8 (erc-ezb-notice-autodetect): Use new accessors
	for PARSED argument.
	(erc-ezb-initialize): Use `erc-server-FOO-functions', not
	`erc-server-FOO-hook.

	* erc-dcc.el 1.84:
	Use `erc-server-FOO-functions', not `erc-server-FOO-hook.
	(erc-dcc-no-such-nick): Use new accessors for PARSED argument.

	* erc-bbdb.el 1.22 (erc-bbdb-whois, erc-bbdb-JOIN, erc-bbdb-NICK): Use
	new accessors for PARSED argument.
	(BBDB): Use `erc-server-FOO-functions', not `erc-server-FOO-hook.

	* erc-autojoin.el 1.8 (autojoin): Use `erc-server-FOO-functions', not
	`erc-server-FOO-hook.
	(erc-autojoin-add, erc-autojoin-remove): Use new accessors for
	PARSED argument.

	* erc-autoaway.el 1.19 (autoaway): Use `erc-server-FOO-functions', not
	`erc-server-FOO-hook.

	* erc.el 1.661 (erc-backend): Require.
	(erc-disconnected-hook, erc-join-hook, erc-quit-hook)
	(erc-part-hook, erc-kick-hook): Docstring fix, we now use
	`erc-server-FOO-functions', rather than `erc-server-FOO-hook'.
	(erc-event-to-hook-name, erc-event-to-hook): Remove.
	(erc-once-with-server-event)
	(erc-once-with-server-event-global): Use `erc-get-hook'
	(erc-process-filter): Use `erc-parse-server-response'.
	(erc-cmd-IDLE, erc-cmd-BANLIST, erc-cmd-MASSUNBAN): New accessors
	for PARSED argument.  Rename all `erc-server-FOO-hook' to
	`erc-server-FOO-functions'.
	(erc-server-364-hook, erc-server-365-hook, erc-server-367-hook)
	(erc-server-368-hook, erc-server-KILL-hook)
	(erc-server-PONG-hook, erc-server-200-hook, erc-server-201-hook)
	(erc-server-202-hook, erc-server-203-hook, erc-server-204-hook)
	(erc-server-205-hook, erc-server-206-hook, erc-server-208-hook)
	(erc-server-209-hook, erc-server-211-hook, erc-server-212-hook)
	(erc-server-213-hook, erc-server-214-hook, erc-server-215-hook)
	(erc-server-216-hook, erc-server-217-hook, erc-server-218-hook)
	(erc-server-219-hook, erc-server-241-hook, erc-server-242-hook)
	(erc-server-243-hook, erc-server-244-hook, erc-server-249-hook)
	(erc-server-261-hook, erc-server-262-hook, erc-server-302-hook)
	(erc-server-323-hook, erc-server-342-hook, erc-server-351-hook)
	(erc-server-381-hook, erc-server-382-hook, erc-server-391-hook)
	(erc-server-392-hook, erc-server-393-hook, erc-server-394-hook)
	(erc-server-395-hook, erc-server-402-hook, erc-server-404-hook)
	(erc-server-407-hook, erc-server-409-hook, erc-server-411-hook)
	(erc-server-413-hook, erc-server-414-hook, erc-server-415-hook)
	(erc-server-422-hook, erc-server-423-hook, erc-server-424-hook)
	(erc-server-431-hook, erc-server-436-hook, erc-server-437-hook)
	(erc-server-441-hook, erc-server-443-hook, erc-server-444-hook)
	(erc-server-445-hook, erc-server-446-hook, erc-server-451-hook)
	(erc-server-462-hook, erc-server-463-hook, erc-server-464-hook)
	(erc-server-465-hook, erc-server-467-hook, erc-server-471-hook)
	(erc-server-472-hook, erc-server-473-hook, erc-server-483-hook)
	(erc-server-491-hook, erc-server-502-hook): Remove.
	(erc-call-hooks, erc-parse-line-from-server): Remove
	(erc-server-hook-list): Remove.  Remove top-level call too.
	(erc-server-ERROR, erc-server-INVITE, erc-server-JOIN)
	(erc-server-KICK, erc-server-MODE, erc-server-NICK)
	(erc-server-PART, erc-server-PING, erc-server-PONG)
	(erc-server-PRIVMSG-or-NOTICE, erc-server-QUIT)
	(erc-server-TOPIC, erc-server-WALLOPS, erc-server-001)
	(erc-server-004, erc-server-005, erc-server-221, erc-server-252)
	(erc-server-253, erc-server-254, erc-server-301, erc-server-303)
	(erc-server-305, erc-server-306, erc-server-311-or-314)
	(erc-server-312, erc-server-313, erc-server-317, erc-server-319)
	(erc-server-320, erc-server-321, erc-server-322, erc-server-324)
	(erc-server-329, erc-server-330, erc-server-331, erc-server-332)
	(erc-server-333, erc-server-341, erc-server-352, erc-server-353)
	(erc-server-366, erc-server-MOTD, erc-server-379)
	(erc-server-401, erc-server-403, erc-server-405, erc-server-406)
	(erc-server-412, erc-server-421, erc-server-432, erc-server-433)
	(erc-server-437, erc-server-442, erc-server-461, erc-server-474)
	(erc-server-475, erc-server-477, erc-server-481, erc-server-482)
	(erc-server-501): Move to erc-backend.el
	(erc-auto-query, erc-banlist-store, erc-banlist-finished)
	(erc-banlist-update, erc-connection-established)
	(erc-process-ctcp-query, erc-display-server-message): Use new
	accessors for PARSED argument.

	* erc-backend.el 1.1: (erc-parse-server-response)
	(erc-handle-parsed-server-response, erc-get-hook)
	(define-erc-response-handler): New functions.
	(erc-response): New struct for server responses.
	(erc-server-responses): New variable.
	(erc-call-hooks): Move from erc.el and rework.
	(ERROR, INVITE, JOIN, KICK, MODE, NICK, PART, PING, PONG)
	(PRIVMSG, NOTICE, QUIT, TOPIC, WALLOPS, 001, MOTD, 376, 004)
	(252, 253, 254, 250, 301, 303, 305, 306, 311, 312, 313, 315)
	(317, 318, 319, 320, 321, 322, 324, 329, 330, 331, 332, 333)
	(341, 352, 353, 366, 369, 379, 401, 403, 405, 406, 412, 421)
	(432, 433, 437, 442, 461, 474, 477, 481, 482, 501, 323, 221)
	(002, 003, 371, 372, 374, 375, 422, 251, 255, 256, 257, 258)
	(259, 265, 266, 377, 378, 314, 475, 364, 365, 367, 368, 381)
	(382, 391, 392, 393, 394, 395, 200, 201, 202, 203, 204, 205)
	(206, 208, 209, 211, 212, 213, 214, 215, 216, 217, 218, 219)
	(241, 242, 243, 244, 249, 261, 262, 302, 342, 351, 402, 404)
	(407, 409, 411, 413, 414, 415, 423, 424, 431, 436, 441, 443)
	(444, 445, 446, 451, 462, 463, 464, 465, 467, 471, 472, 473)
	(483, 491, 502, 005, KILL): Move from erc.el and rework using
	`define-erc-response-handler' and erc-response struct.

2004-05-12  Diane Murray  <dsm@muenster.de>

	* erc.el 1.660:
	A few bug fixes to avoid errors after disconnect, including the
	"Selecting deleted buffer" bug.
	(erc-channel-user-op-p, erc-channel-user-voice-p): Make sure NICK is
	non-nil (`erc-current-nick' can return nil).
	(erc-server-buffer):  Make sure the buffer isn't a #<killed buffer>.
	(erc-server-buffer-live-p): New function.
	(erc-display-line, erc-join-channel, erc-prepare-mode-line-format,
	 erc-away-p): Use `erc-server-buffer-live-p' to make sure process
	buffer exists.
	(erc-send-current-line): If there is no server buffer, let the user
	know.

	* erc-log.el 1.9.2.2, erc.el 1.600.2.2:
	C-c C-l keybinding now defined in erc-log.el.
	(erc-log-version): New.
	(erc-cmd-JOIN): Fix applied for bug where /join -invite causes errors
	when there's no `invitation'.

	* erc.el 1.659 (erc-cmd-JOIN):
	Make sure `chnl' is non-nil before trying to join
	anything (chnl is not set if /join -invite is used but there's no
	`invitation').

2004-05-10  Diane Murray  <dsm@muenster.de>

	* erc-log.el 1.15:
	Define C-c C-l keybinding outside of `erc-log-mode', making it
	available all the time; autoload definition.
	(erc-log-version): New.

	* AUTHORS 1.6.2.1, CREDITS 1.6.2.1, Makefile 1.19.2.1, erc-autoaway.el 1.12.2.1, 
	  erc-autojoin.el 1.6.2.1, erc-button.el 1.47.2.1, erc-chess.el 1.21.2.1, 
	  erc-dcc.el 1.80.2.1, erc-ezbounce.el 1.4.2.1, erc-fill.el 1.23.2.1, 
	  erc-ibuffer.el 1.17.2.1, erc-imenu.el 1.5.2.1, erc-lang.el 1.2.2.1, 
	  erc-list.el 1.18.2.1, erc-log.el 1.9.2.1, erc-macs.el 1.1.2.1, erc-match.el 1.22.2.1, 
	  erc-members.el 1.5.2.1, erc-menu.el 1.9.2.1, erc-nets.el 1.4.2.1, 
	  erc-netsplit.el 1.8.2.1, erc-nickserv.el 1.13.2.1, erc-notify.el 1.22.2.1, 
	  erc-page.el 1.3.2.1, erc-ring.el 1.11.2.1, erc-speak.el 1.25.2.1, 
	  erc-speedbar.el 1.11.2.1, erc-stamp.el 1.30.2.1, erc-track.el 1.58.2.1, 
	  erc-truncate.el 1.3.2.1, erc-xdcc.el 1.6.2.1, erc.el 1.600.2.1:
	Applied all relevant bug fixes and code cleanup made between the time
	of the ERC_4_0_RELEASE tag until now.

2004-05-09  Diane Murray  <dsm@muenster.de>

	* erc-menu.el 1.15: Updated copyright years.

2004-05-09  Lawrence Mitchell  <wence@gmx.li>

	* erc.el 1.658 (erc-update-channel-info-buffer):
	Correct bug in sorting of channel
	users.  Tiny change from Andreas Schwab <schwab@suse.de>.

	* erc-fill.el 1.25 (erc-fill-variable): Fix docstring.

	* erc-button.el 1.52 (erc-button-add-button):
	Use 'keymap text-property, rather than
	'local-map, since it's cross-emacs compatible.  Pass
	:mouse-down-action into `widget-convert-button' as
	'erc-button-click-button, to make XEmacs happy.  Replace bogus
	reference to erc-widget-press-button with erc-button-press-button.
	(erc-button-click-button): New (ignored) first argument, to make
	XEmacs behave when pressing buttons.
	(erc-button-press-button): New (ignored) &rest argument.

2004-05-09  adriana  <adriana@D5DC120J>

	* erc-log.el 1.14:
	* erc-log.el (erc-conditional-save-buffer): Fix docstring
	reference to erc-save-queries-on-quit.
	* erc-log.el (erc-conditional-save-queries): Ditto.

2004-05-06  Diane Murray  <dsm@muenster.de>

	* erc-speedbar.el 1.14: Updated copyright years.
	Added local variables for this file; fixed indenting.
	(erc-speedbar): New group.
	(erc-speedbar-sort-users-type): New variable.
	(erc-speedbar-buttons): Handle query buffers (fixes a bug where an
	error would be thrown if the current buffer was a query).  Ignore
	unknown buffers.
	(erc-speedbar-expand-channel): Show limit and key with channel
	modes. Sort users according to `erc-speedbar-sort-users-type'.
	(erc-speedbar-insert-user): Fixed bug where only nicks with more info
	were being listed, and those were shown twice.
	(erc-speedbar-goto-buffer): Don't use dframe functions, as dframe
	isn't available with the default speedbar.

	* erc.el 1.657 (erc-sort-channel-users-alphabetically): New function.
	(erc-server-412, erc-server-432, erc-server-475): New functions.
	(erc-server-412-hook, erc-server-432-hook, erc-server-475-hook): Use
	them.
	(erc-server-401, erc-server-403, erc-server-405, erc-server-421,
	 erc-server-474, erc-server-481): Use catalog messages.
	(erc-define-catalog): Added s401, s403, s405, s412, s421, s432, s474,
	s475, and s481.

	* erc-nickserv.el 1.18: Added documentation to Commentary, Usage.
	Removed `outline-mode' from file local variables.
	(erc-services-mode): Use `erc-nickserv-identify-mode' to add hooks.
	(erc-nickserv-identify-mode): New function.
	(erc-nickserv-identify-mode): New variable.
	(erc-prompt-for-nickserv-password, erc-nickserv-passwords): Changed
	docstring.
	(erc-nickserv-identify-autodetect): Use
	`erc-nickserv-call-identify-function'. Docstring change.
	(erc-nickserv-identify-on-connect,
	 erc-nickserv-identify-on-nick-change,
	 erc-nickserv-call-identify-function): New functions.
	(erc-nickserv-identify): PASSWORD is not optional.  Autoload function.

2004-05-05  Diane Murray  <dsm@muenster.de>

	* erc.el 1.656 (erc-join-hook, erc-quit-hook, erc-part-hook, erc-kick-hook, 
	   erc-connect-pre-hook):
	Now customizable.
	(erc-nick-changed-functions): New hook.
	(erc-server-NICK): Run `erc-nick-changed-functions' with the arguments
	NEW-NICK and OLD-NICK.
	(erc-channel-user-voice-p, erc-channel-user-voice-p): Shortened
	docstring.

2004-05-05  Lawrence Mitchell  <wence@gmx.li>

	* HACKING 1.2:
	New section on function/variable naming and coding conventions.

	* erc.el 1.655 (erc-wash-quit-reason):
	Quote regexp special characters in NICK,
	LOGIN and HOST.

2004-05-05  Diane Murray  <dsm@muenster.de>

	* erc.el 1.654 (erc-server-parameters): Typo fix in docstring.
	(erc-input-line-position): `:type' is now a choice between integer
	and nil.
	(erc-mode-map): Bind `erc-get-channel-mode-from-keypress' to C-c C-o
	instead of C-c RET (C-c C-m).
	(erc-cmd-GQUIT): Use REASON as argument when calling `erc-cmd-QUIT'.

2004-05-03  Lawrence Mitchell  <wence@gmx.li>

	* erc-nicklist.el 1.1: Initial version.

2004-04-29  Diane Murray  <dsm@muenster.de>

	* erc-menu.el 1.14: Added local variables for file, fixed indenting.
	(erc-menu-version): New variable.
	(erc-menu-definition): "List channels": New.  "Join channel": Use
	`erc-connected' as test.  "Start a query": New.  "List channel
	operators": New.  "Input action": Moved up.  "Set topic": Fixed test
	so it's only active in channels.  "Leave this channel": Moved down.
	"Track hidden channel buffers": Removed.  "Enable/Disable ERC
	Modules": New.

	* erc.el 1.653 (erc-mode-map):
	Removed binding for `erc-save-buffer-in-logs' (moved
	to erc-log.el).
	(erc-cmd-QUERY, erc-cmd-OPS): Now interactive.

	* erc-log.el 1.13: Added local variables for this file.
	(erc-log-channels-directory): Added directory as a choice in `:type'.
	(define-erc-module): Define and undefine key binding (C-c C-l) for
	`erc-save-buffer-in-logs' here.

	* erc-nets.el 1.13: Added local variables for this file.
	(erc-networks-alist): Fixed `:type' to work better in customization.

2004-04-28  Diane Murray  <dsm@muenster.de>

	* erc-match.el 1.33: Added local variables for file.
	(erc-keywords): Use `list' instead of `cons' in `:type'.  Fixes bug
	where mismatch was shown in customization.
	(erc-current-nick-highlight-type): Escape parentheses in docstring.
	Added keyword, nick-or-keyword as options in `:type'.

	* erc-stamp.el 1.36: Added local variables for file.
	(erc-away-timestamp-format): Allow nil as a choice in `:type'.
	(erc-timestamp-intangible): Changed `:type' to boolean.
	(erc-timestamp-right-column): Added `:group' and `:type'.

	* erc.el 1.652 (erc-modules):
	Added bbdb, log, match, sound, and stamp as `:type'
	options; changed documentation for autojoin, fill, pcomplete, track.
	(erc-prompt-for-channel-key): New variable.
	(erc-join-channel): Only prompt for key if
	`erc-prompt-for-channel-key' is non-nil.
	(erc-format-my-nick): New function.
	(erc-send-message, erc-send-current-line): Use it.

2004-04-24  bojohan  <bojohan@D5DC120J>

	* erc-track.el 1.63 (erc-track-modified-channels): Fix indentation.

	* erc-match.el 1.32 (erc-hide-fools): Docstring fix.
	(erc-log-matches-types-alist): Added `current-nick' to valid choices.

2004-04-20  Diane Murray  <dsm@muenster.de>

	* erc-track.el 1.62, erc-match.el 1.31, erc-ezbounce.el 1.7, erc-speak.el 1.26, 
	  erc-page.el 1.5 (erc-ezbounce, erc-page, erc-speak):
	Groups defined.
	(erc-match, erc-track): `erc' is parent group.
	(erc-ezb-regexp, erc-ezb-login-alist): Added `:group'.

2004-04-20  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-fill.el 1.24:
	Fixed erc-fill-static so it breaks the lines at the right column and
	respects timestamps. Patch by Simon Siegler <simon@trz-kril.de>

	(erc-fill-static): Major rewrite and split up into some functions.
	(erc-count-lines): Removed.
	(erc-fill-regarding-timestamp): New function.
	(erc-timestamp-offset): New function.
	(erc-restore-text-properties): New function.
	(erc-fill-variable): Respect leftbound timestamp.

	This is still broken if someone has both
	erc-timestamp-only-if-changed-flag set and
	erc-insert-timestamp-function set to 'erc-insert-timestamp-left, but
	otherwise it works now.

2004-04-20  Diane Murray  <dsm@muenster.de>

	* erc.el 1.651 (erc-cmd-SV):
	Show features gtk, mac-carbon, multi-tty.  Fixed so that
	arguments fit the format (build date was not being shown).

2004-04-19  Lawrence Mitchell  <wence@gmx.li>

	* erc.el 1.650:
	(erc-update-channel-topic); Error if `channel-topic' is unbound.
	Remove %-sign substitution.
	(erc-update-mode-line-buffer): Escape %-signs in `channel-topic' here.

2004-04-19  Diane Murray  <dsm@muenster.de>

	* erc.el 1.649:
	(erc-send-action, erc-ctcp-query-ACTION, erc-ctcp-reply-ECHO-hook):
	Let `erc-display-message-highlight' propertize the message.
	(erc-display-message-highlight): Allow for any erc-TYPE-face.
	(erc-cmd-JOIN): Display error message instead of throwing an error if
	there's no `invitation'.
	(erc-cmd-PART): Allow for no reason if channel is provided.  Fixes bug
	where user would part the current channel with the other channel's
	name as reason when no reason was given.
	(erc-server-vectors, erc-debug-missing-hooks): Added docstring.
	(erc-server-JOIN): Moved `erc-join-hook' to JOIN-you section.
	`erc-join-hook' called by `run-hook-with-args', sending the ARGS `chnl'
	and the channel's buffer.
	Changed an instance of if without else to when.
	(erc-server-477): New function.
	(erc-server-477-hook): Use `erc-server-477'.
	(erc-define-catalog): Added `no-invitation'.

2004-04-15  Diane Murray  <dsm@muenster.de>

	* erc-nickserv.el 1.17: Local variables for file added.
	(erc-nickserv-passwords): Customization:  Network symbols updated to
	reflect `erc-nickserv-alist'.  Allow user to type in network symbol.
	(erc-nickserv-alist): Now customizable variable.

2004-04-09  Diane Murray  <dsm@muenster.de>

	* erc-autoaway.el 1.18 (erc-autoaway-reset-idletime):
	Make sure `line' is a string to avoid
	errors upon startup.

2004-04-06  Diane Murray  <dsm@muenster.de>

	* erc-autoaway.el 1.17 (erc-autoaway-version): New variable.
	(erc-auto-discard-away): Updated docstring.
	(erc-autoaway-no-auto-back-regexp): New variable.
	(erc-autoaway-reset-idletime): Use it.  Hopefully a better solution
	which allows for aliases to "/away" and any other text that the user
	wants to ignore when `erc-auto-discard-away' is non-nil.

	* erc-autoaway.el 1.16 (erc-autoaway-reset-idletime):
	Forgot /gaway in regexp.

	* erc-autoaway.el 1.15 (erc-autoaway-reset-idletime):
	If the user sends an "/away" command,
	don't call `erc-autoaway-set-back', fixes bug where ERC would send
	"/away" when user was already away and sent an "/away reason".
	Changed `l' to `line' for better understanding.
	(erc-autoaway-set-back): Changed `l' to `line' for better
	understanding.

	* erc.el 1.648 (erc-set-channel-key): Now able to remove key.
	(erc-set-channel-limit): Now able to remove limit.
	(erc-get-channel-mode-from-keypress): Fixed docstring.

2004-04-04  Diane Murray  <dsm@muenster.de>

	* erc.el 1.647 (erc-join-channel): Allow for optional channel key.
	(erc-set-modes): Need to set `channel-key' to nil in case of mode
	changes during split.
	(erc-show-channel-key-p): New variable.
	(erc-prepare-mode-line-format): Only show key if
	`erc-show-channel-key-p' is non-nil.

	* erc.el 1.646 (channel-key): New variable.
	(erc-update-channel-key): New function.
	(erc-set-modes, erc-parse-modes, erc-update-modes, erc,
	erc-update-channel-info-buffer): Deal with channel keys.
	(erc-prepare-mode-line-format): Show channel key in header-line.

	(erc-server-NICK): Show nick change in server buffer as well.

	(erc, erc-send-command, erc-banlist-store, erc-banlist-update,
	 erc-load-irc-script-lines, erc-arrange-session-in-multiple-windows,
	 erc-handle-login, erc-find-channel-info-buffer): Changed when not
	 to unless.
	(erc-server-MODE): Changed if without else to when.

2004-03-27  adriana  <adriana@D5DC120J>

	* erc.el 1.645: 2004-03-28  Adrian Aichner  <adrian@xemacs.org>

		* erc.el (erc-cmd-BANLIST): Use `truncate-string-to-width' instead
	        of `truncate-string' alias.
		* erc.el (erc-nickname-in-use): Ditto.

2004-03-27  Francis Litterio  <franl@users.sourceforge.net>

	* erc-list.el 1.25 (erc-cmd-list):
	Fixed error caused by erc-cmd-LIST passing a non-sequence to erc-chanlist.

2004-03-22  Jeremy Bertram Maitin-Shepard  <jbms@gentoo.org>

	* erc.el 1.644:
	Add new hook `erc-join-hook', which is run when we join a channel.

	* erc.el 1.643:
	Replaced existing notice user notification system and the
	configuration options, which consisted of
	`erc-echo-notices-in-minibuffer-flag' and
	`erc-echo-notices-in-current-buffer' with two new hooks,
	`erc-echo-notice-hook' and `erc-echo-notice-always-hook'.

	When user notification is needed, `erc-echo-notice-always-hook' is
	first run using `run-hook-with-args', then `erc-echo-notice-hook' is
	run using `run-hook-with-args-until-success'.

	In addition to these hooks, a large number of functions, which are
	described in the documentation strings of those hooks, were added
	which can be used to achieve a large variety of different behaviors.

	The current default behavior, which is identical to the existing
	default behavior, is for `erc-echo-notice-always-hook' to be set to
	`(erc-echo-notice-in-default-buffer).

2004-03-22  Diane Murray  <dsm@muenster.de>

	* erc-track.el 1.61 (erc-modified-channels-display):
	Added a space before opening bracket.

	* erc.el 1.642 (erc-format-query-as-channel-p): New variable.
	(erc-server-PRIVMSG-or-NOTICE): If `erc-format-query-as-channel-p' is
	nil, messages in the query buffer are formatted like private messages.

	(erc-server-252-hook, erc-server-253-hook, erc-server-254-hook,
	 erc-server-256-hook, erc-server-257-hook, erc-server-258-hook,
	 erc-server-259-hook, erc-server-371-hook, erc-server-372-hook,
	 erc-server-374-hook, erc-server-374-hook, erc-server-442-hook,
	 erc-server-477-hook): Removed, now defined in `erc-server-hook-list'.
	(erc-display-server-message): New function.
	(erc-server-252, erc-server-253, erc-server-254, erc-server-442): New
	functions.
	(erc-server-hook-list): Added 250, 256, 257, 258, 259, 265, 266, 377,
	378, 477 - using `erc-display-server-message'.
	251, 255 now use `erc-display-server-message'.
	Added 252, 253, 254, 442 - using respective erc-server-* functions.
	371, 372, 374, 375 now defined here.
	(erc-define-catalog): Added s252, s253, s254, s442.
	(erc-server-001, erc-server-004, erc-server-005): Fixed documentation.

2004-03-20  Diane Murray  <dsm@muenster.de>

	* erc-stamp.el 1.35:
	Commentary: Changed `erc-stamp-mode' to `erc-timestamp-mode'.
	(erc-insert-timestamp-left): Use `erc-timestamp-face' on filler spaces
	as well.

	* erc.el 1.641 (erc-send-action): Use `erc-input-face'.
	(erc-display-message-highlight): If the requested highlighting type
	doesn't match, just display the string with no highlighting and warn
	about it with `erc-log'..
	(erc-cmd-JOIN): If user is already on the requested channel, switch to
	that channel's buffer.
	(erc-ctcp-query-ACTION): Use `erc-action-face' for nick as well.
	(erc-header-line-use-help-echo-p): New variable.
	(erc-update-mode-line-buffer): Use `help-echo' for header-line if
	`erc-header-line-use-help-echo-p' is non-nil.

2004-03-19  adriana  <adriana@D5DC120J>

	* erc-nets.el 1.12:
	Use two arguments version of `make-obsolete', if third argument is not
	supported (for XEmacs).

2004-03-18  Andreas Fuchs  <asf@void.at>

	* CREDITS 1.9: added CREDITS entry for Adrian Aichner

	* erc-autoaway.el 1.14, erc-autojoin.el 1.7, erc-button.el 1.51, 
	  erc-dcc.el 1.83, erc-ezbounce.el 1.6, erc-imenu.el 1.6, erc-list.el 1.24, 
	  erc-log.el 1.12, erc-match.el 1.30, erc-members.el 1.6, erc-menu.el 1.13, 
	  erc-netsplit.el 1.9, erc-notify.el 1.24, erc-speedbar.el 1.13, erc-stamp.el 1.34, 
	  erc-track.el 1.60, erc-truncate.el 1.4, erc-xdcc.el 1.7, erc.el 1.640 (erc-coding-sytem-for-target):
	Removed.
	(erc-coding-system-for-target): New.
	(erc-autoaway-use-emacs-idle): Typo fix.
	(erc-auto-set-away): Ditto.
	(erc-auto-discard-away): Ditto.
	(autojoin): Ditto.
	erc-button.el: Ditto.
	(erc-button-alist): Ditto.
	(erc-dcc-auto-masks): Ditto.
	(erc-dcc-chat-send-input-line): Ditto.
	(erc-ezb-get-login): Ditto.
	(erc-unfill-notice): Ditto.
	erc-list.el: Ditto.
	(erc-save-buffer-in-logs): Ditto.
	(match): Ditto.
	(erc-log-matches-types-alist): Ditto.
	(erc-match-directed-at-fool-p): Ditto.
	(erc-match-message): Ditto.
	(erc-update-member): Ditto.
	(erc-ignored-reply-p): Ditto.
	(erc-menu-definition): Ditto.
	(erc-netsplit-QUIT): Ditto.
	(erc-notify-list): Ditto.
	(erc-speedbar-update-channel): Ditto.
	(erc-speedbar-item-info): Ditto.
	(erc-stamp): Ditto.
	(erc-timestamp-intangible): Ditto.
	(erc-add-timestamp): Ditto.
	(erc-timestamp-only-if-changed-flag): Ditto.
	(erc-show-timestamps): Ditto.
	erc-track.el: Ditto.
	(erc-track-priority-faces-only): Ditto.
	(erc-modified-channels-alist): Ditto.
	(erc-unique-substrings): Ditto.
	(erc-find-parsed-property): Ditto.
	(erc-track-switch-direction): Ditto.
	(erc-truncate-buffer-to-size): Ditto.
	(erc-xdcc): Ditto.
	(erc-auto-reconnect): Ditto.
	(erc-startup-file-list): Ditto.
	(erc-once-with-server-event): Ditto.
	(erc-once-with-server-event-global): Ditto.
	(erc-mode): Ditto.
	(erc-generate-new-buffer-name): Ditto.
	(erc): Ditto.
	(erc-open-ssl-stream): Ditto.
	(erc-default-coding-system): Ditto.
	(erc-encode-string-for-target): Ditto.
	(erc-decode-string-from-target): Ditto.
	(erc-scroll-to-bottom): Ditto.
	(erc-decode-controls): Ditto.
	(erc-channel-members-changed-hook): Ditto.
	(erc-put-text-property): Ditto.
	(erc-add-default-channel): Ditto.

2004-03-18  Diane Murray  <dsm@muenster.de>

	* erc.el 1.639 (erc-process-sentinel):
	Cancel ping timer upon disconnect.
	(erc-cmd-PART): Use same regexp as `erc-cmd-QUIT' when no #channel is
	provided.
	(erc-nick-uniquifier, erc-manual-set-nick-on-bad-nick-p): `:group' was
	missing, added.
	(erc-part-reason-zippy, erc-part-reason-zippy): Removed FIXME
	comments.  I see no problem allowing typed in reasons.

2004-03-17  Diane Murray  <dsm@muenster.de>

	* erc-stamp.el 1.33 (erc-insert-timestamp-left): Added support for
	`erc-timestamp-only-if-changed-flag' and added docstring.
	(erc-timestamp-only-if-changed-flag): Updated documentation.

2004-03-13  Francis Litterio  <franl@users.sourceforge.net>

	* erc-nets.el 1.11 (erc-network-name):
	No longer marked as obsolete.  Why was this function made
	    obsolete?  There is no other function that performs this task.  Some of us
	    use these functions in our personal ERC configs.

2004-03-12  Lawrence Mitchell  <wence@gmx.li>

	* erc.el 1.638 (erc-buffer-filter): Use `with-current-buffer'.
	(erc-process-input-line): Append newline to documentation.  Fixes a
	bug whereby the prompt would be put on the same line as the output.
	(erc-cmd-GQUIT): Only try and send QUIT if the process is alive.

	* erc-log.el 1.11:
	Only add top-level hooks if `erc-enable-logging' is non-nil.

2004-03-11  Damien Elmes  <erc@repose.cx>

	* erc-nets.el 1.10: From Adrian Aichner (adrian /at/ xemacs /dot/ org)
	 * erc-nets.el: XEmacs make-obsolete only takes two arguments.

2004-03-11  Diane Murray  <dsm@muenster.de>

	* erc-nets.el 1.9 (erc-determine-network): Use `erc-session-server' if
	`erc-announced-server' is nil to avoid error if server does not send
	004 (RPL_MYINFO) message.

2004-03-10  Lawrence Mitchell  <wence@gmx.li>

	* erc-nets.el 1.8 (erc-server-alistm erc-settings):
	Use lowercase "freenode", as in
	`erc-networks-alist'.

	* erc-nickserv.el 1.16 (erc-nickserv-alist):
	Use lowercase "freenode", as in
	`erc-networks-alist'.

	* erc-dcc.el 1.82 (pcomplete/erc-mode/DCC): Append "send" as a list.

2004-03-10  Francis Litterio  <franl@users.sourceforge.net>

	* erc-nets.el 1.7 (erc-networks-alist):
	Changed "Freenode" to "freenode".

	* erc-list.el 1.23 (erc-cmd-LIST):
	Improved the docstring.  Made message to user more accurate
	  depending on whether a single channel is being listed or not.

2004-03-10  Lawrence Mitchell  <wence@gmx.li>

	* erc-nets.el 1.6 (erc-determine-network):
	Make matching logic simpler (suggested by
	Damian Elmes).
	(erc-current-network, erc-network-name): Add `make-obsolete' form.
	(erc-set-network-name): Indentation fix.
	(erc-ports-list):  Add docstring.  Rework function body to use
	`nconc'.

2004-03-10  Diane Murray  <dsm@muenster.de>

	* erc-list.el 1.22, erc-notify.el 1.23 (require 'erc-nets): added

2004-03-09  Diane Murray  <dsm@muenster.de>

	* erc.el 1.637 (erc-network-name):
	Function definition moved to erc-nets.el.  The
	functions `erc-determine-network' and `èrc-network' in erc-nets.el do
	what this did before.  Deprecated.  Use (erc-network) instead.

	* erc-nickserv.el 1.15: Changed copyright notice.
	Now require erc-nets.
	erc-nets.el now takes care of network-related functions and variables.
	(erc-nickserv-alist): Changed network symbols to match those in
	`erc-networks-alist' in erc-nets.el.
	(erc-nickserv-identify-autodetect): Use `erc-network'.
	(erc-nickserv-identify): Use `erc-network'.  Changed wording for
	interactive use, now shows current nick.
	(erc-networks): Removed.  Use `erc-networks-alist' as defined in
	erc-nets.el.
	(erc-current-network): Function definition moved to erc-nets.el.  The
	functions `erc-determine-network' and `èrc-network' in erc-nets.el do
	what this did before.  Deprecated.  Use (erc-network) instead.

	* erc-nets.el 1.5: Added commentary, `erc-nets-version'.
	(erc-server-alist): Changed Brasnet to BRASnet.
	(erc-networks-alist): All networks (except EFnet and IRCnet) now have
	a MATCHER.
	(erc-network): New variable.
	(erc-determine-network): New function.  Determine the network the user
	is on.  Use the server parameter NETWORK, if provided, else parse the
	server name and search for a match (regexp and loop by wencem) in
	`erc-networks-alist'.  Return the name of the network or "Unknown" as
	a symbol.
	(erc-network): New function.  Returns value of `erc-network'.  Use
	this when the current buffer is not the server process buffer.
	(erc-current-network): Returns the value of `erc-network' as expected by
	users who used the function as it was defined in erc-nickserv.el.
	Deprecated.
	(erc-network-name): Returns the value of `erc-network' as expected by
	users who used the function as it was defined in erc.el.  Deprecated.
	(erc-set-network-name): New function.  Added to
	`erc-server-375-hook' and `erc-server-422-hook'.
	(erc-unset-network-name): New function.  Added to
	`erc-disconnected-hook'.
	(erc-server-select): Small documentation word change.

2004-03-08  Diane Murray  <dsm@muenster.de>

	* AUTHORS 1.8, CREDITS 1.8: disumu info updated

2004-03-06  Lawrence Mitchell  <wence@gmx.li>

	* erc-list.el 1.21 (erc-cmd-LIST):
	Take &rest rather than &optional arguments.
	(erc-chanlist): Construct correct LIST command from list of channels.

	* erc.el 1.636 (erc-update-mode-line-buffer):
	Add 'help-echo property to header-line
	text.  This allows header lines longer than the width of the current
	window to be seen.

2004-03-06  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-match.el 1.29 (erc-match-directed-at-fool-p):
	Also check for "FOOL, "

	* erc-match.el 1.28 (erc-match-message):
	Only use nick-or-keyword if we're matching our
	nick.

	* erc-match.el 1.27:
	The highlight type for the current nickname can now also be
	'nick-or-keyword, to highlight the nick of the sender if that is
	available, but fall back to highlighting your nickname in the whole
	message otherwise.

	erc-current-nick-highlight-type: Adapted docstring accordingly.
	(erc-match-message): Added new condition. Also added some comments to
	this monster of a function.

	* erc.el 1.635 (erc-is-valid-nick-p):
	Don't check for length less or equal to 9.

2004-03-06  Damien Elmes  <erc@repose.cx>

	* erc-nickserv.el 1.14 (erc-current-network):
	the last change resulted in this function
	    failing when a network identifies itself as anything other than
	    var.netname.com, so for instance 'vic.au.austnet.org' fails. This
	    version is only a marginal improvement over the original, but if
	    we want to be more flexible we'll probably have to do the
	    iteration ourselves instead of using assoc.

2004-03-05  Diane Murray  <dsm@muenster.de>

	* erc.el 1.634: * bugfixes:
	  - Added erc-server-001 which runs when the server sends its welcome message.
	    It sets the current-nick to reflect the server's settings.  This fixes a
	    bug where nicks that were too long and got truncated by ther server were
	    still set to the old value.

	  - (nickname-in-use): If user wants to try again manually, let user know
	    that the nick is taken.  If not, go through erc-default-nicks until
	    none are left, and then try one last time with erc-nick-uniquifier.  If
	    it's still a bad-nick, make the user change nick manually.  When
	    applying uniquifier, use NICKLEN if it's in the server parameters,
	    otherwise use what RFC 2812 says is the max nick length (9 chars).
	    Added custom variable erc-manual-set-nick-on-bad-nick-p, which is set to nil
	    and erc-nick-change-attempt-count.
	    Reset erc-default-nicks and erc-nick-change-attempt-count when the nick
	    has been changed successfully.
	    This fixes the bug where ERC would get caught in a neverending loop of
	    trying to set the same nick if the nick was too long and the uniquified
	    nick was not available.

	* added erc-cmd-WHOAMI

	* added custom variable erc-mode-line-away-status-format, use this instead of
	  the previous hard-coded setting

	* erc-server-315|318|369-hook defvar lines removed - they're already defined
	  in erc-server-hook-list

2004-03-04  Lawrence Mitchell  <wence@gmx.li>

	* HACKING 1.1: Initial commit.  Some thoughts on coding standards.

2004-03-03  Diane Murray  <dsm@muenster.de>

	* erc-track.el 1.59:
	- added the variable erc-track-priority-faces-only which adds the option
	  to ignore changes in a channel unless there are faces from the
	  erc-track-faces-priority-list in the message
	  options are nil, 'all, or a list of channel name strings

2004-03-01  Diane Murray  <dsm@muenster.de>

	* erc-ibuffer.el 1.20, erc-menu.el 1.12, erc.el 1.633:
	- changed erc-is-channel-op and erc-is-channel-voice to
	  erc-channel-user-op-p and erc-channel-user-voice-p
	  to better match erc-channel-user structure (and emacs lisp usage)

	* erc-ibuffer.el 1.19, erc-menu.el 1.11, erc.el 1.632:
	erc-track-modified-channels-mode is now erc-track-mode

2004-02-29  Diane Murray  <dsm@muenster.de>

	* erc-match.el 1.26:
	- added 'keyword option to erc-current-nick-highlight-type
	  highlights all instances of current-nick in the message
	  ('nickname option in cvs revisions 1.9 - 1.11 had same effect)

2004-02-28  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-button.el 1.50: Add Lisp: prefix for the EmacsWiki Elisp area.

	erc-button-alist: Added Lisp: prefix.
	erc-emacswiki-lisp-url: New variable.
	(erc-browse-emacswiki-lisp): New function.

2004-02-27  Lawrence Mitchell  <wence@gmx.li>

	* erc.el 1.631 (erc-get-arglist):
	Use `substitute-command-keys', rather than
	hard-coding C-h f for `describe-function'.

2004-02-26  bojohan  <bojohan@D5DC120J>

	* erc-log.el 1.10 (erc-save-buffer-in-logs): bind `inhibit-read-only'
	to t around call to `erase-buffer'.

2004-02-23  emcdloc  <emcdloc@D5DC120J>

	* erc-ezbounce.el 1.5, erc-list.el 1.20, erc-macs.el 1.2, erc-ring.el 1.13, 
	  erc-stamp.el 1.32, erc.el 1.630, erc-chess.el 1.22, erc-dcc.el 1.81:
	Normalized buffer local variable creation.

2004-02-17  Lawrence Mitchell  <wence@gmx.li>

	* erc.el 1.629 (erc-scroll-to-bottom, erc-add-scroll-to-bottom):
	Mention
	`erc-input-line-position' in docstring.

2004-02-14  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.628: erc-kick-hook: Typo fix.

2004-02-14  Jeremy Bertram Maitin-Shepard  <jbms@gentoo.org>

	* erc.el 1.627:
	Added `erc-kick-hook', which is called when the local user is kicked
	from a channel.

	Fixed a bug in `erc-cmd-OPS', such that the command now works.

	Added `erc-remove-channel-users', in order to fix a number of
	significant bugs relating to channel parting.

2004-02-13  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.626 (erc-display-prompt):
	Remove last change. This caused a lot of trouble :(

	* erc.el 1.625 (erc-display-prompt):
	Also set 'field property, so C-j works on an empty prompt.

2004-02-12  Lawrence Mitchell  <wence@gmx.li>

	* erc.el 1.624 (erc-update-channel-topic):
	Ensure that `channel-topic' does not
	contain any bare format controls.

2004-02-11  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-stamp.el 1.31:
	erc-timestamp-intangible: New variable (user feature request)
	(erc-format-timestamp): Use erc-timestamp-intangible.

2004-02-08  Jeremy Bertram Maitin-Shepard  <jbms@gentoo.org>

	* erc-button.el 1.49:
	Fixed bug related to nickname buttonizing and text fields due to erc-stamp.

	* CREDITS 1.7: Added mention of my change of ERC to use hash tables.

	* AUTHORS 1.7: Added myself to the list.

2004-02-05  Lawrence Mitchell  <wence@gmx.li>

	* erc.el 1.623: From Jeremy Maitin-Shepard <jbms@attbi.com>:
	(erc-remove-channel-user): Use `delq' not `delete'.
	(erc-get-buffer): Pass PROC through to `erc-buffer-filter'.
	(erc-process-sentinel): Use `erc' rather than `erc-reconnect' for
	auto-reconnection.

2004-02-02  Lawrence Mitchell  <wence@gmx.li>

	* erc.el 1.622 (erc-buffer-list-with-nick): Apply `erc-downcase' NICK.

2004-01-30  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.621 (erc-get-buffer): Use erc-buffer-filter.

2004-01-30  bojohan  <bojohan@D5DC120J>

	* erc.el 1.620: From jbms:
	(erc-get-channel-nickname-list): New function.
	(erc-get-server-nickname-list): New function.
	(erc-get-server-nickname-alist): New function.
	(erc-get-channel-nickname-alist): New function.

	* erc-match.el 1.25 (erc-add-entry-to-list, erc-remove-entry-from-list):
	Use
	`erc-member-ignore-case' to compare entries.
	(erc-add-pal, erc-add-fool): Fix type bug. Use
	`erc-get-server-nickname-alist'.

	* erc.el 1.619: From jbms:
	Adds xemacs compatibility to hash table channel-members patch.

2004-01-29  bojohan  <bojohan@D5DC120J>

	* erc.el 1.618 (erc-update-undo-list):
	Rewritten. Update buffer-undo-list in place.
	Deal with XEmacsesque entries (extents) in the list.
	(erc-channel-users): Fix unescaped open-paren in left column in
	docstring.

	* erc-ring.el 1.12 (erc-replace-current-command):
	Exclude the prompt from the deleted
	region and don't redisplay the prompt (because `erc-display-prompt'
	flushes `buffer-undo-list').

	* erc-match.el 1.24 (erc-add-entry-to-list):
	Use `symbol-value' instead of `eval'.

2004-01-28  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.617 (erc-kill-buffer-function):
	maphash was missing an argument.

	* Makefile 1.20, erc-autoaway.el 1.13, erc-button.el 1.48, erc-ibuffer.el 1.18, 
	  erc-lang.el 1.3, erc-list.el 1.19, erc-match.el 1.23, erc-menu.el 1.10, 
	  erc-page.el 1.4, erc-pcomplete.el 1.23, erc-speedbar.el 1.12, erc.el 1.616:
	HUGE change by jbms.
	This makes channel-members a hash, erc-channel-users.

	Modified files:
	Makefile erc-autoaway.el erc-button.el erc-ibuffer.el
	erc-lang.el erc-list.el erc-match.el erc-menu.el erc-page.el
	erc-pcomplete.el erc-speedbar.el erc.el

	The changes are too numerous to document properly. Have fun with the breakage.

	* erc.el 1.615 (erc-send-input-line):
	Add a space to empty lines so the server likes them.

2004-01-26  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.614: erc-send-whitespace-lines: New variable.
	(erc-send-current-line): Use erc-send-whitespace-lines. Also, removed
	superflous test for empty line in the mapc, since the blank line test
	should find all. I do like to be able to send an empty line when i
	want to!
	(erc-send-current-line): Check for point being in input line before checking for blank lines.

2004-01-21  Lawrence Mitchell  <wence@gmx.li>

	* erc.el 1.613 (erc-display-line-1):
	Move `erc-update-undo-list' outside
	`save-restriction'.  Removing need for temporary variable.
	(erc-send-current-line): Fix bug introduced by last change, remove
	complement in blank line regexp.

2004-01-20  Lawrence Mitchell  <wence@gmx.li>

	* erc.el 1.612 (erc-update-undo-list): Add logic to catch the case when
	`buffer-undo-list' is t, indentation cleanup.
	(erc-send-current-line):  Reverse logic for matching blank lines.

	* erc.el 1.611 (erc-input-line-position):
	New variable.  If non-nil, specifies the
	argument to `recenter' in `erc-scroll-to-bottom'.
	(erc-scroll-to-bottom): Use it.

	* erc.el 1.610: From Johan Bockgård <bojohan+news@dd.chalmers.se>:
	(erc-update-undo-list): New function.  Update `buffer-undo-list' so
	that calling `undo' in an ERC buffer doesn't mess up the existing
	text.
	(erc-display-line-1): Use it.

2004-01-19  Lawrence Mitchell  <wence@gmx.li>

	* erc.el 1.609 (erc-beg-of-input-line): Use `forward-line' rather than
	`beginning-of-line'.  Docstring fix.
	(erc-end-of-input-line): Docstring fix.

2004-01-14  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.608 (erc-display-prompt):
	Remove the undo list after displaying the
	prompt, so the user can't undo ERC changes, which breaks some stuff
	anyways. This way the user can still undo his editing, but not ours.

2004-01-12  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.607 (erc-scroll-to-bottom):
	Should recenter on the bottom line, not the
	second-to-last one.

2004-01-12  Lawrence Mitchell  <wence@gmx.li>

	* erc.el 1.606 (erc-bol): Fix bug introduced in revision 1.601.

	* erc.el 1.605: From Brian Palmer <bpalmer@rescomp.Stanford.EDU>
	(erc-cmd-JOIN): Use `erc-member-ignore-case', rather than
	`member-ignore-case'.

2004-01-12  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.604:
	There was an inconsistency where the values of op and voice in
	channel-names could be 'on or 'off after an update, t and nil before.
	The intended version was to have t or nil, so i fixed it to do so.

	channel-names: Updated docstring.
	(erc-update-current-channel-member): Clarified docstring, fixed so it
	sets t or nil on an update as well, not only on an add.
	(erc-cmd-OPS): Updated not to check for 'on (the only function that
	did this!)

2004-01-12  Lawrence Mitchell  <wence@gmx.li>

	* erc.el 1.603 (erc-part-reason-various-alist, erc-update-mode-line-buffer):
	Fix docstring

2004-01-11  Lawrence Mitchell  <wence@gmx.li>

	* erc.el 1.602 (erc-update-mode-line): Fix typo.

	* erc.el 1.601 (erc-prompt-interactive-input): Removed.
	(erc-display-prompt): Removed `erc-prompt-interactive-input' option.
	(erc-interactive-input-map): Removed.

	Major docstring fixes.

2004-01-08  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.600 (erc-cmd-OPS): Added this function.
	(erc-cmd-IDLE): Switched from using erc-display-message-highlight to erc-make-notice.

	* erc-list.el 1.18 (erc-cmd-LIST):
	Switched from using erc-display-message-highlight to erc-make-notice.

2004-01-07  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.599 (erc-once-with-server-event):
	Added a sentence to the docstring.  Now returns the uninterned
	   symbol that is added to the server hook.
	(erc-cmd-IDLE): Changed to use erc-once-with-server-event instead of erc-once-with-server-event-global.

2004-01-06  Francis Litterio  <franl@users.sourceforge.net>

	* erc-list.el 1.17 (erc-chanlist-hide-modeline): New variable.
	(erc-chanlist): Now displays message as a notice.  Also hides the modeline if
	    erc-chanlist-hide-modeline is non-nil.

2004-01-05  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.598 (erc-server-PRIVMSG-or-NOTICE):
	Now nicks appear as <nick> in query buffers, instead of as *nick*.

2004-01-03  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.597 (erc-once-with-server-event-global):
	Changed to return the uninterned symbol that it creates.
	(erc-cmd-LIST): Changed to clean up hooks that don't run.

	* erc-pcomplete.el 1.22 (pcomplete/erc-mode/IDLE):
	Added to support new /IDLE command.

	* erc.el 1.596 (erc-once-with-server-event-global):
	New function.  Like erc-once-with-server-event, except
	    it modifies the global value of the event hook.
	(erc-cmd-IDLE): New function.  Implements the new /IDLE command.  Usage: /IDLE NICK
	(erc-seconds-to-string): New function.  Converts a number of seconds to an Engligh phrase.

	* erc-list.el 1.16: Added variable erc-chanlist-mode-hook.

2003-12-30  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.595 (erc-cmd-HELP):
	Changed to prefer giving help for erc-cmd-* functions over
	   similarly-named Elisp functions (e.g., erc-cmd-LIST vs. list).

2003-12-28  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.594 (erc-query-buffer-p): Added this function.

2003-12-28  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.593 (erc-cmd-SV): Use erc-emacs-build-time.

	* erc-compat.el 1.15: erc-emacs-build-time: New variable.

	* erc.el 1.592 (erc-cmd-SAY):
	Reintroduced the feature where the spaces between
	"/SAY" and the rest of the line were being sent with the message.

2003-12-28  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.591 (erc-server-buffer-p):
	Fixed a bug where this function sometimes would return
	    nil when it should return t.

2003-12-27  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.590 (erc-generate-new-buffer-name):
	Really fixed a bug where ERC would reuse
	    a connected server buffer when erc-reuse-buffers is non-nil.
	(erc-cmd-JOIN): Now we tell the user when he attempts to join the same
	    channel twice on the same server.

	* erc.el 1.589 (erc-generate-new-buffer-name):
	Fixed a bug where ERC would reuse a connected server buffer when erc-reuse-buffers is non-nil.

	* erc.el 1.588 (erc-cmd-SAY):
	Fixed a bug where the spaces between "/SAY" and the rest of the
	    line were being sent with the message.

	* erc-list.el 1.15: Fixed another typo.

	* erc-list.el 1.14: Fixed a typo.

	* erc-list.el 1.13:
	Added text to the top of the channel list buffer describing the keybinding for
	function erc-chanlist-join-channel.

	* erc-list.el 1.12: Minor appearance changes.  No functional change.

	* erc-list.el 1.11:
	Implemented function erc-chanlist-join-channel.  Added variable
	erc-chanlist-channel-line-regexp.  Got rid of function
	erc-chanlist-pre-command-hook.  Changed the logic for how channel lines are
	highlighted.

2003-12-26  Francis Litterio  <franl@users.sourceforge.net>

	* erc-list.el 1.10:
	Removed a bunch of unused code.  No semantic change.

	* erc-list.el 1.9: Added lots of functionality.

2003-12-15  Mario Lang  <mlang@delysid.org>

	* erc-track.el 1.58, erc.el 1.587:
	New custom type erc-message-type, use it in erc-hide-list and erc-track-exclude-types

2003-12-14  Alex Schroeder  <alex@gnu.org>

	* erc-track.el 1.57 (track-when-inactive): New module.
	(erc-track-visibility): New option.
	(erc-buffer-activity): New variable.
	(erc-buffer-activity-timeout): New variable.
	(erc-user-is-active): New function.
	(erc-buffer-visible): New function.
	(erc-modified-channels-update): Replace get-buffer-window call
	with call to erc-buffer-visible.
	(erc-track-modified-channels): Ditto.

2003-12-14  Lawrence Mitchell  <wence@gmx.li>

	* erc-track.el 1.56 (erc-modified-channels-update):
	Force update of modeline.  Makes sure
	that the tracked channels disappear in other buffers too.

2003-12-06  Lawrence Mitchell  <wence@gmx.li>

	* erc.el 1.586 (define-erc-module):
	New optional argument LOCAL-P.  If non-nil, then
	mode will be created as buffer-local rather than a global mode.
	(erc-cmd-CTCP): Fix indentation from last commit.

	* erc-compat.el 1.14 (erc-define-minor-mode):
	Deal with :global and :group keywords.

	* erc-nickserv.el 1.13 (erc-current-network):
	Make server regex more permissive.

	* erc.el 1.585 (erc-cmd-CTCP):
	Don't add a space to end of command when ARGS are
	empty.  This fixes a bug whereby requests of the form "VERSION " were
	being sent, and ignored.

2003-11-27  Lawrence Mitchell  <wence@gmx.li>

	* erc-log.el 1.9: From Adrian Aichner <adrian@xemacs.org>
	* erc-log.el (erc-log-file-coding-system): Use 'binary
	coding-system under XEmacs (instead of 'emacs-mule).
	* erc-log.el (erc-w32-invalid-file-characters): Removed as no
	longer needed.
	* erc-log.el (erc-generate-log-file-name-long): Use
	`convert-standard-filename', which exists in XEmacs too.

2003-11-16  Mario Lang  <mlang@delysid.org>

	* erc-identd.el 1.1: Code provided by johnw, thanks!

2003-11-09  Lawrence Mitchell  <wence@gmx.li>

	* erc.el 1.584 (erc-latest-version): Clean up docstring.
	Remove requirement for w3, wrap REQUIRE statement in IGNORE-ERRORS.
	Update viewcvs url to correct location.
	(erc-ediff-latest-version): Make sure that we find the uncompiled
	erc.el, error if not.

2003-11-07  Mario Lang  <mlang@delysid.org>

	* erc.el 1.583: Add more info to /sv

2003-11-06  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.582: Added optional argument BUFFER to erc-server-buffer-p.

2003-11-04  Mario Lang  <mlang@delysid.org>

	* AUTHORS 1.6: Add sachac

2003-11-02  Lawrence Mitchell  <wence@gmx.li>

	* erc.el 1.581 (erc-server-366):
	chnl is 4th element of parsed, not fifth.
	(erc-channel-end-receiving-names): Pass correct number of arguments
	to delete-if-not.

	* erc.el 1.580 (erc-update-current-channel-member):
	 Use erc-downcase when comparing
	nick entries.  Cleanup indentation.

2003-11-01  Lawrence Mitchell  <wence@gmx.li>

	* erc-sound.el 1.4: Added a (provide 'erc-sound) line.

	* erc.el 1.579 (erc-cmd-NAMES): send to TGT, not CHANNEL.

2003-10-29  Sandra Jean Chua  <sacha@free.net.ph>

	* erc-pcomplete.el 1.21, erc.el 1.578, CREDITS 1.6:
	Merged Jeremy Maitin-Shepard's patch for time-sensitive nick completion.

2003-10-27  Mario Lang  <mlang@delysid.org>

	* Makefile 1.19, debian/changelog 1.24:
	New Debian package 4.0.cvs.20031027

2003-10-25  Mario Lang  <mlang@delysid.org>

	* erc.el 1.577: Fix typo tuncate->rruncate

2003-10-24  Mario Lang  <mlang@delysid.org>

	* erc-dcc.el 1.80: From Stephan Stahl <stl@isogmbh.de>:
	 * (erc-dcc-send-block): Kill buffer if transfer completed correctly.

2003-10-22  Mario Lang  <mlang@delysid.org>

	* erc-track.el 1.55 (erc-track-disable):
	Do not deactivate all advices for `switch-to-buffer',
	just disable the erc specific one. (Bug#217022).

2003-10-18  Lawrence Mitchell  <wence@gmx.li>

	* erc-log.el 1.8 (erc-log-file-coding-system): New variable.
	(erc-save-buffer-in-logs): Use it.

2003-10-17  Mario Lang  <mlang@delysid.org>

	* erc.el 1.576 (erc-interpret-mirc-color): New boolean defcustom

	* erc.el 1.575: Do not use -nowait on darwin (thanks johnw)

2003-10-15  Lawrence Mitchell  <wence@gmx.li>

	* erc.el 1.574 (define-erc-module):
	Set erc-FOO-mode appropriately in erc-FOO-enable
	and erc-FOO-disable.

2003-10-12  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-autoaway.el 1.12 (erc-mode):
	Reset idletime on connect. Fixes an annoying bug which
	flooded the server with aways on reconnect.
	(erc-autoway-reset-idletime): Accept optional args so we can hook it
	onto erc-server-001-hook.

2003-10-10  Mario Lang  <mlang@delysid.org>

	* erc.el 1.573 (erc-hide-list): Add a nice defcustom type

2003-10-08  Mario Lang  <mlang@delysid.org>

	* Makefile 1.18, debian/changelog 1.23, debian/control 1.8:
	Debian snapshot 20031008

	* erc-speedbar.el 1.11:
	Patch from Eric M. Ludlam <eric@siege-engine.com>:
	 - (erc-install-speedbar-variables): Add functions list (needs new speedbar?)
	 - (erc-speedbar-buttons): Add doc.  Clear the buffer
	 - (erc-speedbar-sort-channel-members): New function.
	 - (erc-speedbar-expand-channel): Call new sort function.  Change some visuals.
	 - (erc-speedbar-insert-user): Change some visuals based on channel data.
	 - (erc-speedbar-line-text, erc-speedbar-item-info): New functions
	Add proper elisp file header.

2003-10-02  Lawrence Mitchell  <wence@gmx.li>

	* erc-match.el 1.22 (erc-match-syntax-table): New variable.
	(erc-match-current-nick-p): Use it.

	* erc.el 1.572 (erc-quit-reason-zippy, erc-part-reason-zippy): Use
	`erc-replace-regexp-in-string' rather than
	`replace-regexp-in-string'.
	(erc-command-indicator-face): New face, used to show commands if
	`erc-hide-prompt' is nil and `erc-command-indicator' is non-nil.
	(erc-command-indicator): Clean up doc-string.
	(erc-display-prompt): New optional argument FACE, use this rather
	than `erc-prompt-face' to fontify the prompt if non-nil.
	(erc-send-current-line): Pass in `erc-command-indicator-face' to
	`erc-display-prompt'.

	* erc-compat.el 1.13 (erc-replace-regexp-in-string): New function.
	Alias for `replace-regexp-in-string' on Emacs 21.
	Argument massaging for `replace-in-string' for XEmacs.

2003-09-28  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.571 (erc-keywords): Removed. Wasn't used by anything.

2003-09-25  Lawrence Mitchell  <wence@gmx.li>

	* erc.el 1.570: ERC-HIDE-PROMPT: add custom group
	ERC-COMMAND-INDICATOR: new variable.
	ERC-COMMAND-INDICATOR: new function.
	ERC-DISPLAY-PROMPT: new argument, PROMPT, used to override default
	prompt.
	ERC-SEND-CURRENT-LINE: pass ERC-COMMAND-INDICATOR to ERC-DISPLAY-PROMPT.

2003-09-24  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.569 (erc-parse-line-from-server):
	Ignore empty lines as required by RFC.

2003-09-17  Mario Lang  <mlang@delysid.org>

	* erc.el 1.568: Add lag time calculation

2003-09-13  Mario Lang  <mlang@delysid.org>

	* Makefile 1.17, debian/README.Debian 1.7, debian/changelog 1.22:
	New debian release

	* erc-notify.el 1.22:
	Call erc-notify-install-message-catalogs on load, not on module init

	* erc.el 1.567 (erc-update-modules):
	Use `load' instead of `require'.  XEmacs appears
	to have the NOERROR arg only sometimes... Strange

	* erc.el 1.566: No fboundp if we have a defvar

	* erc.el 1.565: Properly defvar erc-ping-handler

2003-09-11  Damien Elmes  <erc@repose.cx>

	* erc.el 1.564 (erc-setup-periodical-server-ping):
	check if erc-ping-handler is
	    bound before referencing it

2003-09-10  Mario Lang  <mlang@delysid.org>

	* erc.el 1.563 (erc-cmd-NICK):
	Warn about exceeded NICKLEN if we know it.

	* erc.el 1.562: Make erc-server-PONG obey erc-verbose-server-ping.
	Cancel old `erc-ping-handler' timer when restablishing connection in the same
	buffer.

	* debian/changelog 1.21, Makefile 1.16: New debian snapshot

	* erc-dcc.el 1.79, erc-xdcc.el 1.6:
	Use new function erc-dcc-file-to-name to convert spaces to underscores

	* erc-xdcc.el 1.5: Add autoload for erc-xdcc-add-file

2003-09-08  Mario Lang  <mlang@delysid.org>

	* erc-dcc.el 1.78: indent fixes and copyright update

	* erc.el 1.561:
	erc-send-ping-interval: New defcustom which defaults to 60.
	Every 60 seconds, we send PING now.
	This should fix the "connection silently lost" bug.
	Please test this change extensively, and report problems.

2003-09-07  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.560 (erc-default-coding-system):
	Test for undecided and utf-8
	before setting.

2003-09-01  Mario Lang  <mlang@delysid.org>

	* erc.el 1.559 (erc-modules): Add some more symbols to the set

	* erc.el 1.558 (erc-modules):	* erc.el 1.558 (erc-modules): Add :greedy t to the set in 

	* erc-dcc.el 1.77:
	More autoloads which make dcc autoload upon ctcp dcc query received.

	* erc-dcc.el 1.76 (erc-cmd-DCC): Add Autoload.
	(pcomplete/erc-mode/DCC): Ditto, makes DCC autoloadable just by using
	completion.
	Also only offer "send" if fboundp make-network-process.

	* erc-autojoin.el 1.6: Update copyright

	* erc-autojoin.el 1.5 (erc-autojoin-add):
	Only add the channel if it is not already there.

	* erc-notify.el 1.21:
	Use `define-erc-module' instead of old `erc-notify-initialize'.
	Now defines the global minor mode erc-notify-mode, and should also
	be controllable via `erc-modules' with symbol `notify'.

	* erc.el 1.557 (erc-modules):
	Fix paren-in-column-zero bug in docstring.
	Add a sort of bogus, but still better :type.
	Add autojoin and netsplit by default.
	(erc-update-modules): Dont barf with an error if `require' fails.
	We can still error out if the mode is not defined.

2003-08-31  Andreas Fuchs  <asf@void.at>

	* erc.el 1.556:
	* make 353 (NAMES reply) output go into the appropriate channel buffer
	  (if it exists) or into the active erc buffer (if not).

2003-08-29  mtoledo  <mtoledo@D5DC120J>

	* erc.el 1.555:
	Added the variable erc-echo-notices-in-current-buffer to make possible display notices in the current buffer (queries to nickserv/chanserv/memoserv). Defaults to nil so nothing changes from what we have today.

2003-08-29  Mario Lang  <mlang@delysid.org>

	* erc.el 1.554: Fix typo in varname which led to a compiler warning

	* AUTHORS 1.5: Added lawrence

2003-08-27  Mario Lang  <mlang@delysid.org>

	* erc-dcc.el 1.75:
	Set process and file-coding system to 'binary (for Windows)

	* erc-stamp.el 1.30: Rename custom group erc-timestamp to erc-stamp.

2003-08-07  Lawrence Mitchell  <wence@gmx.li>

	* erc-fill.el 1.23 (erc-fill-disable):
	Remove erc-fill, not erc-fill-static from
	erc-insert-modify-hook.

2003-08-05  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.553 (erc-send-current-line):
	Now we display the prompt for previously entered commands
	    based on the value of customization variable erc-hide-prompt.  This change is
	    closely related to revision 1.552 by wencem.

2003-08-04  Lawrence Mitchell  <wence@gmx.li>

	* erc.el 1.552 (erc-send-current-line):
	If we're sending a command, don't display
	the prompt.

2003-08-04  Damien Elmes  <erc@repose.cx>

	* erc-track.el 1.54: patch from David Edmondson (dme AT dme DOT org)

	This patch makes button 3 on the erc-track buffer names in the
	modeline show the selected buffer in another window. It's analogous to
	button 2 which shows the buffer in the current window.

2003-07-31  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.551 (erc-display-line-1):
	Fixed bad indentation on one line.  No semantic change.

2003-07-29  Lawrence Mitchell  <wence@gmx.li>

	* erc-match.el 1.21:
	Quote open paren in docstring of erc-text-matched-hook

	* erc.el 1.550: Anchor match only at beginning in erc-ignored-user-p.

	* erc-button.el 1.47: New variable erc-button-wrap-long-urls.
	Modified erc-button-add-buttons:
	  New optional argument REGEXP.
	  If we're buttonising a URL and erc-button-wrap-long-urls is
	  non-nil, try and wrap them

	Modified erc-button-add-buttons-1:
	  Pass regexp to erc-button-add-buttons.

2003-07-28  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.549 (erc-network-name):
	Improved docstring.  Removed an unnecessary call to erc-server-buffer.

2003-07-28  Mario Lang  <mlang@delysid.org>

	* erc.el 1.548: By lawrence:
	(erc-ignored-user-p): Use anchored regexp.
	(smiley): Fix missing quote in `remove-hook' call.

2003-07-26  Francis Litterio  <franl@users.sourceforge.net>

	* erc-nets.el 1.4, erc-nickserv.el 1.12, erc.el 1.547:
	Changed all references to Openprojects into references to Freenode.

2003-07-25  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.546:
	Now variable erc-debug-irc-protocol is defvar'ed instead of defcustom'ed.
	Made the docstring clearer too.

	* erc.el 1.545: Fixed a wrong-type-argument error from window-live-p.

2003-07-15  Damien Elmes  <erc@repose.cx>

	* erc-log.el 1.7 (erc-log-setup-logging):
	set buffer-file-name to "", as (basic-save-buffer)
	    will prompt for a buffer name before invoking hooks. the buffer-file-name
	    will be overridden by (erc-save-buffer-in-logs) anyway - the main danger
	    of doing this is write-file-contents hooks. Let's see if anyone complains.
	(erc-save-buffer-in-logs): return t, so that further write hooks are not run

2003-07-09  Damien Elmes  <erc@repose.cx>

	* erc-dcc.el 1.74 (erc-dcc-open-network-stream):
	-nowait still crashes emacs cvs - disable for now

2003-07-02  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.544 (erc): Minor docstring modification.

2003-07-01  Damien Elmes  <erc@repose.cx>

	* erc-match.el 1.20 (erc-match-current-nick-p):
	match only on word boundaries

	* erc-log.el 1.6 (erc-log-setup-logging):
	not sure how this crept in again - make sure we set
	    buffer-file-name to nil, since otherwise it is not possible to open
	    previous correspondence in another buffer while a conversation is open

2003-06-28  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.543 (erc-network-name):
	Now makes some intelligent guesses if the server didn't tell
	    us the network name.

2003-06-28  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.542 (erc-default-coding-system): Use utf-8 as the default
	encoding for outgoing stuff and undecided as the default for
	incoming stuff.
	(erc-coding-sytem-for-target): New.
	(erc-encode-string-for-target): Use it.
	(erc-decode-string-from-target): Use it.  Removed the flet
	erc-default-target hack and documented the dynamically bound
	variable `target' instead.

2003-06-25  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.541 (erc-log-irc-protocol):
	Now we keep point on the bottom line of the window
	    displaying the *erc-protocol* buffer if it is at the end of the
	    *erc-protocol* buffer.

	* erc.el 1.540:
	Added some text to the docstring for variable erc-debug-irc-protocol.

2003-06-23  Francis Litterio  <franl@users.sourceforge.net>

	* erc-dcc.el 1.73 (erc-dcc-auto-mask-p):
	Fixed a docstring typo that caused a load-time error.

	* erc-dcc.el 1.72 (erc-dcc-auto-mask-p):
	Changed reference to undefined variable erc-dcc-auto-mask-list
	    to erc-dcc-auto-masks.
	Changed default value of variable erc-dcc-auto-masks to nil and added text to its
	    docstring.

	* erc-notify.el 1.20 (erc-notify-timer and erc-notify-QUIT):
	Added network name to notify_off message.

	* erc.el 1.539 (erc-network-name):
	Now returns the name of the IRC server if the network name
	    cannot be determined.

	* erc-notify.el 1.19 (erc-notify-JOIN and erc-notify-NICK):
	Added argument ?m to call to erc-display-message.

	* erc-dcc.el 1.71 (erc-dcc-do-LIST-command):
	Fixed a bug where I assumed (plist-get elt :type)
	    returns a string -- it really returns a symbol.

	* erc-notify.el 1.18 (erc-notify-timer):
	Now we include the network name in the notify_on message.

	* erc.el 1.538:
	New function: erc-network-name.  Returns the name of the network that the
	    current buffer is associate with.  Not every server sends the 005 messages
	    that enable the network name to be known.  If the network name is
	    not known, the string "UNKNOWN" is returned.

	* erc-dcc.el 1.70 (erc-dcc-chat-setup):
	Added a comment.  Fixed a bug where a DCC CHAT buffer has no
	    prompt when it first appears.

	* erc-dcc.el 1.69 (erc-dcc-chat-parse-output):
	Now a DCC chat buffer displays the nick using
	    erc-nick-default-face just like in a channel buffer.

2003-06-22  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.537 (erc-display-prompt):
	Fixed incorrect indentation.  No semantic change.

	* erc.el 1.536 (erc-strip-controls):
	Minor change to regexp that matches IRC color control
	    codes.  I was seeing usage as follows: ^C07colored text^C^C04other color.
	    Now we strip a ^C followed by zero, one, or two digits.  Before this change,
	    we stripped a ^C followed by one or two digits.

	* erc-dcc.el 1.68 (erc-dcc-do-LIST-command):
	Improved format of output of /DCC LIST.  Now the
	    "Size" column for a DCC GET includes the percentage of the file that has
	    been retrieved.
	(erc-dcc-do-GET-command): Now it works if erc-dcc-default-directory is set.

2003-06-19  Damien Elmes  <erc@repose.cx>

	* erc-log.el 1.5:
	* added quickstart information to the comments up the top

2003-06-16  Mario Lang  <mlang@delysid.org>

	* erc.el 1.535:
	Default to open-network-stream on MS Windows. (thanks lawrence)

2003-06-11  Damien Elmes  <erc@repose.cx>

	* erc.el 1.534 (erc-process-input-line):
	refactor so that wrong-number-of-arguments is
	    caught when using do-not-parse-args - this lets do-not-parse-args
	    commands display help messages on incorrect syntax in a uniform manner.
	    This no longer raises a bad-syntax error - was this a catch-all to stop a
	    backtrace? Does it belong?
	(erc-cmd-APPENDTOPIC): the correct way to display help when you want to
	    accept an abitrary string is to (signal 'wrong-number-of-arguments nil).
	    This fixes a bug where people could not /at topics with a space in them.

2003-06-09  Damien Elmes  <erc@repose.cx>

	* erc.el 1.533:
	Re-add the last few changes which weren't merged for some reason.

	* erc.el 1.532 (erc-cmd-APPENDTOPIC): show help when given no arguments

	Patch from MrBump. Fixes problem with erc-set-topic inserting ^C characters
	into the topic. Also removes dependency on CL.

2003-06-08  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.531:
	Added comment to explain (eval-after-load "erc" '(erc-update-modules)).

2003-06-01  Mario Lang  <mlang@delysid.org>

	* erc-pcomplete.el 1.20: Add completion for /unignore

2003-05-31  Alex Schroeder  <alex@gnu.org>

	* erc-compat.el 1.12 (erc-encode-coding-string): The default binding,
	if encode-coding-string was not available, must be a defun that
	takes multiple arguments.  Did that.

2003-05-30  Mario Lang  <mlang@delysid.org>

	* erc.el 1.530:
	Add handlers for 313 and 330 (by arne@rfc2549.org, thanks)

2003-05-30  Damien Elmes  <erc@repose.cx>

	* erc.el 1.529:
	patch from MrBump to make /mode #foo +b work again (erc-cmd-BANLIST only
	temporarily changes them now)

2003-05-29  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.528 (erc-select):
	server is now defaulted with erc-compute-server.
	A few cosmetic fixes.
	(erc-default-coding-system): Renamed from erc-encoding-default.
	(erc-encoding-default): Renamed to erc-default-coding-system.
	(erc-encoding-coding-alist): Documentation updated to cover regexps.
	(erc-encode-string-for-target): Now considers keys of
	erc-encoding-coding-alist to be regexps.  Rely on erc-compat
	wrt. MULE support.
	(erc-decode-string-from-target): New function.
	(erc-send-current-line): eq -> char-equal fix.
	(erc-server-TOPIC): topic is now decoded with
	erc-decode-string-from-target.
	(erc-parse-line-from-server): Line from server is no longer decoded
	here.
	(erc-server-PRIVMSG-or-NOTICE): Message from a user is decoded here,
	sspec -> sender-spec for clarity.  Cosmetic if -> when fix.
	(erc-server-TOPIC): sspec -> sender-spec
	(erc-server-WALLOPS): Ditto.

	* erc-compat.el 1.11 (erc-decode-coding-string):
	Now requires coding-system as an argument.

2003-05-15  Mario Lang  <mlang@delysid.org>

	* erc.el 1.527:
	erc-part|quit-hook is only run on a part|quit directed to our nick, reflect that in the docstring to avoid confusion

2003-05-01  Andreas Fuchs  <asf@void.at>

	* erc-truncate.el 1.3:
	* erc-truncate-buffer-to-size: use fboundp. Scheme takes its toll...

2003-05-01  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-truncate.el 1.2: remove require of erc-log
	(erc-truncate-buffer-to-size): use erc-save-buffer-in-logs when it's
	there, else, dont.

2003-04-29  Andreas Fuchs  <asf@void.at>

	* erc-log.el 1.4, erc-truncate.el 1.1, erc.el 1.526: erc.el:
		* erc-cmd-QUIT: Remove references to code in erc-log.el, to
		  not force autoloading of erc-log.el
		* erc-server-PART: ditto.
		* erc-quit-hook: new hook, run when /quit command is
		  processed.
		* erc-cmd-QUIT: use it.
		* erc-part-hook: new hook, run then PART message is
		  processed.
		* erc-cmd-PART: use it.
		* erc-connect-pre-hook: new hook, run before connection to IRC
		  server is started.
		* erc: use it.
		* erc-max-buffer-size: Move truncation variables and functions
		  to erc-truncate.el
		* erc-truncate-buffer-on-save: moved to erc-log.el
		* erc-initialize-log-marker: new function.
	erc-log.el:
		* erc-truncate-buffer-on-save: New defcust here; from erc.el
		* erc-truncate-buffer-on-save: Put it in group `erc-log'
		* erc-log-channels-directory: Remove trailing slash from
		  default value.
		* Add functions to erc-connect-pre-hook, erc-part-hook and
		  erc-quit-hook to avoid getting autoloaded.

	erc-truncate.el:
		* Contains the truncation functions and defcusts from erc.el.
		* define-erc-module clause added; new erc-truncate-mode.

2003-04-29  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.525 (erc):
	Check wether erc-save-buffer-in-logs is bound, too

	* erc.el 1.524 (erc):
	Check wether erc-logging-enabled is bound before using it - not
	everyone is using erc-log.el!

2003-04-28  Andreas Fuchs  <asf@void.at>

	* erc-log.el 1.3:
	* while we're at it, remove the (declare (ignore ignore)) statements.

	* erc-log.el 1.2:
	* add autoload statement for erc-log-mode/etc. Sorry for the delay.

	* erc-log.el 1.1, erc.el 1.523: * erc.el:
		- move variables and functions to erc-log.el:
			 defgroup `erc-log'
	                 defcustom `erc-log-channels-directory'
			 defcustom `erc-log-insert-log-on-open'
			 defcustom `erc-generate-log-file-name-function'
			 defun `erc-save-buffer-in-logs' (autoloads from erc-log.el)
	 		 defuns `erc-generate-log-file-name-*'
			 defun `erc-current-logfile'
			 defun `erc-logging-enabled' (autoloads from erc-log.el)
		- erc-truncate-buffer-to-size: fix for double-saving bug when
		  writing out truncated buffer contents. Thanks, lawrence mitchell <wence@gmx.li>!
		- erc-remove-text-properties-region: Fix case for read-only text.
		- erc-send-current-line: update insert-marker before calling the hooks.
		                         also, wrap (erc-display-prompt) so that it doesn't toggle
					 buffer-modified-p.
		- erc-interpret-controls: remove /very/ old commented-out function
		- erc-last-saved-position: make it a marker
		- erc: use it.

	* erc-log.el: (thanks, lawrence mitchell <wence@gmx.li>!)
		- Move logging code from erc.el here
		- define-erc-module log: add; minor mode erc-log-mode is the
		  same as adding the `erc-save-buffer-in-logs' to
		  erc-send-post-hook and `erc-insert-post-hook'.
		- erc-w32-invalid-file-characters: add.
		- erc-enable-logging: add.
		- erc-logging-enabled: use it.
		- erc-logging-enabled: autoload.
		- erc-save-buffer-in-logs: fix for truncating saved buffer with read-only text.
		- erc-save-buffer-in-logs: use erc-last-saved-position.
		- erc-save-buffer-in-logs: fix saving half-written messages on
		  the prompt when saving the log file. (simply uses
		  erc-insert-marker as an upper bound for saving).

2003-04-27  Damien Elmes  <erc@repose.cx>

	* erc.el 1.522:	* erc.el 1.522: erc-modules: added 

2003-04-27  Alex Schroeder  <alex@gnu.org>

	* Makefile 1.15 (UNCOMPILED): Added erc-compat.el.
	(clean): Remove .elc files, too.
	Patch by Hynek Schlawack <hynek+erc@hys.in-berlin.de>

2003-04-22  Damien Elmes  <erc@repose.cx>

	* erc-button.el 1.46:
	erc-button-keymap: set the parent keymap to erc-mode-map

2003-04-20  Damien Elmes  <erc@repose.cx>

	* erc.el 1.521:
	erc-official-location: shouldn't the official location be the base URL of erc?

	* erc.el 1.520:
	erc-modules: updated the docstring to make the semantics clearer

2003-04-19  Mario Lang  <mlang@delysid.org>

	* erc.el 1.519:
	Fix problem where % in NOTICE produced errors (from mmc)

2003-04-18  Damien Elmes  <erc@repose.cx>

	* erc.el 1.518 (erc-toggle-debug-irc-protocol):
	moved a reference to 'buf' inside the let
	    statement which defines it. it's difficult to tell what the original
	    intentions were here - at the moment the debug window is displayed when
	    toggling either way.

	* README 1.3, erc.el 1.517:
	(erc-update-modules: added a condition in for erc-nickserv -> erc-services

	* erc-pcomplete.el 1.19:
	- that change to erc-update-modules making it require the modules first means
	  we don't need any special case handling here, so i reverted the previous
	  change

	* erc.el 1.516:
	- don't require 'erc-auto, since windows users don't have access to make.
	  instead, we handle it in (erc-update-modules)

2003-04-17  Damien Elmes  <erc@repose.cx>

	* README 1.2, Makefile 1.14:
	Updated Makefile and documentation to reflect the new release

	* erc.el 1.515:
	- note the previous change also updated the release number to erc 4.0!
	(erc-connect): fix a bug introduced by the previous release

	* erc.el 1.514:
	fixed about 20 instances of (message (format ...)) which will break if the
	format returns a string with %s in it

	* erc.el 1.513: erc-error-face: make it red, not pink

	* erc-pcomplete.el 1.18:
	since pcomplete is autoloaded via erc-completion-mode, and completion is in
	erc-modules by default, we remove completion when pcomplete is added

	* erc.el 1.512 (define-erc-module): no need for delete, use delq

	* erc-members.el 1.5 (erc-nick-channels):
	(erc-person-channels) takes one arg
	(erc-format-user): again, they all take an arg

	* erc.el 1.511:
	- require erc-auto when loading, so the default `erc-modules' can be loaded.
	  this makes erc-auto no longer a convenience but a necessity - all the name
	  of user friendliness.
	(define-erc-module): the enable and disable routines now update erc-modules
	    accordingly
	erc-modules: new variable controllig the modules which erc has loaded/will
	    load. when customising, it will automatically enable modules. it won't
	    automatically disable modules which are removed, yet.
	(erc-update-modules): enable all modules in `erc-modules'

	* erc-dcc.el 1.67 (erc-dcc-open-network-stream):
	use the -nowait equiv if available
	erc-dcc-server-port: removed
	erc-dcc-port-range: allows a range of values, so you can have more than one
	    dcc
	(erc-dcc-server): support erc-dcc-port-range
	(erc-dcc-chat): use OCHAT for outgoing chat for now. we need to fix the
	    issues with allowing more than one chat with the same person

	* erc.el 1.510:
	erc-log-channels: removed; set the directory to start logging
	(erc-directory-writeable-p): create directory if it doesn't exist, check if
	    it's writeable
	(erc-logging-enabled): don't reference erc-log-channels

2003-04-07  Damien Elmes  <erc@repose.cx>

	* erc.el 1.509 (erc):
	but when inserting the contents of a previous logfile, use the logfile
	    name, not ""!

	* erc.el 1.508 (erc):
	set buffer-file-name to "", since we have a custom saving function and
	    it's not needed. this enables one to open a log file with previous
	    correspondence, while talking to the person at the same time

2003-03-29  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.507 (erc-prepare-mode-line-format):
	Now strips all text properties from the target before
	    putting it in the mode line.  Keeps the mode line looking consistent.
	(erc-channel-p): Improved docstring.

2003-03-28  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.506 (erc-generate-log-file-name-with-date): New function.
	(erc-generate-log-file-name-function): Make it available.

2003-03-24  Mario Lang  <mlang@delysid.org>

	* erc.el 1.505:
	Fix erc-prompt and erc-user-mode custom :type (Closes: #185794)

2003-03-20  Damien Elmes  <erc@repose.cx>

	* erc.el 1.504:
	erc-server-hook-list: correct documentation of ordering of (proc parsed)

2003-03-16  Alex Schroeder  <alex@gnu.org>

	* erc-track.el 1.53 (erc-modified-channels-string):
	Make it a risky-local-variable.

2003-03-16  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-track.el 1.52 (erc-track-modified-channels):
	Use (point-min) if we don't find a
	parsed-property, so it won't error out with nil...

2003-03-16  Damien Elmes  <erc@repose.cx>

	* erc-track.el 1.51 (erc-track-switch-buffer):
	removed call to erc-modified-channels-update, as
	    this is done correctly on buffer switching in both emacs and xemacs now

2003-03-15  Damien Elmes  <erc@repose.cx>

	* erc-track.el 1.50 (erc-find-parsed-property):
	simplified a little, so it shouldn't return nil anymore

	* erc.el 1.503: erc-send-post-hook: document narrowing which occurs

2003-03-14  Alex Schroeder  <alex@gnu.org>

	* erc-track.el 1.49 (erc-find-parsed-property): New function.
	(erc-track-modified-channels): Use it instead of relying on
	point-min.

2003-03-12  Mario Lang  <mlang@delysid.org>

	* erc.el 1.502:
	Fix erc-set-topic to accept a channel name as first word

2003-03-11  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-dcc.el 1.66:
	Small patch (<10 lines, also slightly modified by Jorgen Schäfer) from
	David Spreen <netzwurm@debian.org> to add hostmask-authentication to
	DCC auto-accept.

	erc-dcc-auto-mask-list: New variable
	(erc-dcc-handle-ctcp-send): Check erc-dcc-auto-mask-list
	(erc-dcc-auto-mask-p): New function
	erc-dcc-send-request: Docstring now mentions erc-dcc-auto-mask-list

2003-03-10  Francis Litterio  <franl@users.sourceforge.net>

	* erc-ring.el 1.11 (erc-clear-input-ring):
	New function.  Erases the contents of the input ring for
	   the current ERC buffer.

2003-03-08  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.501:
	(erc-display-line-1) and (erc-send-current-line): Now these functions reset erc-insert-this
	    to t as soon as possible after consuming the value of that variable.  See the comments in
	    the code for the strange symptom this fixes.
	(erc-bol): Changed to call point-at-eol instead of line-end-position.  This increases XEmacs
	    portability, since XEmacs doesn't have line-end-position.  Patch suggested by Scott Evans
	    on the ERC mailing list.

2003-03-04  Damien Elmes  <erc@repose.cx>

	* erc.el 1.500: banlist*: patch from mrbump to avoid using cl packages

2003-03-04  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.499:
	Changed erc-noncommands-list from a constant to variable, so that users can
	    add their own erc-cmd-* functions to the list.  Improved the docstring too.

2003-03-02  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.498 (erc-server-353):
	Now the output of "/NAMES #channel" appears in the currently
	    active ERC buffer, even if the user is not a member of #channel.

	* erc.el 1.497 (erc-cmd-DEOP):
	Fixed a syntax error: invalid read syntax ")" caused by my last change.

2003-03-01  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.496 (erc-cmd-DEOP):
	Fixed a wrong-type-argument error caused by calling split-string
	    on a list instead of on a string.  Removed the call to split-string entirely,
	    because it wasn't needed.

	* erc.el 1.495 (erc-cmd-HELP):
	Changed to use intern-soft instead of intern.  Now "/HELP floob"
	    doesn't create a void function symbol erc-cmd-FLOOB.

2003-02-25  Damien Elmes  <erc@repose.cx>

	* erc.el 1.494 (erc-cmd-SERVER):
	remove erroneous references to line, use server instead

2003-02-23  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.493 (erc-toggle-debug-irc-protocol):
	Fixed a bug where the global value of
	    kill-buffer-hook was being modified instead of the buffer-local value.

2003-02-22  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.492 (erc-cmd-KICK):
	Now supports any number of words in the REASON string.  Examples
	    of the /KICK command are:
	      /KICK franl You don't belong here
	      /KICK franl Bye
	      /KICK franl
	      /KICK #channel franl Go away now
	      /KICK #channel franl Bye
	      /KICK #channel franl

2003-02-16  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-stamp.el 1.29 (erc-insert-timestamp-right):
	Make the timestamp rear-nonsticky, so
	C-e works at the beginning of the next line.

2003-02-16  Andreas Fuchs  <asf@void.at>

	* erc-stamp.el 1.28:
	* s/choose/choice/ in customize options, as kensanata requested.

2003-02-15  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.491 (erc-toggle-debug-irc-protocol):
	Now if the *erc-protocol* buffer is killed,
	    logging is turned off.  Prior to this change, the buffer would come back
	    into existence (generally unbeknownst to the user) after being killed.

2003-02-11  Damien Elmes  <erc@repose.cx>

	* erc.el 1.490 (erc-send-current-line):
	we can't inhibit everything here when not connected,
	    as the user will expect commands like /server still to work. the
	    erc-cmd-handler should recover from errors instead

2003-02-10  Damien Elmes  <erc@repose.cx>

	* erc.el 1.489:
	* we now run erc-after-connect on 422 (no motd) messages as well as the motd
	  messages
	(erc-login): revert the previous change

	* erc.el 1.488 (erc-login): register that we're connected

2003-02-10  Mario Lang  <mlang@delysid.org>

	* erc-members.el 1.4: * Provide erc-members
	* Fix excessive )
	* Comment out broken self-tests

2003-02-07  Damien Elmes  <erc@repose.cx>

	* erc.el 1.487 (erc-connect):
	notify the user we're trying to connect when using asych
	    connections

	* erc.el 1.486 (erc-connect): support an asyncronous connection
	(erc-process-sentinel): ditto

	* erc-track.el 1.48:
	* advise switch-to-buffer in the case of xemacs, since it doesn't have
	  window-configuration-change-hook

	* erc.el 1.485 (erc-send-current-line):
	if not connected, refuse to send either a message or
	    a command

	* erc.el 1.484: (erc-save-buffer-in-logs):
	    - check for a sensibile region before saving the buffer. if the
	      connection process is killed early on, there is not a sensible region
	      to save
	    - don't set buffer-file-name on save. we don't need it, and it means we
	      can now find-file a log while an existing query is open with that
	      user

	* erc.el 1.483 (erc-process-input-line):
	when displaying the help for a function, if no
	    documentation exists, don't fall over
	(erc-cmd-SAY): new function for quoting lines begining with /
	(erc-server-NICK):
	    - fix a bug where the "is now known as" message doesn't appear on newly
	      created /query buffers
	    - when a user changes their nick, update the query to point to the new
	      nick

	* erc.el 1.482 (erc-send-current-command):
	don't reject multi-line commands. since
	    multiline-p is used as the no-command arg to erc-process-current-line,
	    multi-line text is never interpreted as a command. i believe this is the
	    correct behavior - it allows people to post the output of things like df
	    (sans header). if you want to change this, please provide a rationale
	    in the changelog

	* erc.el 1.481 (erc-send-current-line):
	only match the first line when determining if a
	    multi-line command is allowed

2003-02-07  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-bbdb.el 1.21 (erc-bbdb-highlight-record):
	Use alternate strings, not character
	classes to split the nick-field.

2003-02-06  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.479 (erc-process-sentinel):
	Now we set erc-connected to nil every time we disconnect
	    from a server, not just when an unexpected disconnect happens.

	* erc.el 1.478 (erc-connected):
	Removed redundant defvar of this variable.  Improved the
	    docstring.
	(erc-login): Changed to send a correct RFC2812 USER message (see section
	    3.1.3 of RFC2812 for the documentation of the semantics of each argument
	    of the USER message.

2003-02-02  Damien Elmes  <erc@repose.cx>

	* erc.el 1.477 (erc-cmd-NOTICE): fix from mrbump

2003-01-31  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.476 (erc-cmd-JOIN):
	Now we only send one JOIN command to the server when a channel
	    key is provided.

2003-01-30  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.475 (erc-remove-channel-member):
	Fixed so that it runs erc-channel-members-changed-hook
	    with the channel buffer current, as is documented in the docstring for variable
	    erc-channel-members-changed-hook: "The buffer where the change happened is
	    current while this hook is called."

2003-01-28  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.474:
	(erc-ignored-user-p),(erc-cmd-IGNORE),(erc-cmd-UNIGNORE): Now nicks are ignored
	    on a per-server basis.  Now, erc-ignore-list is only valid in server
	    buffers!  Do not reference it in channel buffers.

	* erc.el 1.473 (erc-cmd-IGNORE):
	Now says "Ignore list is empty" if it erc-ignore-list is empty
	    instead of showing an empty list.

2003-01-25  Alex Schroeder  <alex@gnu.org>

	* erc-nickserv.el 1.11 (services): Defined a module

2003-01-25  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.472 (erc-process-ctcp-query):
	Display recipient of CTCP query if it's not
	our current nick.

	* erc.el 1.471 (erc-cmd-WHOIS):
	Accept an optional second argument SERVER.

2003-01-25  Alex Schroeder  <alex@gnu.org>

	* erc-stamp.el 1.27 (stamp): erc-add-timestamp must always be added
	with the APPEND parameter -- not only when adding it on the right.

2003-01-24  Alex Schroeder  <alex@gnu.org>

	* erc-members.el 1.3 (erc-channel-members-changed-hook): Obsolete, use
	erc-members-changed-hook instead.  When it is set, add its content
	to erc-members-changed-hook.
	(erc-update-channel-member): Obsolete, use erc-update-member
	instead.  Defalias to that effect.
	(erc-remove-channel-member): New and already obsolete.  Use
	erc-remove-nick-from-channel instead.
	(erc-update-channel-info-buffer): Obsolete, use ignore instead.
	Yes, these have to go.
	(erc-channel-member-to-user-spec): Obsolete, use erc-format-user
	instead.
	(erc-format-user): New.
	(erc-ignored-reply-p): New, use it.

	* erc-members.el 1.2:
	Further along the way.  Any function from erc.el that uses
	channel-members should end up in this file, rewritten to use
	erc-members.

	(erc-person): Call erc-downcase before getting
	something from the hash.
	(erc-nick-in-channel): Checking wether erc-process must be used is
	unnecessary -- this will be done in erc-person.
	(erc-nick-channels): New.
	(erc-add-nick-to-channel, erc-update-member): Call erc-downcase
	before putting something into the hash.
	(erc-buffer-list-with-nick): New.
	(erc-format-nick, erc-format-@nick): New, backwards incompatible.
	Must check for other places that call these!
	(erc-server-PRIVMSG-or-NOTICE): Use the new version.

	* erc-compat.el 1.10 (view-mode-enter): defalias to view-mode, if
	view-mode-enter is not fboundp and view-mode is -- as is the case
	in XEmacs.  We need view-mode-enter in erc-match.el.

2003-01-23  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.470 (erc-default-server-handler):
	Minor performance improvement: allow the lambda
	    expression to be byte-compiled.

2003-01-23  Damien Elmes  <erc@repose.cx>

	* erc.el 1.469 (erc-cmd-BANLIST):
	in the absence of a fill-column, use the screen width

2003-01-22  Damien Elmes  <erc@repose.cx>

	* erc.el 1.468:
	patch from MrBump to delay fetching the banlist until /bl is run, so we don't
	fetch it when joining a channel anymore

	* erc-ring.el 1.10:
	* instead of adjusting hooks when loaded, provide (erc-ring-mode). you'll
	  need to run (erc-ring-mode 1) now to get the ring
	* (erc-previous-command), (erc-next-command):
	    - check if the ring exists and create it if necessary
	    - don't do anything if the ring is empty

	* erc-pcomplete.el 1.17:
	Put "how to use" documentation in the comments up the top

2003-01-21  Alex Schroeder  <alex@gnu.org>

	* erc-autojoin.el 1.4 (erc-autojoin-version): New.

	* erc-autojoin.el 1.3 (erc-autojoin-add): Added body.
	(erc-autojoin-remove): Added body.
	(erc-autojoin): Provide it.

2003-01-21  Damien Elmes  <erc@repose.cx>

	* erc.el 1.467: erc-cmd-*: removed a bunch of references to force

2003-01-21  Alex Schroeder  <alex@gnu.org>

	* erc-autojoin.el 1.2 (erc-autojoin-channels-alist): More doc.

2003-01-20  Alex Schroeder  <alex@gnu.org>

	* erc-autojoin.el 1.1:
	new, based on resolve's mail, and the stuff on the wiki

	* erc-members.el 1.1: new

2003-01-19  Mario Lang  <mlang@delysid.org>

	* debian/README.Debian 1.6, debian/changelog 1.20, debian/scripts/install 1.11, 
	  debian/scripts/startup.erc 1.4, Makefile 1.13:
	Prepare for 20030119 debian package

	* erc-dcc.el 1.65: <rant>
	* (erc-decimal-to-ip): Since XEmacs decides that return a completely
	and utterly wrong number from string-to-number if it is larger than
	the integer boundary, instead of sanely converting the thing to
	a float, we now (concat dec ".0").
	</rant>

	* erc.el 1.466:
	* (erc-log-irc-protocol): Use erc-propertize, not propertize

2003-01-19  Alex Schroeder  <alex@gnu.org>

	* erc-button.el 1.45 (erc-button-add-buttons): Added regexp-quote for
	the list case, too.

2003-01-19  Damien Elmes  <erc@repose.cx>

	* erc-dcc.el 1.64 (erc-dcc-member): fix for case where a prop is nil

	* erc-dcc.el 1.63 (erc-dcc-member):
	fix for xemacs's version of plist-member

2003-01-19  Mario Lang  <mlang@delysid.org>

	* erc-notify.el 1.17: Delete empty strings from the ison-list

	* erc-track.el 1.47:
	* (erc-track-switch-buffer): Call erc-modified-channels-update here.

	* erc-track.el 1.46: * toplevel: require 'erc-match

	* erc-track.el 1.45: * (erc-track-mode): Make autoload interactive

	* erc-button.el 1.44: * (button): Make the autoload interactive

	* erc.el 1.465:
	* (erc-mode): Comment out the case-table stuff, breaks xemacs
	* (erc-downcase): Revert.

	* erc-dcc.el 1.62:
	* (erc-dcc-handle-ctcp-send): Use erc-decimal-to-ip on the ip we get...

	* erc-speak.el 1.25:
	Eliminate reference to erc-nick-regexp, which no longer exists

2003-01-19  Alex Schroeder  <alex@gnu.org>

	* erc-stamp.el 1.26 (erc-timestamp-right-column): New, default nil.
	(erc-insert-timestamp-right): Use it, if non-nil.  Verbose
	doc string.

2003-01-18  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.464 (erc-downcase): Use the old behavior in non-CVS Emacs.

	* erc.el 1.463 (erc-cmd-QUIT): Remove &rest. The correct fix follows.
	(erc-cmd-GQUIT): Pass "" to erc-cmd-QUIT.
	(erc-mode): Use the case-table only in CVS Emacs. See comment.

	* erc.el 1.462 (erc-cmd-QUIT): make reason optional.

	* erc.el 1.461 (erc-cmd-GQUIT): Fixed typo.

2003-01-17  Mario Lang  <mlang@delysid.org>

	* erc.el 1.460:
	* (erc-current-logfile): call expand-file-name, so that downcase doesn't mess up ~

	* erc.el 1.459: * (erc-mode): Define a proper case-table.
	* (erc-downcase): just call downcase for now, lets see if the case-table is portable, if yes, we'll remove all erc-downcase references anyway...

	* erc-button.el 1.43: * (erc-button-add-buttons): regex-quote the nick

2003-01-17  Alex Schroeder  <alex@gnu.org>

	* erc-button.el 1.42 (button): erc-channel-members-changed-hook no
	longer has erc-recompute-nick-regexp.
	(erc-button-alist): Use channel-members instead of
	erc-nick-regexp.
	(erc-button-add-buttons): Split some code into
	erc-button-add-buttons-1, and now handle strings, lists, and
	alists.  Regular expressions in lists and alists are enclosed in
	< and >.
	(erc-button-add-buttons-1): New.
	(erc-nick-regexp): Deleted.
	(erc-recompute-nick-regexp): Deleted.

	* erc-button.el 1.41: Remove require cl again.
	(erc-mode-map): No longer bind widget-backward and widget-forward.
	(erc-button-alist): Explain why byte-compiling makes no sense, and
	remove all calls to byte-compile.
	(erc-button-keymap): Define it the standard way, without exposing
	the list nature of the keymap.
	(erc-button-marker-list): Deleted.
	(erc-button-add-buttons): Simplify.  In particular, create the
	button using the real callback, instead of using the intermediate
	erc-button-push, and only store the data as described for
	erc-button-alist.
	(erc-button-remove-old-buttons): Simplify.  No more list munging.
	Instead, just remove all the properties that we add in
	erc-button-add-button.
	(erc-widget-press-button): Deleted.
	(erc-button-click-button): New, for mouse clicks.  Moves point to
	where the mouse is, and calls erc-button-push.
	(erc-button-push): Instead of matching again, just use the
	erc-callback and erc-data properties at point to do the right
	thing.
	(erc-button-entry): Deleted.
	(erc-button-next): Use error instead of the beep plus message
	combo.

2003-01-17  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-autoaway.el 1.11 (erc-autoaway-set-back):
	Don't pass a force argument to erc-cmd-GAWAY.

	* erc.el 1.458 (erc-cmd-AWAY): Removed usage of the force variable.

2003-01-17  Alex Schroeder  <alex@gnu.org>

	* erc-button.el 1.40 (button):
	erc-recompute-nick-regexp is no longer added to
	erc-channel-members-changed-hook unconditionally, but only if
	erc-button-mode is enabled, and if it is disabled, it is removed
	again.
	(erc): Require cl for delete-if.
	(erc-button-remove-old-buttons): Rewrote using delete-if to
	prevent exceesive consing.  Having the marker list is still ugly,
	so another solution needs to be found.

2003-01-17  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.457 (erc-banlist-store):
	Don't assume there's always a setter in the banlist reply.

2003-01-17  Alex Schroeder  <alex@gnu.org>

	* erc-button.el 1.39 (erc-button-url-regexp): Changed regexp according
	to a suggestion by Max Froumentin <mf@w3.org>.

2003-01-17  Mario Lang  <mlang@delysid.org>

	* erc.el 1.456:
	fix erc-remove-channel-member again to not error out on nil as first arg...

	* erc.el 1.455: * (erc-occur): New function

2003-01-17  Damien Elmes  <erc@repose.cx>

	* erc.el 1.454: erc-banlist-*: return nil so further hooks are called

	* erc.el 1.453 (erc-server-368):
	supress "end of ban list" messages - use /listbans now

	* erc.el 1.452 (erc-send-current-line):
	removed the check for leading whitespace again - the
	    only time we want to prohibit multi-line commands is if / is the first
	    thing on the line
	(erc-get-arglist): new defun for reading a function's arglist which should
	    work with older copies of emacs. we use help-function-arglist if it's
	    available, though, since that has support for reading subrs, etc

	* erc.el 1.451 (erc-cmd-JOIN): fixed (again)

	* erc.el 1.450: * fixed call to erc-cmd-NICK when connecting
	* support for listing bans and mass unbanning, again thanks to MrBump

	* erc.el 1.449 (erc-set-topic):
	patch from MrBump (Mark Triggs, mst@dishvelled.net) to strip
	    control chars and topic attribution in C-c C-t

2003-01-16  Mario Lang  <mlang@delysid.org>

	* erc.el 1.448:
	* (erc-remove-channel-member): Do not use delq, modify the list using setcdr like delq does.
	In theory, this should be way faster since the list doesnt get traverse two times.
	Measurement didn't show any real difference though :(, this system is flawed for channels with >300 users it seems...
	Also moved some defcustoms up.

2003-01-16  Brian P Templeton  <bpt@tunes.org>

	* erc.el 1.447: moved misplaced paren

2003-01-16  Damien Elmes  <erc@repose.cx>

	* erc.el 1.446 (erc-cmd-UNIGNORE):
	reference argument directly - no string matching

	* erc.el 1.445 (erc-extract-command-from-line):
	hmm, thinko in the canonicalisation. should
	    be fixed

2003-01-16  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.444 (erc-send-current-line):
	Changed the regexp used to match /COMMANDs so that leading
	    whitespace is taken into account.

2003-01-16  Mario Lang  <mlang@delysid.org>

	* erc-dcc.el 1.61: * (erc-dcc-do-SEND-command): Fix it

	* erc-ezbounce.el 1.4, erc-lang.el 1.2: Arglist changes...

	* erc.el 1.443: Various docstring fixes and additions.

	* erc-notify.el 1.16:
	* (erc-cmd-NOTIFY): Change the function arglist to (&rest args)

	* erc-netsplit.el 1.8: * (erc-cmd-WHOLEFT): Has no args...

2003-01-16  Damien Elmes  <erc@repose.cx>

	* erc-fill.el 1.22:
	erc-fill-column: default to 78, so things like docstrings don't get wrapped
	    in an ugly manner

2003-01-16  Mario Lang  <mlang@delysid.org>

	* erc.el 1.442:
	* (erc-cmd-default): Take a substring, now /mode works again.
	* (erc-cmd-AWAY): Put do-not-parse-args t
	* (erc-cmd-GAWAY): Ditto, and fix it.
	* (erc-cmd-CTCP): Switch to argument system.
	* (erc-cmd-KICK): Do the same.

2003-01-15  Mario Lang  <mlang@delysid.org>

	* erc-dcc.el 1.60:
	* (erc-cmd-DCC): Fixed for the new scheme, simplified.
	* (erc-dcc-do-CHAT-command): Ditto.
	* (erc-dcc-do-CLOSE-command): Ditto.
	* (erc-dcc-do-LIST-command): Ditto.

2003-01-15  Damien Elmes  <erc@repose.cx>

	* erc.el 1.441:
	erc-error-face: setting a background doesn't work so well with multi-line
	    messages, so we don't. fg colour is negotiable ;-)
	(erc-cmd-QUERY): fixed, new doco, supress (erc-delete-query) until we fix it
	(erc-send-current-line): allow multi-line messages provided they don't start
	    with a slash - there's no need to prohibit them if the slash isn't the
	    first character

	* erc.el 1.440: * bad-syntax now reports like incorrect-args
	* bunch of extra cmds fixed, nick, sv etc.

	* erc.el 1.439 (erc-cmd-HELP): fixed
	(erc-extract-command-from-line): when deterimining canon-defun, make sure we
	    have a valid symbol
	(erc-cmd-KICK): fixed

	* erc.el 1.438:
	* removed duplicate do-no-parse-args properties for the defaliased defuns
	(erc-process-input-line): show function signature when incorrect args
	(erc-extract-command-from-line): canonicalise defaliases before extracting
	    plist
	(erc-cmd-CLEAR): fixed
	(erc-cmd-UNIGNORE): fixed again

	* erc.el 1.437 (erc-cmd-SET): fixed
	(erc-cmd-UNIGNORE): fixed
	(erc-process-input-line): report when incorrect arguments are provided to a
	    command, and show the command's docstring

	* erc.el 1.436 (erc-cmd-APPENDTOPIC): fixed
	(erc-process-input-line): more informative error message than 'bad syntax'

2003-01-15  Mario Lang  <mlang@delysid.org>

	* erc.el 1.435: * (erc-cmd-IGNORE): fixed

	* erc.el 1.434: * (erc-cmd-NAMES): fixed

	* erc.el 1.433:
	* (erc-cmd-CLEARTOPIC): Simplify, fix doc, make interactive

2003-01-15  Damien Elmes  <erc@repose.cx>

	* erc.el 1.432 (erc-cmd-JOIN):
	correct invite behavior, and document it.

2003-01-15  Mario Lang  <mlang@delysid.org>

	* erc.el 1.431: * (erc-cmd-PART): Put 'do-not-parse-args t

2003-01-15  Damien Elmes  <erc@repose.cx>

	* erc.el 1.430 (erc-cmd-JOIN): new cmd argument syntax
	(erc-process-input-line): check if (erc-extract-command-from-line) returned a
	    list, and apply if that's the case

	* erc.el 1.429:
	erc-cmd-*: remove optional force and references to `force' in the code
	(erc-cmd-AMSG): call erc-trim-string, not trim-string

2003-01-15  Mario Lang  <mlang@delysid.org>

	* erc.el 1.428:
	* (erc-cmd-CLEARTOPIC): LINE is now ARGS and already parsed.
	Set erc-cmd-TOPIC to 'do-not-parse-args for now.
	(comment: I think we should have 'first, so that only first word is parsed...
	 Or we could autodetect erc-channel-p in the parser before that somehow...)

	* erc.el 1.427: * (erc-cmd-OP): LINE is PEOPLE now, and already parsed.

	* erc-notify.el 1.15:
	* (erc-cmd-NOTIFY): Arg LINE is now ARGS, and already parsed.

2003-01-15  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-stamp.el 1.25 (erc-insert-timestamp-right):
	Prefer erc-fill-column to window-width,
	because on wide screens the timestamp could wander off too far to the
	right.

2003-01-15  Mario Lang  <mlang@delysid.org>

	* erc.el 1.426: This is the "everything is suddenly broken!" release
	You know, this is CVS, you can still go back, and wait until the transition
	is finished, but here is patch one, which basicly breaks every command
	which is typed on the prompt.
	Hit me, we can still revert, but something needs to be done about this.
	* (erc-extract-command-from-line): intern-soft the function here.
	If the function symbol has a property 'do-not-parse-args, operate as before,
	otherwise, split the arguments prior to calling the command handler.
	* (erc-process-input-line): Updated to accomodate the change above.
	* (erc-send-distinguish-noncommands): Ditto.
	* (erc-cmd-NAMES): Ditto.
	* (erc-cmd-ME): Put 'do-not-parse-args property.

	* erc-dcc.el 1.59:nick:	* erc-dcc.el 1.59: * erc-dcc-list: Renamed 
	* (erc-dcc-member). Treat :nick as either a nick!user@host or nick,
	do appropriate comparisons, simplified.
	* (erc-dcc-list-add): New functions
	various callers of (cons (list ...) erc-dcc-list) updated.
	Other stuff I'm to bored to document now

2003-01-15  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-stamp.el 1.24 (erc-insert-timestamp-right):
	Removed redundant code that overrid the
	window-width. Now substracts (length string) from every found
	indentation positions.

2003-01-14  Mario Lang  <mlang@delysid.org>

	* erc.el 1.425:
	* (erc-cmd-AMSG): Remove useless call to erc-display-message.

	* erc-dcc.el 1.58:
	* erc-dcc-chat/send-request: New variables, control how to treat
	incoming dcc chat or send requests. Can be set to 'ask, which behaves
	like it did before, 'auto, which accepts automatically, and
	'ignore, which ignores those type of requests completely.
	* (erc-cmd-CREQ): New user-level command.
	* (erc-cmd-SREQ): Ditto.

	* erc.el 1.424: * (erc-cmd-AMSG). New command.

	* erc-xdcc.el 1.4: * (erc-xdcc): delete empty strings from ARGS

	* erc-dcc.el 1.57: * erc-dcc-ipv4-regexp: New constant
	* (erc-ip-to-decimal): Use it.
	* erc-dcc-host:valid-regexp erc-dcc-ipv4-regexp:	* erc-dcc-host: :type
	* (pcomplete/erc-mode/DCC): Add completion for GET and CLOSE.
	* Some docstring/comment fixes.

	* erc-stamp.el 1.23:
	* (erc-insert-timestamp-right): Subtract (length string) from
	POS in any case, otherwise, linewrap occurs.

	* erc-dcc.el 1.56:
	* Fixed the unibyte-multibyte problem (now a dcc get buffer is (set-buffer-multibyte nil), 
	  and saves correctly (tried with 21.3.50). Thanks to Eli for suggesting it!
	* Added :start-time plist property/value to GET handling so that we can calculate elapsed-time.
	* Some (unwind-protect (progn (set-buffer ...) ...)) constructs replaced with (with-current-buffer ...)

2003-01-13  Mario Lang  <mlang@delysid.org>

	* erc-xdcc.el 1.3:
	* erc-xdcc-help-text: New variable which makes replies to the originator
	much more flexible.
	* erc-xdcc-help-format: Removed.
	* (erc-xdcc-help): Handle the new variable.
	* (erc-xdcc): Simplified

	* erc-xdcc.el 1.2: * erc-xdcc-handler-alist: New variable.
	* (erc-xdcc): Move code for list and send sub-commands into
	* (erc-xdcc-help): New function.
	* (erc-xdcc-list): New function.
	* (erc-xdcc-send): New function.

2003-01-12  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.423 (erc-server-JOIN):
	Oops, send MODE command only when *we* joined a channel.

	* erc.el 1.422:
	Fixing ERCs behavior wrt IRCnet's !channels have a different name for
	JOIN than in reality (e.g. you can join !forcertest or !!forcertest
	and really get to !ABCDEforcertest)

	(erc-cmd-JOIN): Removed erc-send-command MODE.
	(erc-server-JOIN): Ask for MODE now.

2003-01-12  Damien Elmes  <erc@repose.cx>

	* erc-dcc.el 1.55:
	(erc-dcc-get-filter), (erc-dcc-get-file): store size as a string, not an
	    integer. check size > 0 for the case where a size wasn't provided, since
	    string-to-int will return 0 on an empty string

2003-01-12  Mario Lang  <mlang@delysid.org>

	* erc-dcc.el 1.54: * Use RAWFILE arg with find-file-noselect
	* Fix alist/plist conversion left-over
	* Add verbose-info about sending blocks.

2003-01-11  Mario Lang  <mlang@delysid.org>

	* erc-dcc.el 1.53: * (pcomplete-erc-mode/DCC): Fixes

	* erc-xdcc.el 1.1: Initial version.

	* erc-pcomplete.el 1.16:
	* (erc-pcomplete): Fix so that cycle-completion works again.
	* (pcomplete-parse-erc-arguments): If there is a space after the last word
	before point, we need to return a "" arg, and it's position.

	* erc-dcc.el 1.52: Fix to pcomplete/erc-mode/DCC

	* erc-dcc.el 1.51: * (pcomplete/erc-mode/DCC): New function

	* erc-dcc.el 1.50: *** empty log message ***

	* erc-dcc.el 1.49: Move code around, just basic changes

2003-01-11  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-stamp.el 1.22 (erc-insert-timestamp-right):
	Check wether erc-fill-column is
	available before using it. Else default to fill-column or if
	everything else fails, the window width of the current window. For the
	fill-columns, use them directly as the starting position for the
	timestamp.

2003-01-11  Andreas Fuchs  <asf@void.at>

	* erc-stamp.el 1.21:
	erc-insert-timestamp-right: use correct window's window-width. If
	                  buffer is not in a window, use erc-fill-column.

2003-01-11  Mario Lang  <mlang@delysid.org>

	* erc-dcc.el 1.48:	* erc-dcc.el 1.48: * (erc-dcc-do-LIST-command): Fix 

	* erc-dcc.el 1.47:
	* buffer-local variables erc-dcc-sent-marker and erc-dcc-send-confirmed marker removed
	  Keep This info in erc-dcc-member :sent and :confirmed plist values
	* :	* :buffer plist for :type 'SEND removed, since we can get this with (marker-buffer 
	* erc-dcc-send-connect-hook: New hook, defaults to erc-dcc-send-block and erc-dcc-send-conntected, which now prints a msg...

	* erc-dcc.el 1.46:
	* (erc-dcc-chat-accept): Renamed from erc-dcc-chat. Callers updated.
	* (erc-dcc-chat): Renamed from erc-dcc-chat-request.
	Callers updated, and interactive form added.
	* (erc-dcc-server-accept): No longer do any type-specific stuff.
	* (erc-dcc-chat-sentinel): Call erc-dcc-chat-setup if event is "open from "
	from here, otherwise call erc-dcc-chat-close.

	* (

	* erc-dcc.el 1.45: *** empty log message ***

	* erc-dcc.el 1.43: Moved some functions around.
	Doc string fixes.
	"/dcc send nick filename" works now

2003-01-11  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.421 (erc-send-command): Fixed flood protect message.

	* erc-button.el 1.38 (erc-button-syntax-table): Make `-' a legal nick
	constituent.

2003-01-10  Mario Lang  <mlang@delysid.org>

	* erc-dcc.el 1.42: Some more steps toward dcc send.

2003-01-10  Francis Litterio  <franl@users.sourceforge.net>

	* erc-notify.el 1.14 (erc-notify-timer):
	Changed to make it IRC-case-insensitive when comparing nicks.
	(erc-notify-JOIN): Changed to make it IRC-case-insensitive when comparing nicks.
	(erc-notify-NICK): Changed to make it IRC-case-insensitive when comparing nicks.
	(erc-notify-QUIT): Changed to make it IRC-case-insensitive when comparing nicks.
	(erc-cmd-NOTIFY): Now "/notify -l" lists the nicks on your notify list.  Now
	    when you remove a nick from your notify list, you no longer recieve a spurious
	    signoff notification for that nick.  Changed to make it IRC-case-insensitive when
	    comparing nicks.

	* erc.el 1.420 (erc-ison-p):
	Fixed so it calls erc-member-ignore-case instead of member.

	* erc.el 1.419 (erc-member-ignore-case):
	New function.  Just like member-ignore-case, but obeys
	    the IRC protocol case matching rules.

2003-01-10  Damien Elmes  <erc@repose.cx>

	* erc-dcc.el 1.41:
	(erc-dcc-do-GET-command), (erc-dcc-get-file): use the plist syntax, this
	    fixes dcc get again

2003-01-10  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.418: erc-complete-functions: New variable.
	erc-mode-map: Bind \t to 'erc-complete-word
	erc-complete-word: New function.

	* erc-pcomplete.el 1.15 (erc-pcomplete-mode):
	Use new erc-complete-functions
	(erc-pcomplete): Check that we're in the input line, else return nil.

	* erc-button.el 1.37 (erc-button-mode): Use new erc-complete-functions
	erc-button-old-tab-command: Removed.
	(erc-button-next-or-old): Removed
	(erc-button-next): check that we're not in the input line, else just return nil.

2003-01-10  Mario Lang  <mlang@delysid.org>

	* erc-dcc.el 1.40: cleanup

	* erc-dcc.el 1.39:
	* (erc-dcc-chat-request): No longer use erc-send-ctcp-message.

	* erc-dcc.el 1.38:
	* (erc-dcc-no-such-nick): Also call delete-process if we have a peer already

	* erc-dcc.el 1.37:
	* (erc-dcc-no-such-nick): New function, server event handler for event 401.
	If we send a CTCP message requesting something dcc related, we set up an
	entry in erc-dcc-list before sending the request (for the server proc object
	for listening conns for example).  But if that nick does not exist
	on that server, we now nicely cleanup erc-dcc-list again.

2003-01-09  Mario Lang  <mlang@delysid.org>

	* erc-dcc.el 1.36: Moved code around a bit, and doc fixes

	* erc-dcc.el 1.35: *** empty log message ***

	* erc-dcc.el 1.34: Rename erc-dcc-plist to erc-dcc-list

2003-01-09  Damien Elmes  <erc@repose.cx>

	* erc-dcc.el 1.33 (erc-dcc-server (erc-dcc-chat-setup):
	use erc's (erc-setup-buffer) to determine how to
	    display new DCC windows
	(erc-dcc-chat-buffer-killed): buffer-local hook for DCC buffers to close the
	    process
	(erc-dcc-chat-close): code common to a killed buffer or a disconnection from
	    the other side
	(erc-dcc-chat-sentinel): use (erc-dcc-chat-close)
	(erc-dcc-server-accept): use (erc-log) instead of (message)

	* erc.el 1.417:
	(erc), (erc-setup-buffer): factor out window generation code so DCC can use
	    it too

	* erc-dcc.el 1.32:
	(erc-dcc-do-CLOSE-command), (erc-dcc-do-LIST-command): work with erc-dcc-plist

	* erc-dcc.el 1.31:
	erc-dcc-alist: became erc-dcc-plist, so we can more easily grab particular
	    properties
	dcc catalog: unify use of DCC: and [dcc] (either's fine, but let's be
	    consistent)
	(erc-dcc-member): takes an arbitrary list of constraints now
	(erc-dcc-proc-member): removed, as (erc-dcc-member) can be used for this
	(erc-dcc-do-CHAT-command): use the catalog to show the user what's going on
	(erc-dcc-chat-server): removed
	(erc-dcc-server): takes name sentinel and filter arguments, can be used for
	    both send and chat now

	.. this release means all send/get support is broken until we fix up the
	things that still expect to be using an alist. this include /dcc list, /dcc
	close

2003-01-09  Francis Litterio  <franl@users.sourceforge.net>

	* erc-ring.el 1.9 (erc-previous-command):
	If you have a partially typed input line and press M-p,
	    you lose what you typed.  Now we save it so you can come back to it.

2003-01-09  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-ring.el 1.8 (erc-add-to-input-ring): s/nullp/null/

2003-01-09  Damien Elmes  <erc@repose.cx>

	* erc-ring.el 1.7 (erc-add-to-input-ring):
	set up the ring if it's not already setup

	* erc-dcc.el 1.30 (erc-dcc-member): case insensitive match of nicknames
	(erc-dcc-do-CHAT-command): echo what we're doing (at least for now)

2003-01-09  Mario Lang  <mlang@delysid.org>

	* erc-dcc.el 1.29: (temporarily) fix erc-process setting...

	* erc-dcc.el 1.28: * (erc-dcc-chat-send-line): Removed

	* erc.el 1.416:
	Check if target is stringp (we can now also have 'dcc as value...)

	* erc-dcc.el 1.27 (erc-dcc-chat-send-input-line):
	New function, used for
	erc-send-input-line-function.
	Use erc-send-current-line now.

	* erc-dcc.el 1.26: evt to elt...

	* erc-dcc.el 1.25: Remove () from a var (how silly!)

	* erc-dcc.el 1.24: * (erc-dcc-get-host): Use format-network-address.
	* (erc-dcc-host): Change semantic.  If erc-dcc-host is set, use it.
	Otherwise, try to figure out the host by calling erc-dcc-get-host.
	* (erc-dcc-server-port): New variable.
	* erc-dcc-chat-log: Renamed to erc-dcc-server-accept

	* erc-dcc.el 1.23 (erc-dcc-do-CHAT-command):
	Change arg of call to erc-dcc-chat-request from elt to nick

2003-01-09  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.415 (erc-send-current-line):
	Now rejects multi-line commands (i.e., lines that
	    start with "/" and contain newlines).

2003-01-09  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-button.el 1.36:
	Functionality to use TAB to jump to the next button:

	(erc-button-next-or-old): New function.
	(erc-button-next): New function.
	erc-button-keymap: added erc-button-next
	erc-button-old-tab-command: New variable.
	define-erc-module button: Add and remove 'erc-button-next-or-old as
	appropriate.

2003-01-09  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.414:
	New variable: erc-auto-reconnect (defaults to t).  If non-nil, ERC will
	    automatically reconnect to a server after an unexpected disconnection.
	(erc-process-sentinel): Changed to refer to variable erc-auto-reconnect.

2003-01-08  Mario Lang  <mlang@delysid.org>

	* erc.el 1.413:
	* erc-send-input-line-function: New variable, used for dispatch...

2003-01-08  Damien Elmes  <erc@repose.cx>

	* erc-dcc.el 1.22 (erc-dcc-chat-sentinel):
	check event type before killing process
	(erc-dcc-chat-log): new, handles the setup of dcc chats for incoming
	    connections
	(erc-dcc-chat): use (erc-dcc-chat-setup)
	(erc-dcc-chat-setup): code common to incoming and outgoing DCC chats
	(erc-dcc-chat-request): request a DCC chat with another user
	(erc-dcc-proc-member): locate a member in erc-dcc-alist by process

	The very first ERC to ERC DCC chat was held between delysid and resolve today!

2003-01-08  Mario Lang  <mlang@delysid.org>

	* erc-track.el 1.44 (erc-all-buffer-names):
	Check for erc-dcc-chat-mode too

2003-01-08  Francis Litterio  <franl@users.sourceforge.net>

	* erc-ring.el 1.6, erc.el 1.412 (erc-kill-input):
	Resets erc-input-ring-index to nil, so that invoking this
	    command conceptually puts you after your most recent input in the input
	    history.
	(erc-previous-command and erc-next-command): Changed so that history movement
	    is more intuitive.  Also preserves the blank input line that marks the
	    place after the newest command in the history ring (i.e., you'll see a
	    blank command once every trip around the ring in either direction).

2003-01-08  Mario Lang  <mlang@delysid.org>

	* erc-dcc.el 1.21 (erc-dcc-chat): Add docstring
	Add self-test.
	Fix error if /dcc chat nick doesnt find the nick

2003-01-08  Francis Litterio  <franl@users.sourceforge.net>

	* Makefile 1.12:
	Changed so that "make" works correctly under Cygwin.  Before this change, the
	pathname passed to Emacs on the command line under Cygwin had the form
	"/cygwin/c/...", which prevented emacs from finding the file.  Now the pathname
	has the form "c:/...".  This works for any drive letter.

2003-01-08  Mario Lang  <mlang@delysid.org>

	* erc-button.el 1.35: reindent some code, and add TODO to comments

	* erc-dcc.el 1.20: *** empty log message ***

	* erc-dcc.el 1.19: Make dcc-chat-ended a notice
	Remove now bogus comment

2003-01-08  Damien Elmes  <erc@repose.cx>

	* erc-dcc.el 1.18 (erc-pack-int): from erc-packed-int
	(erc-unpack-int): new

	* erc-dcc.el 1.17 (erc-unpack-str): added

2003-01-08  Mario Lang  <mlang@delysid.org>

	* erc.el 1.411 (erc-server-482):
	New handler, handles KICK reply if you're not channel-op

	* erc-dcc.el 1.16: Document SEND in erc-dcc-alist.
	Move sproc, parent-proc and file into erc-dcc-alist

	* erc-dcc.el 1.15: stubs

	* erc-dcc.el 1.14 (erc-dcc-get-host):
	Change :iface to :local since Kim committed it now to CVS emacs

	* erc-dcc.el 1.13 (erc-dcc-get-host):
	New function, requires the not-yet-in-CVS-emacs local-address.patch to process.c.
	Some other minor additions

2003-01-08  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.410 (erc-cmd-IGNORE):
	Now returns t to prevent "Bad syntax" error.
	(erc-cmd-UNIGNORE): Now returns t to prevent "Bad syntax" error.
	(erc-server-PRIVMSG-or-NOTICE): Capitalized first word in message to user.

	* erc.el 1.409 (erc-scroll-to-bottom):
	Temporarilly bind resize-mini-windows to nil so that
	    users who have it set to a non-nil value will not suffer from premature
	    minibuffer shrinkage due to the below recenter call.  I have no idea why
	    this works, but it solves the problem, and has no negative side effects.

2003-01-07  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-dcc.el 1.12:
	erc-dcc-ctcp-query-chat-regexp: The IP is not really an IP, but a
	number (no . allowed there).
	(erc-dcc-send-ctcp-string): use let* here to avoid cluttering up the
	match data.
	Also, use erc-decimal-to-ip to get the IP.
	(erc-ip-to-decimal): Removed some pasted ERC timestamps
	(erc-decimal-to-ip): New function.
	erc-dcc-chat-mode-map: Return map in the initialization.

2003-01-07  Francis Litterio  <franl@users.sourceforge.net>

	* erc-match.el 1.19 (erc-match-fool-p):
	Changed to call erc-match-directed-at-fool-p instead of
	     erc-directed-at-fool-p.

2003-01-07  Mario Lang  <mlang@delysid.org>

	* erc-dcc.el 1.11 (erc-cmd-DCC):
	Change (cond ... (t nil)) to (when ...)

	* erc-dcc.el 1.10: Use erc-current-nick-p

2003-01-07  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.408:
	erc-join-buffer: Added 'window-noselect to docstring and :type.
	erc-auto-query: Added 'window-noselect to :type.
	(erc): Treat erc-join-buffer being 'window-noselect appropriately.

	* erc.el 1.407 (erc-current-nick-p): New function.
	(erc-nick-equal-p): New function.
	(erc-already-logged-in), (erc-server-JOIN), (erc-auto-query),
	(erc-server-PRIVMSG-or-NOTICE): Use erc-current-nick-p.
	(erc-update-channel-member): Use erc-nick-equal-p.

	* erc-match.el 1.18 (erc-match-current-nick-p):
	Renamed from erc-current-nick-p
	(erc-match-pal-p): Renamed from erc-pal-p
	(erc-match-fool-p): Renamed from erc-fool-p
	(erc-match-keyword-p): Renamed from erc-keyword-p
	(erc-match-dangerous-host-p): Renamed from erc-dangerous-host-p
	(erc-match-directed-at-fool-p): Renamed from erc-directed-at-fool-p
	(erc-match-message): Use erc-match-TYPE-p instead of erc-TYPE-p

	* erc.el 1.406:
	Support for IRCnets' "nick/channel temporarily unavailable"

	(erc-nickname-in-use): New function (mostly copied from erc-server-433).
	(erc-server-433): Use erc-nickname-in-use
	(erc-server-437): New function.
	erc-server-hook-list: Added (437 erc-server-437).

2003-01-07  Mario Lang  <mlang@delysid.org>

	* erc-fill.el 1.21: Add autoload cookie

	* erc-notify.el 1.13:
	Now also pass SERVER argument to signon/off hooks, and provide a erc-notify-signon/off function for echo-area printing

	* erc-notify.el 1.12 (erc-notiy-QUIT):
	Change use of delq to delete, delq does not work with strings

2003-01-06  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.405 (erc-ctcp-query-VERSION):
	v%s -> %s, so we are no longer vVersion...

2003-01-06  Mario Lang  <mlang@delysid.org>

	* erc.el 1.404: Small change to erc-ison-p, and fixme tag

2003-01-06  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.403 (erc):
	Fixed bug where variable "away" would be nil in new channel buffers
	       even if the user is away when joining the channel.
	(erc-strip-controls): Fixed a bug where erc-strip-controls accidentally
	       removed all text properties from the string.

2003-01-06  Mario Lang  <mlang@delysid.org>

	* erc-dcc.el 1.9:
	Some stub functions, some code, nothing really works yet

	* erc.el 1.402 (erc-ison-p): New function

	* erc-dcc.el 1.8: Some functions which will be needed for dcc send

	* erc-dcc.el 1.7 (erc-ip-address-to-decimal):
	New function, thanks lawrence

	* erc-dcc.el 1.6: Again, simplify code, fix stuff, DCC CHAT works now

	* erc-dcc.el 1.5: Many fixes, chat nearly works now

	* erc-netsplit.el 1.7: Also detect fast netsplit/joins

	* erc-dcc.el 1.4: some more fixes

	* erc-dcc.el 1.3: Fixup stage 1, now dcc get works

	* erc-dcc.el 1.2: make /dcc LIST work

	* erc-dcc.el 1.1:
	Initial checkin, dont use it!  its really far from complete.  Hackers: help!

	* erc-notify.el 1.11:
	New function erc-notify-NICK, and added signon/off hooks which were missing

2003-01-05  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.401 (erc-truncate-buffer-to-size):
	set inhibit-read-only to t for the
	deletion. This is usually done by the function calling the hook, but
	not if it's called interactively. Also, rewrote some weird if/if
	combination.

	* erc-track.el 1.43 (erc-track-shortennames):
	Documentation fix (erc-all-buffers is really
	erc-all-buffer-names)

	These changes make server buffers be tracked as well, as there are
	quite a few interesting things going on there (e.g. CTCP etc.)
	(erc-all-buffer-names): Check for (eq major-mode 'erc-mode) instead of
	erc-default-recipients.
	(erc-track-modified-channels): Don't require a default target (e.g.,
	this-channel being non-nil)

2003-01-03  Damien Elmes  <erc@repose.cx>

	* erc.el 1.400:
	erc-auto-query: can now be set to a symbol to control how new messages should
	    be popped up (or not popped up, as the case may be)
	(erc-query): new function which handles the bulk of what (erc-cmd-QUERY) did
	    previously
	(erc-cmd-QUERY): use (erc-query)
	(erc-auto-query): use (erc-query)

	* erc.el 1.399 (erc-current-logfile):
	Downcase result of log generation function, as IRC is
	case insensitive. Fixes problems where "/query user" results in a different
	log file to a query from "User". Avoided adding an extra flag to control this
	behavior - if you think this was the wrong decision, please correct it and
	I'll remember it for next time.

2002-12-31  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.398 (erc-split-command):
	Removed assignment to free variable "continue".
	(erc-strip-controls): New function.  Takes a string, returns the string with
	all IRC color/bold/underline/etc. control codes stripped out.
	(erc-interpret-controls): If variable erc-interpret-controls-p is nil, now
	uses erc-strip-controls to strip control codes.
	(erc-ctcp-reply-ECHO): Changed reference and assignment to free variable "s"
	into reference/assignment to "msg", which appears to be the original author's
	intent.

	* erc-list.el 1.8 (erc-chanlist):
	Changed to use the new erc-once-with-server-event function
	instead of the old macro of the same name.

	* erc-notify.el 1.10 (erc-notify-timer):
	Changed to use the new erc-once-with-server-event function
	instead of the old macro of the same name.  Also fixed a bug were variable
	erc-last-ison was being read from a non-server buffer (thus giving its default
	value instead of its per-server value).

	* erc.el 1.397 (erc-once-with-server-event):
	This is now a function.  It was a macro with a
	bug (the call to gensym happened at byte-compile-time not macro-call-time).
	(erc-toggle-debug-irc-protocol): Now [return] is bound to this function in
	the *erc-protocol* buffer.

2002-12-30  Alex Schroeder  <alex@gnu.org>

	* erc-autoaway.el 1.10 (erc-autoaway-idletimer): Doc,
	ref. erc-autoaway-use-emacs-idle.
	(autoaway): Doc, explain different idle definitions.  Reestablish
	the idletimer only when erc-autoaway-use-emacs-idle is non-nil.
	(erc-auto-set-away): Doc, ref erc-auto-discard-away.
	(erc-auto-discard-away): Doc, ref erc-auto-set-away.
	(erc-autoaway-use-emacs-idle): Doc, ref erc-autoaway-mode, and
	added a note that this feature is currently broken.
	(erc-autoaway-reestablish-idletimer): Doc.
	(erc-autoaway-possibly-set-away): Split test such that
	erc-time-diff is only computed when necessary, add a comment why
	erc-process-alive is not necessary.
	(erc-autoaway-set-away): Test for erc-process-alive.

2002-12-29  Alex Schroeder  <alex@gnu.org>

	* erc-autoaway.el 1.9:
	Changed the order of defcustoms to avoid errors in the :set property
	of erc-autoaway-idle-seconds.

2002-12-29  Damien Elmes  <erc@repose.cx>

	* erc-track.el 1.42:
	* (erc-track-get-active-buffer): remove superflous (+ arg 0)

2002-12-29  Alex Schroeder  <alex@gnu.org>

	* erc-autoaway.el 1.8 (erc-autoaway): Moved the defgroup up to the
	top, before the define-erc-module call.
	(autoaway): Extended doc.
	(erc-autoaway-idle-seconds): Use a :set property to handle
	erc-autoaway-use-emacs-idle.
	(erc-auto-set-away): Set default to t.  Added doc strings where
	necessary, reformatted doc strings such that the first line can
	stand on its own.  This is important for the output of M-x
	apropos.

2002-12-28  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-auto.in 1.3:
	added (provide 'erc-auto), which is required for (require 'erc-auto) :)

	* erc.el 1.396 (erc-display-prompt):
	Set the face property of the prompt to
	everything but the last character.

	* erc.el 1.395 (erc-send-current-line):
	Check wether point is in the input line. If
	not, just beep and do nothing.

2002-12-28  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.394 (erc-bol):
	Fixed bug when there is only a prompt, and no property
	change.

	* erc.el 1.393 (erc-display-prompt): Rewrote using a save-excursion
	and erc-propertize.  No longer use a field for the prompt, but a
	plain text property called erc-prompt.
	(erc-bol): Use the erc-prompt text property instead of a field.
	Return point instead of t.
	(erc-parse-current-line): No need to call point here, then, since
	erc-bol now returns point.

	* Makefile 1.11:
	make ChangeLog .PHONY, thus forcing it always to be rebuilt.

2002-12-28  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.392 (erc-log-irc-protocol):
	Removed check wether get-buffer-create
	    returned nil. "The value is never nil", says the docstring.

	* erc.el 1.391: Day Of The Small Changes

	(erc-display-prompt): Make the prompt 'front-sticky, which prevents it
	    from being modified. It *should* also make end-of-line move to the
	    end of the field (i.e. the end of the prompt) when point is at the
	    beginning of the prompt, but it doesn't. Dunno why. :(

2002-12-27  Francis Litterio  <franl@users.sourceforge.net>

	* Makefile 1.10:
	Added "-f" to "rm" command in rule for target "realclean".

	* erc.el 1.390:
	New function: erc-log-irc-protocol.  Consolidates nearly duplicate code
	from functions erc-send-command and erc-process-filter into one function.

	* erc.el 1.389 (erc-toggle-debug-irc-protocol):
	Removed unneeded argument PREFIX and code
	which referenced it at end of function.
	(erc-send-command): Now we only append a newline to the logged copy
	of output protocol text if it doesn't have one.

2002-12-27  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.388 (erc-toggle-debug-irc-protocol):
	Display buffer if it's not shown
	    already, and use view-mode.
	(erc-toggle-debug-irc-protocol), (erc-send-command),
	    (erc-process-filter): inhibit-only t to insert into the
	    *erc-protocol* buffer (view-mode)

2002-12-27  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.387 (erc-mode-map):
	Removed keybinding for erc-toggle-debug-irc-protocol.
	(erc-toggle-debug-irc-protocol): Now used erc-make-notice to propertize the
	face of the enabled/disabled messages in the *erc-protocol* buffer.
	(erc-send-command): Now outgoing IRC protocol traffic is logged too.

	* erc.el 1.386:
	Added user-customizable variable erc-debug-irc-protocol.
	Added function erc-toggle-debug-irc-protocol.
	(erc-process-filter): Now supports IRC protocol logging.  If variable
	erc-debug-irc-protocol is non-nil, all IRC protocol traffic is appended
	to buffer *erc-protocol*, which is created if necessary.

2002-12-27  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.385 (erc-display-prompt):
	Don't make the prompt intangible; that didn't
	    make things that much better for the user, but confused ispell,
	    which checked the prompt when it should check the first word

2002-12-27  Alex Schroeder  <alex@gnu.org>

	* AUTHORS 1.4: fixed resolve's email add

	* AUTHORS 1.3: added damien

	* erc.el 1.384 (erc-truncate-buffer-on-save):
	Removed documentation that
	described behaviour now changed.  It used to say "When nil, no
	buffer is ever truncated."  This is no longer true; even when
	buffers are NOT truncated on save, they can be truncated, eg. by
	adding erc-truncate-buffer to the hook.
	(erc-logging-enabled): New function.
	(erc-current-logfile): New function.
	(erc): Use erc-logging-enabled and erc-current-logfile.
	(erc-truncate-buffer-to-size): Rewrote it, and made sure to use a
	(save-restriction (widen) ...) such that the truncation actually
	runs in the whole buffer, not in the last message only (as
	erc-insert-post-hook will do!).  This should fix rw's
	out-of-bounds error.
	(erc-generate-log-file-name-short): Made all but the BUFFER
	argument optional.  Doc: Mention
	erc-generate-log-file-name-function.
	(erc-generate-log-file-name-long): Doc: Mention
	erc-generate-log-file-name-function.
	(erc-save-buffer-in-logs): Use erc-logging-enabled and
	erc-current-logfile.  Doc: Mention erc-logging-enabbled.

	(erc-encode-string-for-target): Only do the real work when
	featurep mule; else just return the string unchanged.

2002-12-27  Damien Elmes  <erc@repose.cx>

	* erc.el 1.383:
	erc-encoding-default: check for (coding-system-p) for older emacs versions

	* erc.el 1.382 (erc-connect): missing ()s added. "don't commit at 2am"

	* erc.el 1.381 (erc-connect):
	check if (set-process-coding-system) is available before use

2002-12-27  Alex Schroeder  <alex@gnu.org>

	* AUTHORS 1.2: added franl

2002-12-26  Alex Schroeder  <alex@gnu.org>

	* erc-pcomplete.el 1.14 (pcomplete-parse-erc-arguments):
	Reworked, and fixed a bug that had
	caused completions to corrupt preceding text under some circumstances.

	* erc.el 1.380 (erc-encoding-default): New.
	(erc-encode-string-for-target): Use it instead of a hard-coded ctext.
	(erc-encoding-coding-alist): Doc.

2002-12-26  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.379:
	Removed fix for bug 658552 recently checked-in, because it doesn't work.

	* erc.el 1.378 (erc-kill-buffer-function):
	Removed check that connection is up
	before running erc-kill-server-hook hooks.  Those hooks should use
	erc-process-alive to avoid interacting with the process.

	* erc.el 1.377:
	Fixed erc-send-current-line so it no longer assigns the free variable "s", and
	it doesn't move point to end-of-buffer in non-ERC buffers.  Fixed
	erc-kill-buffer-function so it doesn't run the erc-kill-server-hook hooks if the
	server connection is closed.  Fixed bug 658552, which is described in detail at
	http://sourceforge.net/tracker/index.php?func=detail&aid=658552&group_id=30118&atid=398125

2002-12-26  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.376 (erc-cmd-SMV): Bug, now call erc-version-modules.

	* erc-pcomplete.el 1.13 (erc-pcomplete-version): New.

2002-12-26  Francis Litterio  <franl@users.sourceforge.net>

	* erc-pcomplete.el 1.12:
	Fix for bug where you could not complete a nick when there was text following
	the nick.

2002-12-25  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.375 (erc-already-logged-in): Use erc-process-alive.
	(erc-prepare-mode-line-format): Use erc-process-alive.
	(erc-process-alive): Check erc-process for boundp and processp.

	* erc.el 1.374 (erc-kill-buffer-function):
	Do not check wether the process is
	alive before running the hook, because there might be functions on
	the hook that need to run even when the process is dead.  And
	function that wants to check this, should use (erc-process-alive).
	(erc-process-alive): New function.
	(erc-kill-server): Use it.
	(erc-kill-channel): Use it.

	* erc.el 1.373 (erc-kill-buffer-function):
	Reverted ignore-error change.
	ignore-error is dangerous because we might miss bugs in functions
	on erc-kill-server-hook.

	* erc.el 1.372 (erc-kill-buffer-function): Use memq instead of member
	when checking process-status.  Added doc string with references to
	the other hooks.
	(erc-kill-server): Only send the command when the erc-process is
	still alive.  This prevents the error: "Process
	erc-irc.openprojects.net-6667 not running" when killing the buffer
	after having used /QUIT.

2002-12-24  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.371 (erc-server-ERROR):
	Show the error reason, not only the originating host.

	* erc.el 1.370 (erc-kill-buffer-function):
	(ignore-errors ...) in 'erc-kill-server-hook.
	    When the process for this server does not exist anymore, the hook
	    will cause an error, effectively preventing the buffer from being
	    killed.

2002-12-24  Francis Litterio  <franl@users.sourceforge.net>

	* erc-notify.el 1.9:
	Fixed erc-notify-timer so that it passes the correct nick to
	the functions on erc-notify-signoff-hook.

2002-12-24  Alex Schroeder  <alex@gnu.org>

	* erc-track.el 1.41: Doc

	* erc-track.el 1.40 (erc-make-mode-line-buffer-name): Removed a
	superfluous if construct around erc-track-showcount-string.
	(erc-track-modified-channels): Use 1+.
	Plus some doc and comment changes.

2002-12-23  Mario Lang  <mlang@delysid.org>

	* erc.el 1.369: Fix (erc-version) string

2002-12-23  Francis Litterio  <franl@users.sourceforge.net>

	* erc.el 1.368:
	Removed unnecessary assignment to free-variable "p" in erc-downcase.

	* erc.el 1.367:
	Now /PART reason strings are generated the same way /QUIT reason strings
	are generated (see variable erc-part-reason).  Also, when a server buffer
	is killed, a QUIT command is automatically sent to the server.

	* erc.el 1.366:
	Changed erc-string-no-properties so that it is more efficient.  Now it uses
	set-text-properties instead of creating and deleting a temporary buffer.

2002-12-21  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.365:
	erc-kill-input: added a check to prevent a (ding) and an error when
	    there's nothing to kill (thanks to Francis Litterio, franl on IRC)

2002-12-21  Mario Lang  <mlang@delysid.org>

	* erc.el 1.364:
	AWAY notice duplication prevention. erc-prevent-duplicates now set to ("301") by default, and timeout to 60

	* erc.el 1.363: erc-prevent-duplicates: New variable, see docstring

2002-12-20  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-track.el 1.39:
	erc-track-modified-channels: Use cddr of cell for old-face. cdr of
	    cell is '(1 . face-name), i have no idea why :)

2002-12-20  Damien Elmes  <erc@repose.cx>

	* erc.el 1.362 (erc-current-nick):
	check the server buffer is active before using

	Also tabified and cleaned up some trailing whitespace

2002-12-15  Mario Lang  <mlang@delysid.org>

	* erc-track.el 1.38: erc-track-count patch by az

2002-12-14  Damien Elmes  <erc@repose.cx>

	* erc.el 1.361:
	last-peers: initialise to a cons. thanks to Francis Litterio
	    <franl@world.std.com> for the patch

	* erc.el 1.360:
	erc-kill-channel-hook, erc-kill-buffer-hook, (erc-kill-channel):
	    both hooks now call erc-save-buffer-in-logs, so that query buffers are
	    saved properly now, and not just channel buffers.

2002-12-13  Alex Schroeder  <alex@gnu.org>

	* erc-track.el 1.37 (erc-unique-channel-names): Fix another #hurd
	vs. #hurd-bunny bug.

	* erc-match.el 1.17 (match): No longer modify erc-send-modify-hook,
	since it does not work without a parsed text property, anyway.
	(erc-keywords): Allow cons cells.
	(erc-remove-entry-from-list): Deal with cons cells.
	(erc-keyword-p): Ditto.
	(erc-match-message): Ditto.

	Moved nil to the beginning of the list, removed :tags for the
	-type variables:
	(erc-current-nick-highlight-type): Ditto.
	(erc-pal-highlight-type): Ditto.
	(erc-fool-highlight-type): Ditto.
	(erc-keyword-highlight-type): Ditto.
	(erc-dangerous-host-highlight-type): Ditto.
	(erc-log-matches-flag): Moved nil to the beginning.

2002-12-11  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.359:
	erc-beg-of-input-line: Don't do (goto-char (beginning-of-line)), since
	    beginning-of-line always moves point and returns nil. Thanks to
	    franl on IRC for noting this.

	* erc-stamp.el 1.20:
	erc-insert-timestamp-left, erc-insert-timestamp-right: Made the
	    timestamp a 'field named 'erc-timestamp. Now end-of-line and
	    beginning-of-line will move over the timestamp.

2002-12-10  Damien Elmes  <erc@repose.cx>

	* erc-button.el 1.34 (erc-button-add-button):
	make the created button rear-nonsticky, to allow
	cutting and pasting of buttons without worrying about the button properties
	being inherited by the text typed afterwards.

	* erc.el 1.358: save logfile when killing buffer

2002-12-09  Alex Schroeder  <alex@gnu.org>

	* erc-track.el 1.36 (erc-modified-channels-display): Reworked.
	(erc-track-face-more-important-p): Removed.
	(erc-track-find-face): Return only one face.
	(erc-track-modified-channels): Reworked.
	(erc-modified-channels-string): Changed from (BUFFER FACE...) to
	(BUFFER . FACE)

	* erc-stamp.el 1.19 (erc-insert-timestamp-right): Do not assume
	erc-fill-column is available.

2002-12-09  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.357:
	erc-ech-notices-in-minibuffer-flag, erc-minibuffer-notice: Clarified
	    the difference in the docstrings.

2002-12-08  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.356: erc-noncommands-list: added erc-cmd-SM and erc-cmd-SMV

2002-12-08  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.355 (erc-cmd-SM): New.
	(erc-cmd-SMV): New.

	* erc.el 1.354 (erc-modes): New.

2002-12-08  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-compat.el 1.9:
	field-end: use (not (fboundp 'field-end)) instead of (featurep 'xemacs)

2002-12-08  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.353 (erc-version-modules): New.

2002-12-08  Mario Lang  <mlang@delysid.org>

	* debian/changelog 1.19, debian/control 1.7, debian/scripts/startup.erc 1.3:
	debian release 3.0.cvs.20021208

2002-12-08  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.352 (erc-split-command): Do the right thing with CTCPs.

2002-12-08  Mario Lang  <mlang@delysid.org>

	* erc-stamp.el 1.18: Be a bit more functional

2002-12-08  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-compat.el 1.8:
	XEmacs doesn't seem to have field-end, so we provide our own version here.

2002-12-08  Mario Lang  <mlang@delysid.org>

	* Makefile 1.9: Small fixes to debrelease target

2002-12-08  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.351:
	make-obsolete-variable: xemacs doesn't have the WHEN parameter, remove it.

2002-12-07  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-imenu.el 1.5 (erc-create-imenu-index):
	Use (forward-line 0) instead of
	  (beginning-of-line) now, sine the latter ignores fields (used in the
	  prompt).

	* erc.el 1.350:
	Rewrite of the prompt stuff to use a field named 'erc-prompt:

	erc-prompt: Removed getter and setter functions. The properties were
	  already set (and overwritten) in erc-display-prompt.
	(erc-prompt): Add the trailing space here, not all over the code.
	(erc-display-prompt): Cleaned up a bit. The text-properties now are
	  valid on the whole prompt. Also, made the prompt 'intangible to
	  avoid confused users.
	(erc-bol): Now use the field 'erc-prompt for finding the prompt
	(erc-parse-current-line): Cleaned up considerably. Uses (erc-bol) now.
	(erc-load-irc-script-lines): Adjusted for the new (erc-prompt).
	(erc-save-buffer-in-logs): Adjusted for the new (erc-prompt).

	* erc.el 1.349:
	erc-uncontrol-input-line: The comment said "Consider it deprecated",
	so I removed it now.
	erc-prompt-interactive-input: Marked obsolete as of 1.348

	* erc.el 1.348:
	erc-smiley, erc-unmorse: Put at the end to separate it from the
	important parts of erc.el.

2002-12-07  Alex Schroeder  <alex@gnu.org>

	* erc-stamp.el 1.17 (erc-insert-timestamp-right): New algorithm.

2002-12-07  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.347:
	last-peers, erc-message: Explained what last-peers is used for.

2002-12-07  Alex Schroeder  <alex@gnu.org>

	* erc-page.el 1.3 (erc-cmd-PAGE): New function.
	(erc-ctcp-query-PAGE): Use the catalog entry for the message, too.
	(erc-ctcp-query-PAGE-hook): Added custom type.
	(erc-page-function): Changed custom type from ... function-item to
	... function.
	As well as doc strings.

2002-12-06  Alex Schroeder  <alex@gnu.org>

	* erc-page.el 1.2: provide feature at the end

2002-12-06  Brian P Templeton  <bpt@tunes.org>

	* erc-nickserv.el 1.10:
	Added austnet in erc-nickserv.el (thanks to Damien Elmes
	<resolve@repose.cx>)

2002-12-05  Mario Lang  <mlang@delysid.org>

	* erc-complete.el 1.13: Add autoload cookie

	* erc-speak.el 1.24: Small fix to make proper voice-changes

2002-12-05  Alex Schroeder  <alex@gnu.org>

	* erc-lang.el 1.1: New

2002-12-03  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.346:
	erc-mode-map: Put back C-c C-p (PART) and C-c C-q (QUIT)

2002-12-02  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.345:
	erc-insert-post-hook: Add :options erc-make-read-only, erc-save-buffer-in-logs
	erc-send-post-hook: Add :options erc-make-read-only

	* erc.el 1.344: erc-insert-hook: Removed ("this hook is obsolescent")
	erc-insert-post-hook: Added :options '(erc-truncate-buffer)

2002-12-02  Mario Lang  <mlang@delysid.org>

	* erc.el 1.343: Add missing requires

2002-11-29  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.342 (erc-quit-reason-normal):
	Remove v before %s so it's "Version ..." not
	   "vVersion ..."

2002-11-26  Alex Schroeder  <alex@gnu.org>

	* erc-compat.el 1.7 (erc-encode-coding-string): Add second argument
		coding-system, and for non-mule xemacsen, use a new defun instead
		of identity.

	* erc.el 1.341:  (define-erc-module): Use the appropriate group.
	(erc-port): Changed custom type.
	(erc-insert-hook): Custom group changed to erc-hooks.
	(erc-after-connect): ditto
	(erc-before-connect): ditto
	(erc-disconnected-hook): ditto

	* erc-button.el 1.33 (erc-button): New group, changed all custom groups
	from erc to erc-button, but left all erc-faces as-is.

	* erc-track.el 1.35 (erc-track): New group, changed all custom groups
	from erc to erc-track.

2002-11-26  Mario Lang  <mlang@delysid.org>

	* erc-macs.el 1.1:
	Macros for erc-victim handling.  Primary idea is to use setf and some fancy things to get nice syntax. have a look

2002-11-26  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.340:
	pings, erc-cmd-PING, erc-ctcp-reply-PING, catalog entry CTCP-PING:
	Cleaned up. Removed buffer-local variable pings which stored a list of
	all sent CTCP PING requests. Now send our full time with the CTCP PING
	request and interpret the answer.

2002-11-25  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.339: nick-stk: replaced by the local variable current-nick.

2002-11-25  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.338 (erc-send-command): Use erc-encode-string-for-target.
	(erc-encode-string-for-target): New.

	* erc-compat.el 1.6 (erc-encode-coding-string): Add second argument
	coding-system, and for non-mule xemacsen, use a new defun instead
	of identity.

	* erc-nickserv.el 1.9 (erc-nickserv-version): New.

2002-11-25  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* Makefile 1.8:
	UNCOMPILED: erc-chess.el depends on chess-network.el, which might not
	be installed. Don't compile it.

	* erc.el 1.337:
	erc-mode-map: Added C-a as erc-bol (no reason why it shouldn't be),
	and removed C-c C-p (part channel) and C-c C-q (quite server) as these
	are a bit drastic in their consequences and easy to mistype.

2002-11-24  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-track.el 1.34: erc-track-faces-priority-list: Extended list

	* erc.el 1.336:
	channel-members: Updated docstring: We have a VOICE predicate, too.

	* erc-track.el 1.33 (erc-unique-substrings):
	Don't shorten a single channel to "#", but
	always give at least 2 chars (except when there are no two chars).

2002-11-23  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-nickserv.el 1.8:
	support for BrasNET. Thanks to rw on IRC for the settings.

2002-11-23  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.335: (erc-default-recipients, erc-session-user-full-name)
		(nick-stk, pings, erc-announced-server-name, erc-connected)
		(channel-user-limit, last-peers, invitation, away, channel-list)
		(last-sent-time, last-ping-time, last-ctcp-time, erc-lines-sent)
		(erc-bytes-sent, quitting, bad-nick, erc-logged-in)
		(erc-default-nicks): Defvars.

	* erc-compat.el 1.5: Switched tests to iso-8859-1 instead of latin-1.

	* erc-compat.el 1.4 (erc-compat-version): New.

2002-11-22  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.334 (smiley): Smileys are a very small module, now.

2002-11-22  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.333:
	erc-event-to-hook, erc-event-to-hook-name: eval-and-compile these,
	    since we need them in a macro. ERC now compiles again!

	* erc-speak.el 1.23:
	erc-minibuffer-privmsg: Removed setting this variable to nil, since it
	    was removed from erc.el.

	* erc.el 1.332 (erc-interactive-input-map): Added docstring.
	(erc-wash-quit-reason): Extended docstring.
	(erc-server-ERROR): Added docstring.
	(erc-server-321): buffer-local variable channel-list probably
	    shouldn't be renamed erc-channel-list - removed FIXME.

	* erc.el 1.331: small cleanup.
	("was not used anymore" here means "not used in erc/*.el nor in
	fsbot", thanks to deego for checking that.)

	erc-minibuffer-privmsg: Removed (was not used anymore)
	(erc-reformat-command): Removed (was not used anymore)
	(erc-strip-erc-parsed-property): Removed (was not used anymore)
	(erc-process-ctcp-response): Removed (replaced by ctcp-query-XXX-hook)
	(erc-send-paragraph): Removed ("Note that this function is obsolete,
	    erc-send-current-line handles multiline input.")
	(erc-input-hook): Removed ("This hook is obsolete. See
	    `erc-send-pre-hook', `erc-send-modify-hook' and
	    `erc-send-post-hook' instead.")
	(erc-message-hook): Removed ("This hook is obsolete. See
	    `erc-server-PRIVMSG-hook' and `erc-server-NOTICE-hook'.")
	(erc-cmd-default-channel): Removed ("FIXME: no clue what this is
	    supposed to do." - it was supposed to prepend the default channel
	    to a command before sending it. E.g. typing "/FOO now!" would send
	    the IRC command "FOO #mycurrentchannel now!")

	* erc.el 1.330:
	erc-ctcp-query-PING: Send the whole argument back, not just the first
	number. This is required for many clients (e.g. irssi, BitchX, ...)
	which send their ping times in two different numbers for microsecond
	accuracy.

2002-11-22  Alex Schroeder  <alex@gnu.org>

	* erc-track.el 1.32 (erc-track-shorten-function): Allow nil.

2002-11-21  Alex Schroeder  <alex@gnu.org>

	* erc-track.el 1.31 (erc-unique-channel-names): Fixed bug that appeared
	if one target name was a substring of another -- eg. #hurd and
	#hurd-bunny.  Added appropriate test.

2002-11-20  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-track.el 1.30:
	erc-unique-channel-names: Don't take a substring of channel that could
	be longer than the channel, but at most (min (length candidate)
	(length channel). (thanks to deego for noticing this)

2002-11-19  Mario Lang  <mlang@delysid.org>

	* erc-notify.el 1.8: * (require pcomplete): Only when compiling.

2002-11-19  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-track.el 1.29:
	erc-track-faces-priority-list: New variable, defines what faces will
	be shown in the modeline. If set to nil, the old behavior ("all")
	remains.
	erc-track-face-more-important-p: new function
	erc-track-find-face: new function

2002-11-19  Alex Schroeder  <alex@gnu.org>

	* erc-fill.el 1.20 (erc-stamp): Require it.

	* erc-match.el 1.16 (away): devar for the compiler.

	* erc-stamp.el 1.16 (stamp): Moved.

	* erc.el 1.329 (erc-version-string): New version.

	* erc-autoaway.el 1.7 (erc-autoaway-idletimer): Moved to the front of
	the file.

	* erc-auto.in 1.2: (generated-autoload-file, command-line-args-left):
	Added defvar without value to silence byte compiler.

	* Makefile 1.7 (realclean): renamed fullclean to realclean.
	(UNCOMPILED): New list, for erc-bbdb.el, erc-ibuffer.el,
	erc-speak.el.
	(SOURCE): Do not compile UNCOMPILED.
	(release): New target.
	(ChangeLog): New target.
	(todo): New target.

	* erc-complete.el 1.12 (erc-match): Require it.
	(hippie-exp): Require it.

	* erc-ezbounce.el 1.3 (erc): Require it.

	* erc-imenu.el 1.4 (imenu): Require it.

	* erc-nickserv.el 1.7 (erc-networks): Moved up.

	* erc-notify.el 1.7 (pcomplete): Require it.

	* erc-replace.el 1.5 (erc): Require it.

	* erc-sound.el 1.3 (sound): Typo -- define-key in erc-mode-map.

	* erc-speedbar.el 1.10 (dframe): Require it.
	(speedbar): Require it.

	* erc-track.el 1.28 (erc-default-recipients): devar for the compiler.

	* README 1.1: New file.

2002-11-18  Mario Lang  <mlang@delysid.org>

	* AUTHORS 1.1: File needed for mkChangeLog

	* mkChangeLog 1.1: Original code by mhp

2002-11-18  Alex Schroeder  <alex@gnu.org>

	* erc-button.el 1.32 (erc-button-list): Renamed to erc-list and moved
	to erc.el.

	* erc.el 1.328 (erc-list): New.

	* erc-track.el 1.27 (erc-make-mode-line-buffer-name): Simplified.
	(erc-modified-channels-display): Simplified.  Now works with all
	faces, and fixes the bug that when two faces where used (bold
	erc-current-nick-face), then no faces was added.

	* erc-track.el 1.26: Lots of new tests.  Moved some defuns around in
	the file.
	(erc-all-channel-names): Renamed.
	(erc-all-buffer-names): New name, now include query buffers as
	well.
	(erc-modified-channels-update-inside): New variable.
	(erc-modified-channels-update): Use it to prevent running display
	if already inside it.  This prevented debugging of
	`erc-modified-channels-display'.
	(erc-make-mode-line-buffer-name): Moved.
	(erc-track-shorten-names): Don't test using erc-channel-p as that
	failed with query buffers.
	(erc-unique-substrings): Move setq i + 1 to the end of the while
	loop, so that start is used as a default value instead of start +
	1.

2002-11-18  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-track.el 1.25:
	erc-unique-substrings: define this before using it in assert

	* erc.el 1.327:
	with-erc-channel-buffer: Define *before* using this macro. This
	hopefully fixes a bug noted on IRC.

	* erc-notify.el 1.6:
	erc-notify-signon-hook, erc-notify-signoff-hook: New hooks. They're
	even run when their name suggests!

2002-11-18  Alex Schroeder  <alex@gnu.org>

	* erc-list.el 1.7: Typo.

	* erc-speedbar.el 1.9: Whitespace only.

	* erc.el 1.326 (define-erc-module): Avoid defining an alias if name and
	alias are the same.

	* erc-ibuffer.el 1.17: URL

	* erc-imenu.el 1.3 (erc-imenu-version): New constant.

	* erc-ibuffer.el 1.16 (erc-ibuffer-version): New constant.

	* erc-ibuffer.el 1.15: File header, comments.

	* erc-fill.el 1.19 (erc-fill-version): New constant.

	* erc-ezbounce.el 1.2 (erc-ezb-version): New constant.

	* erc-complete.el 1.11 (erc-complete-version): New constant.

	* erc-chess.el 1.21 (erc-chess-version): New constant.

	* erc-chess.el 1.20: Whitespace only.

	* erc-bbdb.el 1.20 (erc-bbdb-version): Typo.

	* erc-bbdb.el 1.19 (erc-bbdb-version): New constant.
	Lots of whitespace changes.  Changes to the header.

	* erc-track.el 1.24 (erc-track-shorten-aggressively): Doc.
	(erc-all-channel-names): New function.
	(erc-unique-channel-names): New function.
	(unique-substrings): Renamed.
	(erc-unique-substrings): New name
	(unique-substrings-1): Renamed.
	(erc-unique-substring-1): New name.  Added lots of tests.
	(erc-track-shorten-names): Call erc-unique-channel-names instead

	* erc-match.el 1.15 (match): Rewrote a as module.

2002-11-17  Alex Schroeder  <alex@gnu.org>

	* erc-netsplit.el 1.6 (erc-netsplit-version): New.
	(netsplit): Defined as a module, replacing erc-netsplit-initialize
	and erc-netsplit-destroy.

2002-11-17  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-track.el 1.23 (erc-track-switch-buffer):
	define-erc-module defines erc-track-mode,
	not erc-track-modified-channels-mode.

	* erc.el 1.325:
	Variables erc-play-sound, erc-sound-path, erc-default-sound,
	erc-play-command, erc-ctcp-query-SOUND-hook and functions
	erc-cmd-SOUND, erc-ctcp-query-SOUND, erc-play-sound, erc-toggle-sound
	moved to erc-sound.el

	Variables erc-page-function, erc-ctcp-query-PAGE-hook and function
	erc-ctcp-query-PAGE moved to erc-page.el

	* erc-page.el 1.1:
	erc-page.el: New file. CTCP PAGE support for ERC, extracted from erc.el.

	* erc-sound.el 1.2:
	defin-erc-module: Typo. Autoload should do erc-sound-mode and "erc-sound".

	* erc-sound.el 1.1:
	erc-sound.el: New file. Contains all the CTCP SOUND stuff from erc.el.

	* erc.el 1.324 (erc-process-ctcp-request):
	Removed (old-style CTCP handling)
	(erc-join-autogreet): Removed (was broken anyways)

2002-11-17  Alex Schroeder  <alex@gnu.org>

	* erc-button.el 1.31 (erc-button-version): New constant.

	* erc-button.el 1.30 (button): rewrote as a module.

2002-11-17  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.323: New functions:
	(erc-event-to-hook), (erc-event-to-hook-name): Convert an event to the
	corresponding hook. The latter only returns the name, while the former
	interns the hook symbol and returns it.

2002-11-17  Alex Schroeder  <alex@gnu.org>

	* erc-replace.el 1.4:
	Practically total rewrite.  All smiley stuff deleted.

	* erc-track.el 1.22 (track): typo.

	* erc.el 1.322 (define-erc-module): Doc change.

2002-11-17  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-autoaway.el 1.6: Changed to use define-erc-module.

	* erc.el 1.321 (define-erc-module):
	Make the enable/disable functions interactive.

	* erc.el 1.320 (erc):
	Don't use switch-to-buffer when we're in the minibuffer,
	because that does not work. Use display-buffer instead. This leaves
	two problems: The point does not advance to the end of the buffer for
	whatever reason, and after leaving the minibuffer, the new window gets
	buried.

2002-11-17  Alex Schroeder  <alex@gnu.org>

	* erc-stamp.el 1.15 (stamp): Doc change.

	* erc-stamp.el 1.14 (erc-stamp-version): New constant.
	(stamp): downcase alias name of the mode.

	* erc.el 1.319 (define-erc-module): Added defalias option, renamed
	parameters again.

	* erc-track.el 1.21: erc-track-modified-channels-mode is now only an
	alias to erc-track-mode.  Only erc-track-mode is autoloaded.
	(track): Rewrote call to define-erc-module.

2002-11-16  Mario Lang  <mlang@delysid.org>

	* debian/README.Debian 1.5: * Spelling fix

	* erc-fill.el 1.18: * Fix autoload definition for erc-fill-mode

	* debian/control 1.6, debian/maint/postinst 1.4, debian/maint/prerm 1.4:
	* Remove /usr/doc -> /usr/share/doc link handling

	* debian/changelog 1.18: * Sync with reality

	* debian/scripts/startup.erc 1.2:
	* Add /usr/share/emacs/site-lisp/erc/ to load-path
	* (load "erc-auto")

	* debian/README.Debian 1.4:
	* Info about the changes since last release updated

	* erc-pcomplete.el 1.11: * Fix emacs/xemacs compatibility

	* debian/scripts/install 1.10: * Dont compile erc-compat, fix ELCDIR

	* debian/control 1.5: * Change maintainer field

	* erc.el 1.318:
	* (defin-erc-module): Renamed argument mode-name to mname because silly byte-compiler thought we were talking about `mode-name'.

	* Makefile 1.6: * Added debrelease target

	* erc-bbdb.el 1.18, erc-pcomplete.el 1.10, erc-stamp.el 1.13, erc.el 1.317:
	* (define-erc-module): Added mode-name argument.
	* Converted erc-bbdb, erc-pcomplete and erc-stamp to new macro.
	* autoload fixes

	* erc-bbdb.el 1.17:
	* Create a global-minor-mode (i.e., make it a proper erc-module)

	* erc.el 1.316: * (define-erc-modle): New defmacro

2002-11-16  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-autoaway.el 1.5 (erc-autoaway-idle-seconds):
	t in docstrings should be non-nil

2002-11-16  Alex Schroeder  <alex@gnu.org>

	* erc-autoaway.el 1.4, erc-button.el 1.29, erc-fill.el 1.17, erc-match.el 1.14, 
	  erc-menu.el 1.9, erc-ring.el 1.5, erc-track.el 1.20:
	Cleanup of file headers: copyright years, GPL mumbo-jumbo, commentaries.

	* erc-stamp.el 1.12 (erc-insert-away-timestamp-function):
	New custom type.
	(erc-insert-timestamp-function): New custom type.

	* erc-fill.el 1.16 (erc-fill-function): Doc, new custom type.
	(erc-fill-static): Doc.
	(erc-fill-enable): New function.
	(erc-fill-disable): New function.
	(erc-fill-mode): New function.

	* erc-match.el 1.13 (erc-match-enable): add-hook for both
	erc-insert-modify-hook and erc-send-modify-hook.
	(erc-match-disable): remove-hook for both
	erc-insert-modify-hook and erc-send-modify-hook.

2002-11-15  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc-autoaway.el 1.3:
	- Added a way to use auto-away using emacs idle timers
	- Renamed erc-set-autoaway to erc-autoaway-possibly-set-away for consistency

2002-11-14  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.315: erc-mode-map: Removed the C-c C-g binding for erc-grab

	* erc.el 1.314:
	(erc-server-341) Another instance of the channel/chnl problem i didn't
	see last time

2002-11-14  Alex Schroeder  <alex@gnu.org>

	* erc-compat.el 1.3 (erc-decode-coding-string): typo

2002-11-14  Jorgen Schaefer  <forcer@users.sourceforge.net>

	* erc.el 1.313 (erc-server-341):
	variable name should be chnl not channel, as it is
	used this way in this function, and the other erc-server-[0-9]* use
	chnl too.

	* erc-autoaway.el 1.2:
	Set back on all servers, not just the current one, since we're set
	away on all servers as well.

	* HISTORY 1.2: Fixed typo (ngu.org => gnu.org)

	* erc-autoaway.el 1.1, erc-fill.el 1.15, erc.el 1.312: erc-autoaway.el:
	* new file

	erc.el:
	* Removed auto-discard-away facility (now included in erc-autoaway.el)
	* (erc-away-p): new function

	erc-fill.el:
	* (erc-fill-variable): Check wether erc-timestamp-format is bound before
	                       using it (erc-fill.el does not require erc-stamp).

2002-11-10  Alex Schroeder  <alex@gnu.org>

	* TODO 1.4:
	TODO: moved it to http://www.emacswiki.org/cgi-bin/wiki.pl?ErcTODO

	* erc.el 1.311 (with-erc-channel-buffer): Rudimentary doc string.

2002-11-09  Alex Schroeder  <alex@gnu.org>

	* erc-button.el 1.28 (erc-nick-popup-alist): Made a defcustom.

	* erc-button.el 1.27 (erc-button-disable): New function.
	(erc-button-enable): New function, replaces the add-hook calls at top-level.
	(erc-button-mode): New minor mode.

2002-11-08  Alex Schroeder  <alex@gnu.org>

	* erc-button.el 1.26 (erc-button-entry): Use erc-button-syntax-table.

	* erc.el 1.310, erc-stamp.el 1.10: Doc changes.

	* erc-match.el 1.12 (erc-match-mode): New function, replacing the
	add-hook.
	(erc-match-enable): New function.
	(erc-match-disable): New function.
	(erc-current-nick-highlight-type): Changed from 'nickname to 'nick
	to make it consistent with the others.
	(erc-match-message): Ditto.

	* erc-button.el 1.25 (erc-button-syntax-table): New variable.
	(erc-button-add-buttons): Use it.

2002-11-06  Mario Lang  <mlang@delysid.org>

	* erc.el 1.309:
	1) (bug) ERC pops up a new buffer and window when being messaged
	   from an ignored person. fixed
	2) (misfeature) ERC notices the user in the minibuffer when it
	   ignores something - this can get very annoying, since the
	   minibuffer is also visible when not looking at ERC buffers.
	   Added a customizeable variable for this, the default is nil.
	3) (wishlist) There is no IGNORE or UNIGNORE command.
	   Added.
	4) (wishlist) Some IRC clients, notably irssi, allow the user to
	   ignore "replies" to ignored people. A reply is defined as a
	   line starting with "nick:", where nick is the nick of an
	   ignored person. Added that functionaly.
	Done by Jorgen Schaefer <forcer@forcix.cx>

2002-11-02  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.308 (erc-connect): set-process-coding-system to raw-text.

2002-11-01  Brian P Templeton  <bpt@tunes.org>

	* erc-pcomplete.el 1.9, erc-stamp.el 1.9, erc-track.el 1.19:
	Fixed more autoloads

	* erc-compat.el 1.2: Added autoload for erc-define-minor-mode

2002-11-01  Mario Lang  <mlang@delysid.org>

	* erc.el 1.307: * (erc-send-command): will break long messages into
	a bunch of smaller ones, to prevent them from being truncated by the server.
	The patch also axes some trailing whitespace. :-) <resolve>

2002-10-31  Alex Schroeder  <alex@gnu.org>

	* erc-pcomplete.el 1.8 (erc-compat): Require.
	(erc-completion-mode): Use erc-define-minor-mode.

	* erc-track.el 1.18 (erc-compat): Require.
	(erc-track-modified-channels-mode): Use erc-define-minor-mode.

	* erc-stamp.el 1.8 (erc-compat): Require.
	(erc-timestamp-mode): Use erc-define-minor-mode.

	* erc-compat.el 1.1: New file with the code for erc-define-minor-mode,
	erc-encode-coding-string and erc-decode-coding-string.  Essentially
	all the stuff that cannot be tested for using a simple boundp or
	fboundp -- eg. because the number of arguments are wrong.

	* erc.el 1.306 (erc-compat): Require.
	(erc-process-coding-system): Moved to erc-compat.el.
	(erc-connect): Do not set-process-coding-system.
	(encode-coding-string): Compatibility code moved to erc-compat.el.
	(decode-coding-string): Compatibility code moved to erc-compat.el.
	(erc-encode-coding-string): Compatibility code moved to erc-compat.el.
	(erc-decode-coding-string): Compatibility code moved to erc-compat.el.

2002-10-27  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.305 (erc-display-line-1): Removed call to
	erc-decode-coding-string.
	(erc-parse-line-from-server): Added call to
	erc-decode-coding-string before anything gets parsed at all.
	(erc-decode-coding-string): Use undecided coding system.

2002-10-24  Sandra Jean Chua  <sacha@free.net.ph>

	* erc-button.el 1.24, erc.el 1.304:
	Added LASTLOG command and action for nick-button

2002-10-22  Sandra Jean Chua  <sacha@free.net.ph>

	* erc-pcomplete.el 1.7:
	Fixed nopruning bug, added /MODE channel (mode) [nicks...] completion - mode not completed yet.

2002-10-16  Sandra Jean Chua  <sacha@free.net.ph>

	* erc-pcomplete.el 1.6:
	Fixed 'Hi delysid:' bug in SAY completion after realizing that pcomplete on commands already took care of completing the initial nick:

2002-10-15  Mario Lang  <mlang@delysid.org>

	* erc-pcomplete.el 1.5: update from sachac

2002-10-13  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.303 (erc-emacs-time-to-erc-time): Catch when tm is nil.

2002-10-11  Andreas Fuchs  <asf@void.at>

	* erc.el 1.302:
	* Fixed `erc-scroll-to-bottom' to scroll to the bottom even when
	  in the middle of a line. Might also fix the Magic ECHAN Bug[tm]. (-:

2002-10-11  Mario Lang  <mlang@delysid.org>

	* erc-nickserv.el 1.6: Fixed erc-networks for the opn->freenode change

2002-10-08  Mario Lang  <mlang@delysid.org>

	* erc-pcomplete.el 1.4:
	Make erc-completion-mode work interactively with already joined channel buffers

	* erc-chess.el 1.19: Add autoload cookies

	* erc-notify.el 1.5: Add pcomplete support

	* erc.el 1.301:
	Remove autoload statments, remove autoload cookie from erc-mode and erc-info-mode

	* erc-fill.el 1.14, erc-match.el 1.11: add/remove autoload cookies

2002-10-06  Alex Schroeder  <alex@gnu.org>

	* erc-pcomplete.el 1.3 (erc-completion-mode): New global minor mode
	with autoload cookie.
	(erc-pcomplete-enable): Renamed erc-pcomplete-initialize.
	(erc-pcomplete-disable): New function.

	* erc-complete.el 1.10: Doc changes.

	* erc-stamp.el 1.7 (erc-stamp-enable): Renamed erc-stamp-initialize.
	(erc-stamp-disable): Renamed erc-stamp-destroy.
	(erc-timestamp-mode): Use new names.

	* erc.el 1.300: Removed autload for erc-complete and
	erc-track-modified-channels-mode -- the autoload cookie should do
	that instead.
	(erc-input-message): Doc string, removed binding for erc-complete.
	(erc-mode-map): Removed binding for erc-complete.

2002-10-03  Mario Lang  <mlang@delysid.org>

	* erc-notify.el 1.4:
	New functions erc-notify-JOIN and erc-notify-QUIT to catch some common cases (warning, untested)

2002-10-01  Alex Schroeder  <alex@gnu.org>

	* erc-stamp.el 1.6 (erc-timestamp-mode): New function.  Removed call
	to erc-stamp-initialize at the end.

2002-09-25  Brian P Templeton  <bpt@tunes.org>

	* erc.el 1.299:
	Added customizable `erc-process-coding-system' variable.

2002-09-22  Brian P Templeton  <bpt@tunes.org>

	* erc-fill.el 1.13:
	`erc-fill-variable' now does the right thing when `erc-hide-timestamps' is non-nil

2002-09-21  Mario Lang  <mlang@delysid.org>

	* erc-fill.el 1.12:
	patch from Peter Solodov <peter@alcor.concordia.ca>  (note, its slightly broken still

2002-09-05  Mario Lang  <mlang@delysid.org>

	* erc-pcomplete.el 1.2: Added LEAVE as alias for PART

2002-09-04  Mario Lang  <mlang@delysid.org>

	* erc-pcomplete.el 1.1:
	By sachac (good work!) keep up doing such things

2002-08-31  Mario Lang  <mlang@delysid.org>

	* erc.el 1.298:
	A fix for Bug#133267: now you can put (erc-save-buffer-in-logs) on erc-insert-post-hook to save *every* incoming message.

2002-08-30  Brian P Templeton  <bpt@tunes.org>

	* erc.el 1.297:
	Changed default value of erc-common-server-suffixes because of the OPN
	name change

2002-08-28  Mario Lang  <mlang@delysid.org>

	* erc-stamp.el 1.5: Try to reactivate isearch in xemacs

	* erc-stamp.el 1.4:
	fixes issues related to comparative emacsology and a silly bug

2002-08-27  Mario Lang  <mlang@delysid.org>

	* erc.el 1.296:
	New hook erc-send-completed-hook (for robot stuff), changed alexanders email address to reflect reality, little fix to erc-auto-query to get a bit of a speedup

2002-08-22  Mario Lang  <mlang@delysid.org>

	* erc-button.el 1.23:
	Fixed case-fold-search (thanks sachac), now lambda works in erc-button-alist, added wardwiki+google+symvar+rfc+itime regexps from the wiki

2002-08-19  Mario Lang  <mlang@delysid.org>

	* erc-button.el 1.22:
	erc-nick-popup-alist: New variable to make erc-nick-popup configurable

2002-08-16  Alex Schroeder  <alex@gnu.org>

	* erc-button.el 1.21 (erc-recompute-nick-regexp): Fixed regexp.

	* erc-button.el 1.20 (erc-button-buttonize-nicks): Changed custom type
	to integer.
	(erc-button-add-buttons): Moved button removal code to new
	function.
	(erc-button-remove-old-buttons): New function.
	(erc-button-add-button): Removed use of overlays and used
	erc-button-add-face instead.
	(erc-button-add-face): New function to merge faces as text
	properties.  This should be much faster when lots of buttons
	appear.
	(erc-button-list): New helper function.

	* erc.el 1.295 (erc-display-message): Fixed argument list.
	(erc-display-prompt): Reduced calls to length, use start-open
	property for XEmacs to prevent a little box of erc-prompt-face at
	the end of messages other people send.
	(erc-refresh-channel-members): Fix XEmacs calls to split-string,
	which may return an empty string at the end of the list.  This
	would cause hangups in erc-button in re-search-forward loops.
	(erc-get-channel-mode-from-keypress): Replaced control codes with
	octal escape sequences.

2002-08-14  Mario Lang  <mlang@delysid.org>

	* erc-button.el 1.19:
	Try to be compatible to XEmacs regexp-opt. (Im going to quit this job if I find more of those damn differencies

	* debian/README.Debian 1.3, debian/scripts/install 1.9:
	* Added info to README.Debian
	* Finished debian/scripts/install

2002-08-13  Mario Lang  <mlang@delysid.org>

	* debian/scripts/install 1.8: First attempt to fix it

	* debian/README.Debian 1.2, debian/changelog 1.17, debian/scripts/install 1.7:
	changelog: Changed maintainer and added new entry
	README.Debian: Re-explained the byte-compile issue
	scripts/install: Exclude erc-bbdb|chess|ibuffer|speedbar from
	byte-compiling

	* erc-track.el 1.17: Added C-c C-SPC in addition to C-c C-@

	* erc-notify.el 1.3: Little docstring change

2002-08-09  Mario Lang  <mlang@delysid.org>

	* erc-stamp.el 1.3:
	Change one use of set-text-properties to add-text-properties (tnx Lathi)

2002-08-02  Mario Lang  <mlang@delysid.org>

	* erc-stamp.el 1.2: added erc-timestamp-only-if-changed-flag

2002-07-22  Mario Lang  <mlang@delysid.org>

	* erc.el 1.294:
	Removed timestamp related code and moved into erc-stampe.l

	* erc-stamp.el 1.1:
	Timestamping code moved out of erc.el. Additional, now we can timestamp either on the left or on the right side

2002-07-16  Mario Lang  <mlang@delysid.org>

	* erc.el 1.293:
	* Make ctcp ping return its message in the active buffer, instead of the server buffer
	* Corrected minimal typo in catalog
	* Added var and variable as alias for /set

2002-07-08  Mario Lang  <mlang@delysid.org>

	* erc-track.el 1.16:
	* New function erc-track-switch-buffer (by resolve)
	  Bound to C-c C-SPC, enjoy!

2002-07-08  Gergely Nagy  <algernon@debian.org>

	* debian/changelog 1.16: New snapshot deb

	* debian/scripts/install 1.6: Rewrote in make.
	Does not byte-compile erc-speak.el at all, and excludes erc-track.el too, if
	ran for xemacs.

	* debian/control 1.4: Added dependency on make

	* debian/copyright 1.2: Updated copyright info

	* debian/rules 1.10: Use $(wildcard *.el) instead of a hardcoded list

2002-07-03  Diane Murray  <dsm@muenster.de>

	* erc.el 1.292:
	erc-iswitchb now works correctly if erc-modified-channels-alist is non-nil

2002-07-01  Diane Murray  <dsm@muenster.de>

	* erc-menu.el 1.8:
	* changed how we check if we should activate "Track hidden channels" and
	  whether it should be selected - fixes a bug Xemacs where whole menu bar
	  does not work if menu is loaded

	* erc-menu.el 1.7:
	* added "Disconnect from server", only selectable if erc-connected is non-nil

	* topic is allowed to be set by normal users if channel mode is not +t

	* add " ..." after description if arguments needed after selecting menu item

	* only allow selecting of menu points needing a channel if current buffer is
	  a channel buffer - done by testing if channel-members is non-nil

	* put erc-match functions in new group "Pals, fools and other keywords"

	* erc.el 1.291:
	* moved definition of erc-show-my-nick to GUI variables section

	* erc-connected variable now defined with defvar
	  now set in channel and query buffers, was only in server buffer before
	  upon disconnect, set erc-connected to nil in all the server's buffers

	* added erc-cmd-GQUIT and its alias erc-cmd-GQ - quit all servers at once

	* added interactive function erc-quit-server, bound to C-c C-q

	* added erc-server-WALLOPS

	* added WALLOPS to english catalog, fixed s461 (was showing message twice)

	* typo fixes, spacing change

2002-06-29  Mario Lang  <mlang@delysid.org>

	* erc.el 1.290: Use pp-to-string in /set (without args)

	* erc-netsplit.el 1.5:
	Make /set anonymous-lign set erc-anonymous-login, also report
	which var was set to which val.

2002-06-28  Diane Murray  <dsm@muenster.de>

	* erc-menu.el 1.6: added "Customize ERC"

2002-06-25  Mario Lang  <mlang@delysid.org>

	* erc.el 1.289: New variable: erc-use-info-buffers, defaults to nil.
	  This prevents info-buffers from being created/updated.
	  Set to t if you use :INFO buffers.
	  (by rw)
	Delete (erc-display-prompt) from reconnect to avoid clutter

2002-06-23  Diane Murray  <dsm@muenster.de>

	* erc.el 1.288:
	erc-get-channel-mode-from-keypress is now bound to C-c C-m
	erc-insert-mode-command is taken care of by this function as well

2002-06-21  Mario Lang  <mlang@delysid.org>

	* erc-track.el 1.15:
	Fixed bug where buffer-names suddenly had text-properties.

2002-06-19  Diane Murray  <dsm@muenster.de>

	* Makefile 1.5: changed erc-auto.el to $(SPECIAL) in make fullclean

	* Makefile 1.4: remove erc-auto.el on make fullclean

2002-06-18  Diane Murray  <dsm@muenster.de>

	* erc-match.el 1.10: fixed spelling error

	* erc-track.el 1.14, erc-match.el 1.9: * erc-match.el:
	  highlight current nickname in its own face (deactivated by default):
	  - added erc-current-nick-highlight-type, erc-current-nick-face,
	    erc-current-nick-p

	* erc-track.el:
	  added support for erc-current-nick-face

2002-06-17  Diane Murray  <dsm@muenster.de>

	* erc.el 1.287: * added beginning suport for 005 numerics:
	  - added buffer local variable erc-server-parameters
	  - added erc-server-005, which sets erc-server-parameters if the server has
	    used this code to show its parameters

2002-06-16  Diane Murray  <dsm@muenster.de>

	* erc.el 1.286:
	* bugfix: when pasting lines with blank lines in between, remove the blank lines
	  but send the rest

	* since we know the command, use it when checking what's in erc-hide-list
	  added check to erc-server-KICK

	* added some blank lines for better readability

2002-06-16  Alex Schroeder  <alex@gnu.org>

	* erc-nickserv.el 1.5 (erc-nickserv-alist): Fixed typo.

2002-06-15  Alex Schroeder  <alex@gnu.org>

	* erc-nickserv.el 1.4 (erc-networks): Added doc string.
	(erc-nickserv-alist): Added doc string.

2002-06-14  Diane Murray  <dsm@muenster.de>

	* erc-ring.el 1.4:
	fixed bug so that the prompt and command always get put at the end of the buffer

2002-06-10  Mario Lang  <mlang@delysid.org>

	* erc-nickserv.el 1.3: Added iip support.
	Added :type for erc-nickserv-passwords custom.
	Fixed hook usage.

2002-06-07  Diane Murray  <dsm@muenster.de>

	* erc-nickserv.el 1.2: * added GalaxyNet

	* erc-nickserv-alist:
	  - sorting networks alphabetically
	  - added two more pieces of information in erc-nickserv-alist:
	    word to use for identification and whether to use the nickname

	* erc-current-network:
	  - made regex case insensitive, downcase server to match
	  - uses the new information
	  - now uses new variable erc-networks instead of doing checking manually

	* added variable erc-networks

	* fixed some indentation, documentation

2002-06-07  Mario Lang  <mlang@delysid.org>

	* erc.el 1.285: Fix for kill-buffer hook stuff

2002-06-06  Mario Lang  <mlang@delysid.org>

	* erc.el 1.284: Added /squery command

2002-06-06  Diane Murray  <dsm@muenster.de>

	* erc-menu.el 1.5: * made group Channel modes
	  - moved change mode and invite only mode to here
	  - added secret, moderated, no external send, topic lock, limit, key

	* check that user is in a channel buffer and user is a channel operator
	  for all op-related actions

	* "Identify to nickserv" needs erc-nickserv-identify defined

	* added "Show ERC version"

	* erc.el 1.283:
	* added erc-set-channel-limit, erc-set-channel-key, erc-toggle-channel-mode

	* added erc-get-channel-mode-from-keypress, which is binded to C-c m
	  sends the next character which is typed to one of the 3 new functions
	  - did not remove erc-invite-only-mode and it's key binding in case
	    people are used to it, although it probably should be removed...

	* in erc-server-MODE:
	  added check if tgt equal to user's nick
	  removed erc-display-line, only using the erc-display-message

	* added s461 to english catalog

	* fixed bug where Xemacs would not quit if erc-quit-reason was
	  set to erc-quit-reason-various and assoc-default was not defined

2002-06-04  Andreas Fuchs  <asf@void.at>

	* erc-ezbounce.el 1.1, erc-match.el 1.8:
	* erc-ezbounce.el: Added. Provides support for ezbouncer; automatic login,
	                   session management implemented. I've contacted the author
			   about stuff in EZBounce's logging.
	* erc-match.el: Fixed a stupid mistake where
	                "*** Your new nick is <foo>" would trigger an error.

2002-06-04  Diane Murray  <dsm@muenster.de>

	* erc-nickserv.el 1.1, erc.el 1.282: * added erc-nickserv.el
	* moved nickserv identification variables and functions to the new file
	  (require 'erc-nickserv) is now necessary for this to work

	* erc.el 1.281:
	* results of /COUNTRY now formatted as notice; errors are ignored, 
	  fixing
	  bug which made prompt disappear

	* added undefined-ctcp error message to english catalog

	* changed some (when (not erc-disable-ctcp-replies) to use unless instead
	  and some if's without else statments to use when or use

	* CTCP replies now use erc-display-message, formatted as notices

	* added following to english catalog:
	  - undefined-ctcp
	  - CTCP-CLIENTINFO, CTCP-ECHO, CTCP-FINGER, CTCP-PAGE, CTCP-PING,
	    CTCP-SOUND, CTCP-TIME, CTCP-UNKNOWN, CTCP-VERSION
	  - s303, s305, s306, s353

	* split erc-server-305-or-306 into erc-server-305 and erc-server-306

	* KICK already had buffer set, using it

	* erc.el 1.280:
	* erc-format-timestamp now only called from erc-display-message and
	  erc-send-current-line

	* all instances of erc-display-line with erc-highlight-error
	  changed to use erc-display-message

	* added following error messages to english catalog:
	  bad-ping-response, bad-syntax, cannot-find-file, cannot-read-file,
	  ctcp-request, flood-ctcp-off, flood-strict-mode, no-default-channel,
	  no-target, variable-not-bound

	* added following server related messages to english catalog:
	  s324, s329, s331, s332, s333, s341, s406, KICK, KICK-you, KICK-by-you, MODE-nick

	* ignoring server codes 315, 369

	* added erc-server-341, erc-server-406

	* channel topic and mode notices displayed in respective channel buffers if they
	  exist

	* erc-server-KICK: display the message before removing this channel so that we
	  can track the kick

	* send parsed to erc-ctcp-query-ACTION-hook so that actions can be checked
	  by erc-match

	* fixed bug where nil was shown if no reason was given by users on /PART

2002-06-03  Diane Murray  <dsm@muenster.de>

	* erc-match.el 1.7:
	* fixed bug where erc-log-matches produced an error when the value of
	  (erc-default-target) was not a channel
	* use erc-format-timestamp, if it's non-nil, for %t in erc-log-match-format

2002-06-01  Diane Murray  <dsm@muenster.de>

	* erc-button.el 1.18:
	* made action case insensitive in erc-nick-popup and added a more descriptive
	  error message

2002-05-30  Brian P Templeton  <bpt@tunes.org>

	* erc.el 1.279:
	Removed multiple calls of `erc-prompt' in `erc-display-prompt'

2002-05-29  Mario Lang  <mlang@delysid.org>

	* erc.el 1.278:
	First step timestampkiller cleanup. I'm tired, do the rest tomorrow.

	* erc.el 1.277:
	New functionality: Catch channel/server buffer kills through kill-buffer-hook.
	Currently, it only does a PART if you kill a channel buffer.

2002-05-28  Mario Lang  <mlang@delysid.org>

	* erc.el 1.276:
	defvar'ed some buffer-local variables to make elint at least a bit more happy.
	  Moved comments into docstrings.
	Changed some instances of member to memq.

	* erc-track.el 1.13, erc.el 1.275:
	erc.el: (erc-message-type-member): New function, used to test
	for message type. Require erc-parsed text-property.
	erc-track.el: erc-track-exclude-types: New variable. Defaults to ("JOIN" "PART") right now for testing, it should eventually set to nil soon again.
	(erc-track-modified-channels): Use above fun and var to optionally exclude certain message types from channel tracking.

2002-05-28  Diane Murray  <dsm@muenster.de>

	* CREDITS 1.5: added myself, vain as it sounds ;)

2002-05-25  Mario Lang  <mlang@delysid.org>

	* erc.el 1.274: * Some small docstring fixes
	* (erc-display-line): Now takes also a process object in the buffer argument.
	  Used for easy sending to the server buffer.
	* Several places: Just pass proc, not (process-buffer proc)

2002-05-24  Mario Lang  <mlang@delysid.org>

	* erc.el 1.273: Mostly docstring fixes/additions

	* erc-netsplit.el 1.4: Doc fixes, and a new netjoin-done message.

	* erc-fill.el 1.11: Doc fixes, erc-fill custom group, autoloads.

	* erc-netsplit.el 1.3: Fix to erc-netsplit-timer.

	* erc-netsplit.el 1.2: Fixed a silly typo

	* erc-maint.el 1.1: is this really necessary?

	* erc.el 1.272: Added new variable erc-hide-list.
	It affects erc globally right now, and is used to hide certain IRC type messages like JOIN and PART.

	* Makefile 1.3: Doh, I should really test this before checkin :)

	* Makefile 1.2: Silly cut&paste bug fixed

	* erc-list.el 1.6: Added autoload cookie

	* erc-match.el 1.6: Added missing require erc.

	* erc-notify.el 1.2: Autoload cookies and a -initialize function.

	* erc-chess.el 1.18: Added autoload cookies

	* Makefile 1.1: Finally, we have a Makefile.
	Primarily used for autoload definition generation right now.

	* erc-auto.in 1.1: First version.

	* erc-track.el 1.12: Added autoload cookie

	* erc-netsplit.el 1.1:
	New module, used to autodetect and hide netsplits.
	(Untested, no netsplit happened yet :) )

	* erc-nets.el 1.3: Added some old code I once worked on.
	Added autoload cookie

2002-05-24  Diane Murray  <dsm@muenster.de>

	* erc-fill.el 1.10:
	removed reference in documentation to old variable, changed it to the new one

	* erc.el 1.271:
	* added new function erc-connection-established which is called after receiving
	  end of MOTD (does nothing if it's been called before)

	* added new hook erc-after-connect which is called from
	  erc-connection-established with the arguments server (the announced server)
	  and nick - which other arguments should be sent??

	* added buffer variable erc-connected which is set to t the first time
	  erc-connection-established is called, set to nil again if we've been
	  disconnected

	* set initial user mode
	  - added custom variable erc-user-mode which can be a string or a function
	    which returns a string
	  - new function erc-set-initial-user-mode gets called from
	    erc-connection-established

2002-05-22  Diane Murray  <dsm@muenster.de>

	* erc.el 1.270: fixed bug where prompt was missing after reconnect

2002-05-21  Diane Murray  <dsm@muenster.de>

	* erc.el 1.269:
	in erc-nickserv-identify: if network is unknown, just use "Nickserv"

	* erc.el 1.268: * fixed some typos

	* timestamping
	  - ctcp request messages and replies now have timestamp
	  - timestamps in front of error messages now in timestamp face
	  - added timestamp to more error messages

	* ctcp reply messages, server ping message updated

	* added variable erc-verbose-server-ping - check this instead of erc-paranoid

	* added whowas on no such nick:
	  - added variable erc-whowas-on-nosuchnick
	  - in erc-server-401 do WHOWAS if erc-whowas-on-nosuchnick is non-nil

	* erc.el 1.267: forgot documentaion for erc-nickserv-alist

	* erc.el 1.266: NickServ identification changed and enhanced:
	- erc-nickserv-identify-autodetect now called from erc-server-NOTICE-hook
	- now possible to identify automatically without prompt:
	  - added custom variables erc-prompt-for-nickserv-password and
	    erc-nickserv-passwords
	- added erc-nickserv-alist containing the different networks' nickserv details
	- added function erc-current-network to determine the network symbol
	- fixed bug where identification on dalnet didn't work, because they now
	  require NickServ@services.dal.net
	  now sends to all NickServ with nick@server where possible

2002-05-17  Diane Murray  <dsm@muenster.de>

	* erc-fill.el 1.9:
	* filling with erc-fill-variable now works with custom defined fill width:
	  - changed erc-fill-column from defvar to defcustom
	  - in erc-fill-variable: set fill-column to value of erc-fill-column

	* erc.el 1.265: erc.el:
	* fixed bug where topic wasn't being set when chanel name was provided

	erc-fill.el:
	* filling with erc-fill-variable now works with custom defined fill width:
	  - changed erc-fill-column from defvar to defcustom
	  - in erc-fill-variable: set fill-column to value of erc-fill-column

2002-05-16  John Wiegley  <johnw@gnu.org>

	* erc.el 1.264: whitespace fix

2002-05-15  Diane Murray  <dsm@muenster.de>

	* erc.el 1.263:
	* added explanation of empty string working in erc-quit-reason-various-alist
	* removed the text property from erc-send-message, it caused problems
	  with /SV (as noticed by gbvb on IRC) and is obviously not needed
	* when receiving a ctcp query, convert type to uppercase to allow for
	  "/ctcp nick time" and not just "/ctcp nick TIME"
	* timestamp in front of server notices now shown in the timestamp face

2002-05-13  Diane Murray  <dsm@muenster.de>

	* erc.el 1.262:
	- in erc-format-privmessage: `erc-format-timestamp' added to message after
	  message's text properties are applied so that it doesn't lose its face

	- /quit without reason now works when `erc-quit-reason' is set to
	  `erc-quit-reason-various' and the empty string "" is defined in
	  `erc-quit-reason-various-alist'

2002-05-13  Andreas Fuchs  <asf@void.at>

	* erc-bbdb.el 1.16:
	* Applied Drewies patch to pop-up on nick changes when -popup-type is 'visible

2002-05-12  Andreas Fuchs  <asf@void.at>

	* erc-bbdb.el 1.15, erc.el 1.261:
	* erc-bbdb.el: pop up the buffer on /whois when erc-bbdb-popup-type is 'visible
	* erc.el: fix for empty quit reason problem by drewie.

2002-05-12  Mario Lang  <mlang@delysid.org>

	* erc.el 1.260: disumu nick patch
	- added erc-show-my-nick (default t)
	  if t, show nickname like <nickname>
	  if nil, only show a > character before the message
	- added faces erc-nick-default-face and erc-nick-msg-face
	  - nicknames (channel, msgs, notices) are now in bold face by default
	  - the msg face matches the erc-direct-msg-face color

2002-05-10  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.259 (erc-send-pre-hook): Doc change.

	* CREDITS 1.4: Alexander L. Belikoff is confirmed original author.

2002-05-10  Mario Lang  <mlang@delysid.org>

	* erc.el 1.258:
	timestamp fix by disumutimestamp fix by disumutimestamp fix by disumutimestamp fix by disumutimestamp fix by disumutimestamp fix by disumutimestamp fix by disumutimestamp fix by disumu

2002-05-09  Mario Lang  <mlang@delysid.org>

	* erc.el 1.257: *** empty log message ***

2002-05-06  Mario Lang  <mlang@delysid.org>

	* erc.el 1.256:
	New var: erc-echo-notices-in-minibuffer-flag. defaults to t.

2002-05-04  John Wiegley  <johnw@gnu.org>

	* TODO 1.3: *** empty log message ***

2002-05-03  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.255: Copyright notice, version string updates.

2002-05-02  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.254: Comment: dme is David Edmondson

2002-05-01  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.253 (erc-warn-about-blank-lines): New option.
	(erc-send-current-line): Use it.
	(erc-quit-reason-various-alist): New option.
	(erc-quit-reason): New option.
	(erc-quit-reason-normal): New function.
	(erc-quit-reason-zippy): New function.
	(erc-quit-reason-various): New function.
	(erc-cmd-QUIT): Use them.

2002-04-30  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.252: Version 2.92

	* erc.el 1.251 (erc-send-modify-hook): Default value is nil.

2002-04-27  John Wiegley  <johnw@gnu.org>

	* erc.el 1.250:
	Don't redisplay the prompt if the ERC buffer is no longer alive.

2002-04-26  John Wiegley  <johnw@gnu.org>

	* erc.el 1.249:
	Don't call `set-buffer' on old-buf unless the buffer is valid.  It's
	often not when separate frames are being used.

2002-04-23  Mario Lang  <mlang@delysid.org>

	* erc-button.el 1.17: fixed up erc-nick-regexp

2002-04-22  Brian P Templeton  <bpt@tunes.org>

	* erc.el 1.248:
	`erc-prompt' may now be a function that returns a string (which is
	used as the prompt). I don't use Customize but I think customization
	of it may be broken if it's not a string.

	There is a new `erc-prompt' function that returns the prompt as a
	string (e.g., returning either the result of `(funcall erc-prompt)' or
	`erc-prompt').

	This allows for dynamic prompts, such as a LispWorks-like prompt, or
	one containing simply the current channel name. It was requested by
	Mojo Nichols (nick michols) in #emacs today, 21-Apr-2002; cf. the
	#emacs logs at <URL:http://www.tunes.org/~nef/logs/emacs/02.04.21.

2002-04-17  Mario Lang  <mlang@delysid.org>

	* erc.el 1.247:
	fix erc-send-current-line to work on empty lines again (without sending the prompt)
	Fix C-c C-t to not include the nick/time info
	(both from antifuchs)

	* erc-complete.el 1.9: Fix for xemacs elt behaviour

2002-04-17  John Wiegley  <johnw@gnu.org>

	* erc-chess.el 1.17:
	Added a missing arg in a call to erc-chess-handler.

2002-04-15  John Wiegley  <johnw@gnu.org>

	* erc-chess.el 1.16: *** empty log message ***

2002-04-14  John Wiegley  <johnw@gnu.org>

	* erc-chess.el 1.15: *** empty log message ***

2002-04-12  John Wiegley  <johnw@gnu.org>

	* erc-chess.el 1.14: *** empty log message ***

	* erc-chess.el 1.12: bug fixes

	* erc-chess.el 1.11: *** empty log message ***

2002-04-12  Mario Lang  <mlang@delysid.org>

	* erc-chess.el 1.6: change order.

	* erc-chess.el 1.5: more fixing.

	Now, the 'match question works. It sends an accept back.
	But display popup doesnt work..

	* erc-chess.el 1.4: fixup (still far from working)

2002-04-11  Mario Lang  <mlang@delysid.org>

	* erc.el 1.246:
	* Added :options entry for erc-mode-hook (erc-add-scroll-to-bottom)

2002-04-11  John Wiegley  <johnw@gnu.org>

	* erc.el 1.245: remove trailing \n from any sent text

	* servers.pl 1.2, erc-bbdb.el 1.14, erc-button.el 1.16, erc-chess.el 1.3, 
	  erc-complete.el 1.8, erc-fill.el 1.8, erc-ibuffer.el 1.14, erc-list.el 1.5, 
	  erc-match.el 1.5, erc-menu.el 1.4, erc-nets.el 1.2, erc-replace.el 1.3, 
	  erc-speak.el 1.22, erc-speedbar.el 1.8, erc-track.el 1.11, erc.el 1.244:
	clean whitespace

	* erc.el 1.243: Replaced erc-scroll-to-bottom.

2002-04-11  Mario Lang  <mlang@delysid.org>

	* erc-track.el 1.10:
	try to fix behaviour when used with different frames.

2002-04-09  Mario Lang  <mlang@delysid.org>

	* erc-chess.el 1.2:
	fixup release, far from ready for real usage, but it appears to work.

	* erc.el 1.242:
	speed improvments based on elp-instrument-package RET erc- RET results

	* erc-chess.el 1.1: initial version.
	please test it
	Get chess.el from johnw's cvs:
	cvs -d:pserver:anonymous@alice.dynodns.net:/usr/local/cvsroot login
	cvs -d:pserver:anonymous@alice.dynodns.net:/usr/local/cvsroot co chess

	(as usual, blank password)

	Add the resulting dir to your load-path and reqire erc-chess.

	Usage: Just do /chess nickname
	The remote end much use erc, as no other irc client I know of supports this ...

	See erc-chess-default-display and maybe set it to chess-images or chess-ics1 if you prefer those over chess-plain.
	Also, see erc-chess-user-full-name to set the name you use in chess games.

2002-04-04  Mario Lang  <mlang@delysid.org>

	* erc.el 1.241: New hackery latenightwise

	* erc.el 1.240: upupadowndowncase

2002-04-04  Gergely Nagy  <algernon@debian.org>

	* debian/changelog 1.15: Updated for the new snapshot

	* debian/rules 1.9: Install README.Debian into the package

	* debian/README.Debian 1.1: Initial check-in

2002-04-04  Mario Lang  <mlang@delysid.org>

	* erc.el 1.239:
	Fixed that /me in query buffers ended up in server buffer

	* erc.el 1.238: * Implemented joining +k channels

2002-03-14  Mario Lang  <mlang@delysid.org>

	* erc.el 1.237: New utility function: erc-channel-list
	minor fix to erc-get-buffer. hopefully that helps shapr

2002-03-12  Mario Lang  <mlang@delysid.org>

	* erc.el 1.236:
	New /command: /QUOTE for sending directly to the IRC server
	Removed erc-fill from erc-insert-modify-hook. To activate filling, simply customize that var.

2002-03-09  Brian P Templeton  <bpt@tunes.org>

	* CREDITS 1.3: *** empty log message ***

2002-03-09  Mario Lang  <mlang@delysid.org>

	* erc-complete.el 1.7:
	New variable: erc-nick-completion-ignore-case. Defaults to t.

	* erc-track.el 1.9:
	* erc-track-shorten-name-function can now be set to nil to avoid treating of channel names at all.

2002-03-06  Gergely Nagy  <algernon@debian.org>

	* debian/changelog 1.14, debian/rules 1.8: update to new snapshot

2002-03-06  Mario Lang  <mlang@delysid.org>

	* erc.el 1.235:
	Fixed nasty bug which prevented channel limit from correctly display/handling

	* erc-track.el 1.8: Made shortening code highly customizable.
	Now, there is the variable erc-track-shorten-function which holds
	a function which gets called with one argument, CHANNEL-NAMES, which is a list
	of strings of the channel names.
	It needs to return a list of strings of the same length with the modified values...

	* erc-track.el 1.7:
	Added erc-track-shorten-aggressively, default to nil
	if it is set to t, erc will shorten a bit more.
	if nil, erc will shorten the name only if it would get shorter than just
	one char...

	* erc-speak.el 1.21: added iirc to the abbreviation expansion list.

	* erc-track.el 1.6:
	Added customization variable: erc-track-use-faces. defaults to t.

	* erc-track.el 1.5: *** empty log message ***

	* erc-track.el 1.4:
	experimental: Added face support to mode-line channel activity tracker.
	Currently we use the faces used for indicating in the buffer (erc-pal-face for channels with pal acitivity...)

2002-03-05  Mario Lang  <mlang@delysid.org>

	* erc-complete.el 1.6: * added docfixes (thanks ore)

	* erc-track.el 1.3: Fixed channel-name reduction.
	thanks again alex.
	Renamed the vars to erc-track-opt-start and erc-track-opt-cutoff.

	* erc.el 1.234: fixed another silly error

	* erc-track.el 1.2: Implemented channel name shortening.
	Vars erc-track-cutoff says: all channel names longer than this will be shortened.
	Var erc-track-minimum-channel-length says: dont make names shorten than this.
	(Thanks go out to kensanata for the nice unique-substrings utility function).

	* erc.el 1.233: silly typo corrected

	* erc.el 1.232:	* erc.el 1.232: * New varialbe: erc-common-server-name-suffixes
	  This alist can be used to change the server names displayed in mode-line
	  to a shorter version..
	* New function: erc-shorten-server-name (uses var above)
	* Changed erc-prepare-mode-line to use erc-shorten-server-name.

2002-02-25  Mario Lang  <mlang@delysid.org>

	* erc.el 1.231:
	CTCP handling rewritten. Seems to work. please test and report probs.

2002-02-24  Mario Lang  <mlang@delysid.org>

	* erc.el 1.230:
	Fixed emacs20 backward compatibility (new defun/alias: erc-propertize)

2002-02-22  Mario Lang  <mlang@delysid.org>

	* erc-button.el 1.15: *** empty log message ***

2002-02-21  Mario Lang  <mlang@delysid.org>

	* erc-button.el 1.14, erc.el 1.229:
	minor fixup related to read-only prompts and command renaming.

2002-02-21  Andreas Fuchs  <asf@void.at>

	* erc.el 1.228: * modify `erc-remove-text-properties-region' to work.
	  Could even be a little faster now. (-:

2002-02-21  Mario Lang  <mlang@delysid.org>

	* erc-ring.el 1.3:
	fixed erc-replace-command to behave right when text is read-only.
	Also, use erc-insert-marker and (point-max) now.

	* erc.el 1.227: * Made erc-prompt read-only
	* new function: erc-make-read-only. Can be used on erc-insert-post-hook and erc-send-post-hook to ensure read-only buffer text too

2002-02-19  Mario Lang  <mlang@delysid.org>

	* erc-list.el 1.4: added comment to docstring

	* erc-speak.el 1.20: minor updates, use erc-nick-regexp now

	* erc.el 1.226:
	ensure that erc-timer-hook is called inside the server-buffer.

2002-02-19  Andreas Fuchs  <asf@void.at>

	* erc-match.el 1.4:
	* Probably fixed the "number-char-or-marker-p: nil" bug.

2002-02-19  Mario Lang  <mlang@delysid.org>

	* erc-notify.el 1.1: Initial release.

	* erc.el 1.225: added #303 handling
	moved timer and added an arg (erc-current-time)

	* erc-list.el 1.3, erc.el 1.224:
	slightly changed the erc-once-with-server-event macro

	* erc-button.el 1.13: erc-button-alist: doc fix and custom type fix

2002-02-18  Mario Lang  <mlang@delysid.org>

	* erc-list.el 1.2, erc.el 1.223: new macro: erc-once-with-server-event
	erc-list.el: use it

	* erc-match.el 1.3:
	Minor fix related to hook call method change (-until-seccess now)

	* erc.el 1.222: fixed ctcp behaviour abit (with auto-query on)

	* erc-list.el 1.1: ChanList mode.
	Load it, and type M-x erc-chanlist RET
	Demonstrates how the new hook system can be nicely used.

	* erc.el 1.221:
	new hook: erc-default-server-hook. This one gets called if we dont have anything defined for a certain IRC server message.
	New function: erc-default-server-handler. (used by above hook).
	New function: erc-debug-missing-hooks: Used by above hook to save a list of unimplemented server messages.
	New function: erc-server-buffer, erc-server-buffer-p.
	Various places: use it.
	Minor fixup.

	* erc-button.el 1.12: fix regexp to not buttonize ~user@host hostnames

2002-02-17  Mario Lang  <mlang@delysid.org>

	* erc-complete.el 1.5, erc.el 1.220: Eliminated erc-command-table
	Upcased the command defuns (erc-cmd-join is now erc-cmd-JOIN)
	Fixed erc-complete to not require erc-command-table.
	Implemented erc-cmd-HELP
	  (You have to try that, its tooo coool!)
	  e.g. /help auto-q
	fixed autoloads for erc-add-pal and so on to be interactive.

2002-02-17  Andreas Fuchs  <asf@void.at>

	* erc-match.el 1.2:
	* Fix unfunctional code in `erc-get-parsed-vector-type'.

	* erc-bbdb.el 1.13, erc-button.el 1.11, erc-match.el 1.1, erc.el 1.219:
	* Be careful: MANY changes ahead. I won't go into too much details.

	* erc.el, new file erc-match.el: split out all pattern-matching code.
	* erc.el: removed all defcusts for erc-{...}-highlight-props. They are
	  quite useless, anyway.
	* moved erc-add-entry-to-list and -remove- over to erc-match. changed
	  their arg list.
	* erc.el: add autoloads for erc-{add,delete}-{keyword,pal,fool,dangerous-host}
	* erc.el: erc-server-PRIVMSG-or-NOTICE:
	  - remove all the highlighting crap
	  - add a (when (eq s nil) ...) so that untreated CTCP messages don't
	    get misdisplayed.
	* erc.el: erc-mark-message: removed this function, it's useless
	* erc.el: minor bugfixes.

	* erc-match.el: first checkin. This file now contains all the pattern
	  matching stuff. there is now another defcust group, erc-match,
	  containing all match related stuff (erc-keywords, ...)
	* erc-match.el: added functionality to log matching lines. Quite
	  customizable, check out the docstring of defun erc-log-matches
	* erc-match.el: added functionality to make foolish messages
	  invisible/intangible. This could replace erc-ignore-list
	  sometime. it's more powerful right now, anyway.
	* erc-match.el erc-text-matched-hook: new hook. run when Text matches
	  anything (pal, fool, etc.).

	* erc-button.el: Make nick buttonization customizable.
	* erc-button.el: Give nick buttonization a lower priority so that it
	  does not break url buttons.

	* erc-bbdb.el: Add \n to the separators by which we split nicknames.

2002-02-17  Mario Lang  <mlang@delysid.org>

	* TODO 1.2: Added item

2002-02-17  Brian P Templeton  <bpt@tunes.org>

	* CREDITS 1.2, erc.el 1.218: Added invisible timestamp support.

2002-02-16  Gergely Nagy  <algernon@debian.org>

	* debian/changelog 1.13, debian/rules 1.7, debian/scripts/install 1.5:
	updated to new snapshot

2002-02-16  Mario Lang  <mlang@delysid.org>

	* erc.el 1.217:
	Fixed channel limit format overflow in mode-line display.
	(Having to use floats if integers are to large is quite strange, isn't it?)

	* TODO 1.1: TODO list created.
	Add comments and expand it.

	* erc.el 1.216:
	Fixed bug in query buffer handling (only happend in mixed-case situations)

	* erc.el 1.215: shapr checkdoc patch #1
	massive docfixes! yay, keep going!

2002-02-15  Mario Lang  <mlang@delysid.org>

	* erc.el 1.214: various other fixes
	make s301 a catalog entry

2002-02-15  Andreas Fuchs  <asf@void.at>

	* erc.el 1.213: * erc-server-NICK and erc-server-INVITE: fixed to use
	  `erc-display-message'. These I missed in the first checkin.  I
	  didn't say it in the last log message, but please test these.

	* erc-fill.el 1.7, erc.el 1.212:
	* erc.el: updated many functions to use `erc-display-message'. Now, we
	  should go for getting highlighting out of
	  erc-server-PRIVMSG-or-NOTICE. The part I want to attack has been
	  marked.
	* erc-fill.el: updated static filling to leave the erc-parsed property alone.

2002-02-15  Mario Lang  <mlang@delysid.org>

	* erc.el 1.211:
	first step, new function: erc-display-message

	* erc.el 1.210: added numreply 379 and 405.

	* erc.el 1.209: stupid typo fixed

	* erc.el 1.208:
	Finally renamed erc-frame-dedicated-p to erc-frame-dedicated-flag
	Removed usage of erc-interpret-controls from info buffer drawing (major speedup)
	Other speedups based on the results from elp.
	ERC is now about 300%-500% faster in some situations with very full channels!!!!!

2002-02-14  Andreas Fuchs  <asf@void.at>

	* erc.el 1.207:
	* erc-downcase now downcases {}|^ with []\~ -- 'stolen' from zenirc.
	* various checkdoc fixes. Just the upper third of the file, but that
	  should help a little, too. (-: Again, if you have any writing
	  skills, take out that dusty keyboard and tap it to the beat of M-x
	  checkdoc!

2002-02-14  Gergely Nagy  <algernon@debian.org>

	* erc.el 1.206 (erc-format-privmessage):
	fix it, so timestamp-coloring works again (patch from antifuchs)

2002-02-14  Mario Lang  <mlang@delysid.org>

	* erc.el 1.205: Many fixes based on M-x checkdoc RET.
	If you have write access, and some english knowledge, help document erc too!
	M-x checkdoc RET, and follow the instructions.

	* erc-button.el 1.10, erc-ibuffer.el 1.13: minor fixes

	* erc.el 1.204: Use nreverse instead of reverse.
	Use eq instead of equal where possible.
	Rewrote erc-get-buffer to not use find-if (find-if does very deep function-call nesting, which isnt good ina  defun which is called so often)

2002-02-13  Mario Lang  <mlang@delysid.org>

	* erc-button.el 1.9, erc.el 1.203:
	In erc.el, new hook: erc-channel-members-changed-hook.
	erc-button.el: Now highlight all nicknames. uses regexp-opt.

2002-02-04  Mario Lang  <mlang@delysid.org>

	* erc-nets.el 1.1:
	Database of irc networks. Use erc-server-select to interactively select one.

	* erc.el 1.202: * erc-format-nick-function: New variable.
	* (erc-format-nick): The default for above var. Just return the nick.
	* (erc-format-@nick): Prefix NICK with @ or + if OP or VOICE.
	* Removed erc-track-modified-channels related code and moved into erc-tracke.l
	   Its auto-loaded now

	* erc-track.el 1.1: Split code from erc.el

2002-02-01  Mario Lang  <mlang@delysid.org>

	* erc-ibuffer.el 1.12:
	* erc-target now uses erc-port-to-string

	* servers.pl 1.1:
	Script to convert mircs servers.ini to a elisp salist kind of thing.
	(development tool, it doesnt help you much as a user)

	* erc.el 1.201:
	* erc-display-line-buffer: renamed to erc-display-line-1
	* erc-port-equal: New function.
	* erc-normalize-port: Used by erc-port-equal
	* minor docstring fixes

2002-02-01  Andreas Fuchs  <asf@void.at>

	* erc.el 1.200:
	* erc-already-logged-in-p: compare ports is more robust now.

	* erc-button.el 1.8: * Add buttonization to erc-send-modify-hook, too

2002-01-31  Mario Lang  <mlang@delysid.org>

	* erc.el 1.199:
	Use insert-before-markers instead of insert in erc-display-line-buffer
	This fixed point@column 0 problem and gives us some speedup! yay

	* erc-ibuffer.el 1.11, erc.el 1.198: minor fixes

	* erc.el 1.197:
	* (erc-line-beginning-position): Renamed to erc-beg-of-input-line.
	* (erc-line-end-position): Renamed to erc-end-of-input-line.
	* erc-multiline-input-p: Variable removed.

	* erc.el 1.196:
	Minor docstring fixes (using M-x checkdoc-current-buffer)
	  If you find time, and you are native english speaker, do that too!!

	* erc.el 1.195: fixed macro-invokation

2002-01-31  Andreas Fuchs  <asf@void.at>

	* erc.el 1.194: * erc-with-all-buffers-of-server: use erc-list-buffers
	* erc-process-away, erc-{save,kill}-query-buffers: use it.
	* erc-cmd-away-all: new command. Set away/back on all servers.

	* erc.el 1.193:
	* Fix last multiline bug in erc-send-distinguish-noncommands.

2002-01-31  Mario Lang  <mlang@delysid.org>

	* erc-ibuffer.el 1.10, erc.el 1.192: minor fixes

2002-01-30  Mario Lang  <mlang@delysid.org>

	* erc-ibuffer.el 1.9, erc-menu.el 1.3, erc-speak.el 1.19, erc.el 1.191:
	Renamed erc-track-modified-channels-minor-mode to erc-track-modified-channels-mode (at least, its a bit shorter)
	Added docstring to erc-server-hooks (through the macro)
	Minor docfix in obsolete hook

2002-01-30  Andreas Fuchs  <asf@void.at>

	* erc.el 1.190:
	* erc-send-current-line: fix behaviour where buffer changes.
	* erc-mark-message: fix stupid face bug. highlighting of pals should work now.

	* erc-ring.el 1.2, erc.el 1.189:
	* new hooks: erc-send-pre-hook, erc-send-modify-hook, erc-send-post-hook
	* erc-send-this: new variable
	* erc-noncommands-list: new constant.
	* erc-send-distinguish-noncommands: use it. (First filter function for sending! yay!)
	* erc-send-current-line: nearly completely rewritten.
	  - now handles multiline input. (yay!)
	  - now uses the three hooks from above.
	* erc-process-line: new arg, no-command: don't process this line as a command.

2002-01-30  Mario Lang  <mlang@delysid.org>

	* erc-bbdb.el 1.12, erc-button.el 1.7, erc-speak.el 1.18, erc.el 1.188:
	hook handling rewrite phase 1.

2002-01-30  Andreas Fuchs  <asf@void.at>

	* erc.el 1.187: * Rework erc-server-PRIVMSG-or-NOTICE
	* New function: erc-is-message-ctcp-p
	* New function: erc-format-privmessage
	* New function: erc-mark-message
	* erc-server-PRIVMSG-or-NOTICE: use them.

2002-01-30  Mario Lang  <mlang@delysid.org>

	* CREDITS 1.1, HISTORY 1.1:
	Initial checkin.

2002-01-29  Andreas Fuchs  <asf@void.at>

	* erc.el 1.186: * erc-put-text-properties: make OBJECT optional
	* erc-put-text-property: same
	* erc-server-PRIVMSG-or-NOTICE: use them.
	* Make erc-display-line-buffer: add the "\n" even when the string would be invisible.
	* same: make the \n invisible, too (:

2002-01-29  Mario Lang  <mlang@delysid.org>

	* erc-ibuffer.el 1.8, erc.el 1.185:
	Rewrote channel tracking using window-configuration-change-hook instead of defadvices.

2002-01-28  Andreas Fuchs  <asf@void.at>

	* erc-fill.el 1.6, erc.el 1.184:
	* Macro define-erc-highlight-customization: Ease up defining
	  erc-{fool,pal,..}-highlight-props defcusts.
	* defcusts:
	  - erc-fool-highlight-props
	  - erc-pal-highlight-props
	  - erc-dangerous-host-highlight-props
	  - erc-keyword-highlight-props

	  Customizable to either nil or "Hide message".
	* erc-string-invisible-p: check for invisible chars in string
	* erc-display-line-buffer: use it.
	* erc-put-text-properties: put a list of props into a piece of text.
	* erc-server-PRIVMSG-or-NOTICE: use it; set appropriate
	  highlight-props for entire incoming message. This set of changes
	  allows you to e.g. auto-ignore fools.

2002-01-28  Mario Lang  <mlang@delysid.org>

	* erc-ibuffer.el 1.7:
	Added highlight detection support to the Mark column.
	Now p, k, f, and d indicate pal, keyword, fool and dangerous-host related activity.

	* erc.el 1.183:
	Highlight tracking finished. All necessary info should now be in erc-modified-channels.

	* erc.el 1.182, erc-ibuffer.el 1.6, erc-speedbar.el 1.7:
	Added highlight tracking to track-modified-channels
	   no display code yet, the info is just kept in erc-modified-channels
	Added erc-modified column to ibuffer
	speedbar update

	* erc-ibuffer.el 1.5: Added erc-members column

	* erc-ibuffer.el 1.4: *** empty log message ***

2002-01-28  Andreas Fuchs  <asf@void.at>

	* erc-bbdb.el 1.11:
	* Fix a slight typo. The hook function should be called in
	  erc-server-376-hook (-:

2002-01-28  Mario Lang  <mlang@delysid.org>

	* erc-ibuffer.el 1.3: *** empty log message ***

2002-01-27  Mario Lang  <mlang@delysid.org>

	* erc-ibuffer.el 1.2: Fixup, it sort of works now. Try it

	* erc-ibuffer.el 1.1: Initial version

2002-01-26  Mario Lang  <mlang@delysid.org>

	* erc.el 1.181: *** empty log message ***

2002-01-25  Andreas Fuchs  <asf@void.at>

	* erc-bbdb.el 1.10: * fix two bad things:
	  - fix the "proc trick": pass proc as an arg through
	    ...-insinuate-... to ...-show-entry
	  - hook highlighting into the 376 hook. This one is bound to get
	    called (-:
	* We now only append to hooks only.
	* Highlighting of changing records gets updated automatically.

2002-01-25  Mario Lang  <mlang@delysid.org>

	* erc.el 1.180: *** empty log message ***

2002-01-25  Andreas Fuchs  <asf@void.at>

	* erc-bbdb.el 1.9: * nearly complete rewrite of erc-bbdb:
	  -  Removed code duplication in erc-bbdb-NICK and -JOIN.
	  -  Made erc-bbdb-show-entry more general and intelligent.
	  -  erc-bbdb-insinuate-entry is now erc-bbdb-insinuate-and-show-entry
	     (note the different arglist!):
	  -  erc-search-name-and-create now creates "John Doe" users if name
	     is not specified.
	  -  No sign of "mail" anywhere anymore. It's all finger-host. (-:
	  -  erc-bbdb-popup-p is now called erc-bbdb-popup-type.
	  -  New customize values:
	     . erc-bbdb-irc-channel-field     channel field name
	     . erc-bbdb-irc-highlight-field   (see below)
	     . erc-bbdb-auto-create-on-nick-p auto-create record on join

	* Highlighting based on BBDB is now here! Specify which type of
	  highlighting a person in the BBDB (whose nick you know) and have
	  fun! Read help to erc-bbdb-init-highlighting for details. Changes:
	  -  new function erc-bbdb-init-highlighting: gets called on server
	     connect.
	  -  new function erc-bbdb-highlight-record: highlights a person's
	     nick names.

2002-01-24  Andreas Fuchs  <asf@void.at>

	* erc-button.el 1.6:
	* Fix the erc-button-alist regexp for EmacsWiki stuff. delYsid's version
	  is better (-:

	* erc-button.el 1.5: * Added an Ewiki: specifier to the url-regexp.
	  <nickname> EmacsWiki: EmacsIRCClient tells you <bla>
	  should highlight "EmacsWiki: EmacsIRCClient" and allow you to
	  browse to the wiki when the button is activated.
	* new custom: erc-emacswiki-url.
	* new function: erc-browse-emacswiki: use it.

2002-01-23  Mario Lang  <mlang@delysid.org>

	* erc-bbdb.el 1.8:
	erc-bbdb-NICK: Added regexp-quote around fingerhost search.

2002-01-10  Andreas Fuchs  <asf@void.at>

	* erc.el 1.179:
	* Channel saving/killing on quit from server implemented:
	 - defcust erc-save-queries-on-quit: Save server's channel buffers on quitting from server
	 - defcust erc-kill-queries-on-quit: Kill server's channel buffers on quitting from server
	 - Macro erc-with-all-buffers-of-server: Run a form inside all the server's query buffers
	 - Functions erc-{kill,save}-query-buffers: use it.
	* Added indent-tabs-mode: t to Local Variables section.

2002-01-07  Andreas Fuchs  <asf@void.at>

	* erc-replace.el 1.2: * fix stupid documentation errors.

2002-01-07  Mario Lang  <mlang@delysid.org>

	* erc.el 1.178:
	* (toplevel): Revert previous change. This resulted ina  recursive load...
	   You have to put (require 'erc-button) into your .emacs for now

2002-01-05  Mario Lang  <mlang@delysid.org>

	* erc.el 1.177:
	* Added require for erc-button. This is devel. so I need testers :)

	* erc-button.el 1.4: * Added proper file headers (GPL).

2002-01-04  Mario Lang  <mlang@delysid.org>

	* erc-button.el 1.3: * erc-button-alist: Added entry for finger

	* erc-button.el 1.2: * Removed bogus usage of :button-keymap.
	P
	   Does anyone know what this was supposed to do anyway?

	* erc-button.el 1.1: * Initial version.
	* This module allows a way of buttonizing text in IRC buffers.
	  Default it is used for URLs, but other things could be added.
	  see if you can find another use, erc-button-alist

2001-12-18  Mario Lang  <mlang@delysid.org>

	* erc.el 1.176: * Added missing 747 numreply (banned)

2001-12-15  Gergely Nagy  <algernon@debian.org>

	* debian/scripts/install 1.4, debian/rules 1.6:
	updated to 2.1.cvs.20011215-1

	* debian/changelog 1.12: Debian version 2.1.cvs.20011215-1

2001-12-11  Andreas Fuchs  <asf@void.at>

	* erc.el 1.175:
	* applied a nicer version of mhp's patch to remove the last prompt from
	  saved logs

	* erc-replace.el 1.1: * Initial checkin

2001-12-11  Mario Lang  <mlang@delysid.org>

	* erc.el 1.174:
	* fixed bug triggered when reuse-buffer was enabled (the default).
	  Another silly port type problem. Maybe we should unify that once and for all sometimes...

2001-12-10  Mario Lang  <mlang@delysid.org>

	* erc.el 1.173: * erc-message-english: New QUIT and s004 entries.
	* erc-save-buffer-on-part: New variable.
	* erc-kill-buffer-on-part: New variable.
	* (erc-server-PART): Use above variables.
	* (erc-join-channel): Use DEF argument instead of initial input for completing-read.

2001-12-08  Tijs van Bakel  <smoke@wanadoo.nl>

	* erc.el 1.172: added defcustom erc-nick-uniquifier ^ (i prefer _)

2001-12-07  Gergely Nagy  <algernon@debian.org>

	* debian/changelog 1.11: changelog for version 2.1.cvs.20011208-1

2001-12-07  Tijs van Bakel  <smoke@wanadoo.nl>

	* erc.el 1.171:
	Added erc-scroll-to-bottom as an erc-insert-hook function.  It still bugs a bit, so please test it, thanks

2001-12-07  Mario Lang  <mlang@delysid.org>

	* erc.el 1.170: * Fixed silly bug in erc-server-TOPIC (thanks mhp)

	* erc-speak.el 1.17:
	* Fix non-greedy matching bug. That one somehow swallowed text

	* erc.el 1.169:
	Fix Emacs20 problem. For now, we disable erc-track-modified-channels-minor-mode in emacs20

2001-12-07  Andreas Fuchs  <asf@void.at>

	* erc-fill.el 1.5:
	* Fix another stupid one-off error. This time it really works!
	 (Until I find the next bug. I guess you can hold your breath) (-:

2001-12-06  Andreas Fuchs  <asf@void.at>

	* erc-fill.el 1.4: * Fixed static filling:
	** No more \ed (continued on next line) lines anymore
	** Fixed bug with previous version where longer lines wouldn't get
	   filled correctly (i.e. at all)

2001-12-06  Gergely Nagy  <algernon@debian.org>

	* debian/changelog 1.10: changelog for 2.1.cvs.20011206-1 added

2001-12-06  Andreas Fuchs  <asf@void.at>

	* erc.el 1.168:
	* Don't discard away status when identifying to NickServ
	* Modify `erc-already-logged-in': check for port, too.

	* erc-fill.el 1.3:
	* Fix stupid loop non-termination error in erc-fill-static when filling
	  one-line regions.
	* Make erc-count-lines return meaningful values

2001-12-05  Mario Lang  <mlang@delysid.org>

	* erc.el 1.167:
	* (erc-process-input): Make ' /command' work for quoting /commands

	* erc-speak.el 1.16: see changelog

	* erc-fill.el 1.2: see erc.el changelog

	* erc.el 1.166:
	* erc-insert-hook: Changed strategy completely, no start end parameters any more.
	We narrow-to-region now, thats much cleaner.
	* rename erc-fill-region to erc-fill and change the autoload
	** You'll probably need to restart Emacs

2001-12-04  Mario Lang  <mlang@delysid.org>

	* erc.el 1.165:
	* (erc-send-current-line): Fixed long outstanding bug. XEmacs users with erc-fill-region on erc-insert-hook knew that one a long time.

	* erc.el 1.164: fix order of attack

	* erc.el 1.163: * macroexpanded define-minor-mode for XEmacs

	* erc.el 1.162: First try to make channel tracking mouse sensitive

	* erc.el 1.161: * More erc-message-format conversion.
	  erc-format-message-english-PART as an example on how to use functions to format message
	* (erc-format-message): Fallback mechanism to use english catalog if variable is not bound

2001-12-03  Mario Lang  <mlang@delysid.org>

	* erc.el 1.160: * (erc-iswitchb): Rewrite, docfix.
	Make it use erc-modified-channels as default if available.

	* erc-menu.el 1.2:
	* Fixage related to erc-track-modified-channels-minor-mode rewrite

	* erc.el 1.159:
	* erc-track-modified-channels-minor-mode: Use buffer objects instead of erc-default-target return value for internal state keeping.

	* erc.el 1.158: * Made reconnect behave nicer (erc-process-sentinel)
	* Rewrote erc-modified-channels-tracking completely.
	  Its now a minor mode (erc-track-modified-channels-minor-mode)
	  It uses a list as internal representation now, so all silly string-parsing
	  related bugs should be gone.
	  Use (erc-track-modified-channels-minor-mode t) now to toggle this functionality.
	  Dont set the erc-track-modified-channels-minor-mode variable yourself, use the toggle function

2001-11-29  Gergely Nagy  <algernon@debian.org>

	* debian/changelog 1.9: final version

2001-11-29  Mario Lang  <mlang@delysid.org>

	* erc.el 1.157:
	* (erc-channel-p): Make it work with string and buffer as parameter. buffer.
	* (erc-format-message): Add a check for functionp. This allows a format-specifier also to be a function name, which gets called with args applied and needs to return the actual format string.
	* Converted some formats, JOIN, JOIN-you, MODE, ...

2001-11-28  Mario Lang  <mlang@delysid.org>

	* erc.el 1.156:
	* (erc-prepare-mode-line-format): Added sanity checks to prevent it from having problems with server buffers where the connection failed

	* erc-bbdb.el 1.7:
	* (erc-bbdb-JOIN): regexp-quote the fingerhost before searching, some people have really strange characters as their user names

	* erc.el 1.155: Remove a stupid debug like (message ...) call

2001-11-28  Gergely Nagy  <algernon@debian.org>

	* debian/changelog 1.8: draft of 2.1.cvs.20011128-1

	* debian/rules 1.5: simplify for the all-in-one erc package

	* debian/control 1.3: integrated erc-speak back into erc

	* debian/maint/conffiles 1.3, debian/maint/conffiles.in 1.2, debian/maint/postinst 1.3, 
	  debian/maint/postinst.in 1.2, debian/maint/prerm 1.3, debian/maint/prerm.in 1.2, 
	  debian/scripts/install 1.3, debian/scripts/install.in 1.3, debian/scripts/remove 1.3, 
	  debian/scripts/remove.in 1.2, debian/scripts/startup.erc-speak 1.2:
	since erc-speak is gone, resurrect the static files, and update them to support the latest erc

2001-11-28  Mario Lang  <mlang@delysid.org>

	* erc.el 1.154: * (erc-mode): Shouldn't be interactive.
	* (erc-info-mode): Ditto.

	* erc.el 1.153: * (erc-server-352): Added hopcount parsing.
	Added call to erc-update-channel-member to fill in channel-members information
	on /WHO if the channel is joined.

2001-11-27  Mario Lang  <mlang@delysid.org>

	* erc-speedbar.el 1.6: *** empty log message ***

	* erc-speedbar.el 1.5: * (erc-speedbar-expand-user): New function.
	Used when more information than just the nick name is available about a dude.

	* erc.el 1.152: * Fixed stupid edit,checkin,save cycle error :)

	* erc.el 1.151:
	* (erc-generate-log-file-name-default): Renamed to -long
	Doc fix.
	* (erc-generate-log-file-name-old): Renamed to -long
	Doc fix.
	* erc-generate-log-file-name-function: Set default to ...-long
	Doc fixes

	* erc-speedbar.el 1.4: *** empty log message ***

2001-11-26  Mario Lang  <mlang@delysid.org>

	* erc-speedbar.el 1.3: * Integrated channel names list
	  what else do we need to replace info buffers???
	  please test that code and comment on erc-ehlp, thanks

	* erc-speedbar.el 1.2:
	* Added erc-speedbar-goto-buffer and therefore enable switching to the buffers from speedbar

	* erc-speedbar.el 1.1:
	I had to check this in, it works !! sort of,, megaalphagammaversion, first version. test, play, submit ideas/patches

2001-11-26  Gergely Nagy  <algernon@debian.org>

	* erc.el 1.150 (erc-mode): moved erc-last-saved-position here
	moved buffer naming code from here..
	(erc): ...to here
	(erc-generate-log-file-name-old): only prepend target if it exists

	made erc-log-insert-log-on-open a defcustom

2001-11-26  Mario Lang  <mlang@delysid.org>

	* erc.el 1.149:
	* Applied antifuchs/mhp patches, the latest on erc-help, unmodified
	* New variable: erc-reuse-buffers default to t.
	* Modified erc-generate-new-buffer-name to use it. it checks if server and port are the same, 
	  then one can assume thats the same channel/query target again.

2001-11-23  Mario Lang  <mlang@delysid.org>

	* erc-bbdb.el 1.6:
	* new function erc-BBDB-NICK to handle nickname anotation on a nick-change event of a known record

	* erc.el 1.148: * Remove erc-rename-buffer, its no longer necessary
	* Remove erc-autoop-*. it was broken, and needed rewrite anyway
	* write erc-already-logged-in in terms of erc-buffer-list and make the duplicate login check work again

	* erc.el 1.147: * Fixed stupid typo

2001-11-22  Mario Lang  <mlang@delysid.org>

	* erc.el 1.146: * New local variable, erc-announced-server-name
	* erc-mode-line-format supports a new symbol, target-and/or-server
	* The mode-line displays the announced server name now (for autojoin later..., 
	  greets Adam)
	* New macro, erc-server-hook-list for a nice way to define the defcustoms of the erc-server-*-hook's
	  Thanks go to the guy from #emacs who helped with that
	* erc-fill-region is now autoloaded from erc-fill.el
	  * erc-fill.el implements a new fill method, erc-fill-static
	    (setq erc-fill-function 'erc-fill-static)
	* Some other things I forgot right now

	* erc-bbdb.el 1.5: *** empty log message ***

	* erc-fill.el 1.1: Initial version.

	* erc-complete.el 1.4:
	Applied antifuchs patch to make completion work with (string= erc-prompt "")

	* erc-complete.el 1.3:
	added function erc-nick-completion-exclude-myself
	you can set erc-nick-completion to 'erc-nick-completion-exclude-myself to use it

2001-11-21  Mario Lang  <mlang@delysid.org>

	* erc-bbdb.el 1.4:
	* Changed usage of 'finger-host to bbdb-finger-host-field

	* erc-bbdb.el 1.3:
	* Changed WHOIS to use finger-host instead of net field.
	* Added 'visible as option to erc-bbdb-popup-p to only pop-up the bbdb buffer if a join happened in a visible buffer on any visible frame.
	* Added (regexp-quote ...) for nickname search in erc-bbdb-JOIN

2001-11-20  Mario Lang  <mlang@delysid.org>

	* erc-bbdb.el 1.2: * Added JOIN support

2001-11-19  Mario Lang  <mlang@delysid.org>

	* erc.el 1.145:
	Initial message catalog code. converted erc-action-format usage to use it

	* erc.el 1.144: * erc-play-sound: Added XEmacs related check

	* erc-bbdb.el 1.1: * Initial version, many thanks to Andreas Fuchs

	* erc.el 1.143: * Fixed silly problem with whois/was handling

	* erc.el 1.142: * Renamed prev-rd to erc-previous-read
	* Removed erc-next-line-add-newlines and s next-line-add-newlines to nil in defun erc by default

	* erc.el 1.141:
	fixed xemacs compatibility prob with delete, thanks Adam

2001-11-18  Mario Lang  <mlang@delysid.org>

	* erc.el 1.140: numreplies 301 & 461

2001-11-13  Tijs van Bakel  <smoke@wanadoo.nl>

	* erc.el 1.139:
	Added code for error reply 421 "Unknown command", to test the new server parsing system.
	This was really easy!  Thanks ZenIRC guys & delysid :-)

2001-11-13  Mario Lang  <mlang@delysid.org>

	* erc.el 1.138: * Allow connecting to SSL enabled irc servers.
	   Ugly hack, but it works for now. Be sure to use the numeric irc port 994 so that erc can recognize what you want
	  good example is
	irc server: ircs.segfault.net
	port: 994

	meet me there, I am still delYsid :)

	* erc.el 1.137: * some more numreply handlers
	* cleanup in erc-process-away-p
	* new function erc-display-error-notice

	* erc.el 1.136: * numreply 501 and 221

	* erc.el 1.135:
	removed obsolete old hook variables. Your functions may break, but it is easy to hook them up to the new hooks.
	erc-part-hook: use erc-server-PART-hook instead
	erc-kick-hook: use erc-server-KICK-hook instead
	and so on

	* erc.el 1.134:
	fixed serious bug which cause privmsgs vanishing when erc-auto-query was set to nil

	* erc.el 1.133: cleaned up erc-process-filter

	* erc.el 1.132: * 401 and 320 numreplies implemented

	* erc.el 1.131: * Removed old/now obsolete code

	* erc.el 1.130: * Fixed bug in erc-server-MODE

2001-11-12  Mario Lang  <mlang@delysid.org>

	* erc.el 1.129: fixed it

	* erc.el 1.128:
	*** We switched over. New server message parsing/handling is running now. Thansk to the zenirc developers for the great ideas I got from the code!!!!! Go and test it, poke at it, bug me on irc about problems

	* erc.el 1.127: *** empty log message ***

2001-11-12  Tijs van Bakel  <smoke@wanadoo.nl>

	* erc.el 1.125:
	Fixed bug in erc-get-buffer, now channel names are compared in
	a case-insensitive way.

2001-11-12  Mario Lang  <mlang@delysid.org>

	* erc.el 1.124: erc-server-353

2001-11-12  Tijs van Bakel  <smoke@wanadoo.nl>

	* erc.el 1.123: Fixed docstring for erc-get-buffer.
	Added erc-process to a lot of calls to erc-get-buffer, so
	that only the local process is searched.

2001-11-12  Mario Lang  <mlang@delysid.org>

	* erc.el 1.122: * erc-buffer-filter: do it differently

	* erc.el 1.121: ugly but working fix for mhp's query problem

	* erc.el 1.120: * erc-server-PRIVMSG-or-NOTICE
	  Now, all the server word replies are finished. Going to numreplies now

	* erc.el 1.119:
	* debugging fascilities for the transition. C-x 2 C-x o M-x ielm RET erc-server-vectors RET ; to get a list of all server messages currently not handled in the new code. Feel free to pick one and implement it

	* erc.el 1.118: * erc-server-KICK and erc-server-TOPIC. new functions
	* erc-server-305-or-306 and erc-server-311-or-314

	* erc.el 1.117:
	* ported PART and QUIT msgs to the new scheme, many to go. but it is a easy task. does someone wanna try and start with numreplies?

	* erc.el 1.116: * erc-server-JOIN

	* erc.el 1.115: * Ported erc-server-INVITE code

	* erc.el 1.114: * erc-server-ERROR and erc-server-MODE

2001-11-11  Mario Lang  <mlang@delysid.org>

	* erc.el 1.113: * zen

	* erc.el 1.112: * New variable erc-connect-function.

	* erc.el 1.111:
	* New function erc-channel-p and use it where appropriate

	* erc.el 1.110: * Removed the variable erc-buffer-list completely now
	* Moved erc-dbuf around a bit

	* erc.el 1.109: * Fix silly change in quit/rename msg handling

	* erc.el 1.108: thanks mhp, fixed

	* erc.el 1.107: * Tijs van Bakel's work from 10th Nov. merged in
	* My additions to that idea merged in too
	Basicly, this is a major rewrite, if you are scared and want avoid problems,
	stay at your current version. It seems fairly stable though.
	That changed? erc-buffer-name handling was completely rewritten,
	and erc-buffer-list local variable handling removed.
	Simplifies alot of code. Poke at it. read the diff. report bug/send patches!

	* erc.el 1.106: * Added variable listing when /set is used without args

2001-11-10  Mario Lang  <mlang@delysid.org>

	* erc.el 1.105:
	* Comment/structure cleanup, removal of unnecessary code

	* erc.el 1.104: only some code beautification

	* erc-imenu.el 1.2:
	remove add-hook call, thats done in erc.el now for autoloadability

	* erc.el 1.103: * Make erc-imenu autoloadable

	* erc.el 1.102:
	* The long promised erc-mode-line-format handling rewrite
	   Poke at it, try it, play with it, report bugs

	* erc.el 1.101:
	some regex-quote fixes, new function erc-cmd-set, and minor things

2001-11-08  Mario Lang  <mlang@delysid.org>

	* erc.el 1.100:
	* added second timestamp-format (erc-away-timestamp-format) for marking msgs when being away

	* erc-complete.el 1.2: fixed silly deffun

	* erc.el 1.99: * Rewrote erc-load-irc-script (simplified)
	* Removed depricated code

	* erc-speak.el 1.15: * reflect changes in erc.el

	* erc.el 1.98:
	* Moved completion related functions into erc-complete.el
	  placed an autoload instead into erc.el. That quite cool,
	  because erc-complete.el only gets loaded when you use
	  TAB first time in erc.

	* erc-complete.el 1.1: _ Initial checkin

	* erc.el 1.97: * New function: erc-chain-hook-with-args
	* Changed calls to erc-insert-hook to use it

2001-11-07  Mario Lang  <mlang@delysid.org>

	* erc.el 1.96: * Patch from Fabien Penso
	  Make completion case insensitive. try it! its cool

	* erc.el 1.95: * Reduction patch 2
	  This time, we move the input ring handling into erc-ring.el
	  Remember that you need (require 'erc-ring) in your .emacs to get the input handling as a feature
	  And remeber, that you dont need it if you dont use input ring :-)

	* erc-ring.el 1.1: * Initial checkin

	* erc.el 1.94: * The great reduction patch :-)
	  moved relevant function from erc.el to new file erc-menu.el and erc-imenu.el

	* erc-imenu.el 1.1: nitial version

	* erc-menu.el 1.1: * Initial version

	* erc.el 1.93: * wording change suggested by Benjamin Drieu

2001-11-07  Tijs van Bakel  <smoke@wanadoo.nl>

	* erc.el 1.92: Added Emacs version to /SV

2001-11-07  Mario Lang  <mlang@delysid.org>

	* erc.el 1.91: * Hookification patch, read the diff

	* erc.el 1.90: too tired for a changelog :)

2001-11-06  Mario Lang  <mlang@delysid.org>

	* erc.el 1.89:
	* make erc-cmd-op and erc-cmd-deop take multiple nicknames as argument

2001-11-06  Gergely Nagy  <algernon@debian.org>

	* debian/changelog 1.7: sync

	* debian/rules 1.4: fixed a typo: PKGDIR, not PKIDR

2001-11-06  Mario Lang  <mlang@delysid.org>

	* erc.el 1.88:
	* Changed timestamping when away to use erc-timestamp-format and append the timestamp instead of prepending it..
	* minor cleanup, s/(if (not /(unless/ and thelike

2001-11-06  Tijs van Bakel  <smoke@wanadoo.nl>

	* erc.el 1.87: Fixed OP and DEOP commands to return T.
	Added SV say-version command.
	Added erc-send-message utility function, but it's not used everywhere yet.

2001-11-05  Mario Lang  <mlang@delysid.org>

	* erc.el 1.86: stupid delYsid, forgot require 'format-spec. good nite

	* erc.el 1.85:
	* new variable erc-action-format. Some erc-notice-prefix fixes again

	* erc.el 1.84: * erc-minibuffer-privmsg defaults to t

	* erc.el 1.83:
	* Small fix in relation to the transition to erc-make-notice

2001-11-05  Tijs van Bakel  <smoke@wanadoo.nl>

	* erc.el 1.82:
	Renamed erc-message-notices to erc-minibuffer-notice, and renamed erc-prevent-minibuffer-privmsg to erc-minibuffer-privmsg, inverting its functionality

	* erc.el 1.81: Added support for channel names starting with & + and !.
	Also, many changes partially discussed on the mailinglist:

		* erc.el (cl): Add requirement for cl package.
		(erc-buffer-list): Make this variable global again.
		(erc-default-face): Fix typo.
		(erc-timestamp-face): Add face for timestamps.
		(erc-join-buffer, erc): Add a 'bury option.
		(erc-send-action): Add timestamp.
		(erc-command-table): Add /CLEAR, /DEOP, /OP, /Q.
		(erc-send-current-line): Add timestamp.
		(erc-send-current-line): Add call to erc-insert-hook.
		(erc-cmd-clear): New command to clear buffer contents.
		(erc-cmd-whois): Fix cut'n'paste-o.
		(erc-cmd-deop): New command to deop a user.
		(erc-cmd-op): New command to op a user.
		(erc-make-notice): Moved a lot of duplicate code here.  Perhaps
		this should also be done for erc-highlight-error.
		(erc-parse-line-from-server): Now NOTICE will also open a new
		query, just as PRIVMSG.
		(erc-parse-line-from-server): Call erc-put-text-property on a
		channel message/notice first, before concatenating nick and
		timestamp &c.
		(erc-message-notices): Add option to display notices in
		minibuffer.
		(erc-fill-region): No longer strip spaces in front of incoming
		messages.
		(erc-parse-current-line): No longer strip spaces in front of text
		input by user.

	Hopefully I didn't break too much :(

2001-11-05  Mario Lang  <mlang@delysid.org>

	* erc.el 1.80:
	* New function erc-nickserv-identify-autodetect for erc-insert-hook. Added by default currently.

	* erc.el 1.79:
	* Mini-fix in erc-process-num-reply (= n 353): Added @ as prefix character to make certain channels on opn work again nicely

2001-10-31  Gergely Nagy  <algernon@debian.org>

	* debian/changelog 1.6: updated to reflect changes

	* debian/scripts/install.in 1.2:
	moved #PKGFLAG# before -f batch-byte-compile

2001-10-29  Mario Lang  <mlang@delysid.org>

	* erc.el 1.78:
	Imenu fixed somehow, added IRC services interactive function for indentify to NickServ. Read the diff

2001-10-26  Gergely Nagy  <algernon@debian.org>

	* debian/changelog 1.5: sigh. -2

2001-10-25  Gergely Nagy  <algernon@debian.org>

	* debian/changelog 1.4: updated to reflect changes

	* debian/rules 1.3: handle conffiles.in too

	* debian/maint/conffiles.in 1.1: new file

	* debian/maint/conffiles 1.2: superceded by conffiles.in

	* debian/scripts/startup 1.2: superceded by startup.erc

2001-10-25  Mario Lang  <mlang@delysid.org>

	* debian/scripts/startup.erc-speak 1.1: * Initial version

	* debian/scripts/startup.erc 1.1: * Added and fixes minimal typo

2001-10-25  Gergely Nagy  <algernon@debian.org>

	* debian/changelog 1.3: updated to reflect changes

	* debian/rules 1.2:
	modified to be able to build the erc-speak package too

	* debian/control 1.2: added the new erc-speak package

	* debian/README.erc-speak 1.1, debian/maint/postinst.in 1.1, debian/maint/prerm.in 1.1, 
	  debian/scripts/install.in 1.1, debian/scripts/remove.in 1.1:
	new file

	* debian/maint/postinst 1.2, debian/maint/prerm 1.2, debian/scripts/install 1.2, 
	  debian/scripts/remove 1.2:
	removed, superceded by it's .in counterpart

2001-10-25  Mario Lang  <mlang@delysid.org>

	* erc.el 1.77: * Fixed some defcustom :type 's
	* Added erc-before-connect hook which gets called with server port and nick.
	  Use this hook to e.g. setup a tunnel before actually connecting.
	  something like (when (string= server "localhost") ...)

2001-10-24  Mario Lang  <mlang@delysid.org>

	* erc.el 1.76: * Patch by smoke: fix erc-cmd-* commands and add aliases

2001-10-23  Mario Lang  <mlang@delysid.org>

	* erc-speak.el 1.14:
	* Added a new personality for channel name announcement, This makes streams of flooded channels much easier to listen to, 
	  especially if you are on more than one channel simultaniously.

	* erc.el 1.75:
	* Made the completion postfix customizable through erc-nick-completion-postfix

	* erc-speak.el 1.13, erc.el 1.74:
	* Added erc-prevent-minibuffer-privmsg

	* erc-speak.el 1.12:
	* Quickish hack to allow exclusion of timestamps from speaking. see erc-speak-filter-timestamps

2001-10-21  Mario Lang  <mlang@delysid.org>

	* erc-speak.el 1.11:
	* Removed now really obsolete code. Package size reduced by 50%

	* erc-speak.el 1.10:
	* Very important fix! Now erc-speak is really complete. Messages dont get cut anymore. Be sure to use auditory icons, 
	  it's reallllly cool now!!!

	* erc-speak.el 1.9: *** empty log message ***

	* erc-speak.el 1.5: * Major simplification. depends on erc.el,v 1.73
	* Things removed, read diff

2001-10-21  Gergely Nagy  <algernon@debian.org>

	* debian/changelog 1.2: oops, silly typo

	* debian/changelog 1.1, debian/control 1.1, debian/copyright 1.1, 
	  debian/maint/conffiles 1.1, debian/maint/postinst 1.1, debian/maint/prerm 1.1, 
	  debian/rules 1.1, debian/scripts/install 1.1, debian/scripts/remove 1.1, 
	  debian/scripts/startup 1.1:
	initial check-in

2001-10-21  Mario Lang  <mlang@delysid.org>

	* erc.el 1.73:
	* Changed erc-insert-hook to get two arguments, START and END of the region
	  which got inserted. CAREFUL! This could break stuff, but it makes the hook
	  much more useable.

	* erc.el 1.72:
	* Made erc-smiley a new option, currently set to t to showoff this feature. :)

2001-10-20  Mario Lang  <mlang@delysid.org>

	* erc.el 1.71: * Add missing erc-mode-hook variable
	* Add smiley-support (preliminary test)

2001-10-20  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.70:
	Replaced all occurences of put-text-property with a call to
	erc-put-text-property.
	(erc-put-text-property): New function.
	(erc-tracking-modified-channels): Moved to the front of the file such
	that it is already defined when the menu is being defined.
	(erc-modified-channel-string): Ditto.

2001-10-18  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.69: Removed some commentary.  The wiki page is the place to
	put such information.
	(erc-fill-prefix): Doc change.
	(erc-notice-highlight-type): Doc change, now a user option.
	(erc-pal-highlight-type): Doc change, now a user option.
	(erc-fool-highlight-type): New option.
	(erc-keyword-highlight-type): New option.
	(erc-dangerous-host-highlight-type): New option.
	(erc-uncontrol-input-line): Doc change.
	(erc-interpret-controls-p): Doc change, now a user option.
	(erc-multiline-input): Doc change.
	(erc-auto-discard-away): Doc change.
	(erc-pals): Changed from string to regexp.
	(erc-fools): New option.
	(erc-keywords): Renamed from erc-highlight-strings.  WATCH OUT:
	Not backwards compatible change!
	(erc-dangerous-hosts): Renamed from erc-host-danger-highlight.
	WATCH OUT: Not backwards compatible change!
	(erc-menu-definition): Added menu entries for fools, keywords and
	dangerous hosts.
	(erc-mode-map): Changed keybindings from C-c <plain ascii> to
	various C-c <C-ascii> combinations.
	(erc-dangerous-host-face): Renamed from erc-host-danger-face.
	WATCH OUT: Not backwards compatible change!
	(erc-fool-face): New face.
	(erc-keyword-face): Renamed from erc-highlight-face.  WATCH OUT:
	Not backwards compatible change!
	(erc-parse-line-from-server): Fixed highlighting in the cases
	where (equal erc-pal-highlight-type 'all), added code to handle
	erc-fool-highlight-type, erc-dangerous-host-highlight-type
	(erc-update-modes): Replaced erc-delete-string with delete.
	(erc-keywords): Renamed from erc-highlight-strings, handle
	erc-keyword-highlight-type.
	(erc-delete-string): Removed.
	(erc-list-match): New function.
	(erc-pal-p): Use erc-list-match.
	(erc-fool-p): New function.
	(erc-keyword-p): New function.
	(erc-dangerous-host-p): Renamed from erc-host-danger-p, use
	erc-list-match.
	(erc-directed-at-fool-p): New function.
	(erc-add-entry-to-list): New function.
	(erc-remove-entry-from-list): New function.
	(erc-add-pal): Use erc-add-entry-to-list.
	(erc-delete-pal): Use erc-remove-entry-from-list.
	(erc-add-fool): New function.
	(erc-delete-fool): New function.
	(erc-add-keyword): New function.
	(erc-delete-keyword): New function.
	(erc-add-dangerous-host): New function.
	(erc-delete-dangerous-host): New function.

2001-10-07  Mario Lang  <mlang@delysid.org>

	* erc.el 1.68: * irc vs ircd default port fixed

	* erc.el 1.67: * Added topic-change to imenu

	* erc.el 1.66: * More imenu spiffyness

	* erc.el 1.65: * Added imenu support

	* erc.el 1.64:
	* Fix to /topic to show topic instead of setting it to null :)

2001-10-05  Mario Lang  <mlang@delysid.org>

	* erc.el 1.63: * First version of erc-rename-buffer

	* erc.el 1.62: * more header-line tricks.

	* erc.el 1.61:
	* Small fix to do erc-update-mode-line-buffer in erc-update-channel-topic

	* erc.el 1.60: * Added erc-header-line-format

2001-10-04  Mario Lang  <mlang@delysid.org>

	* erc.el 1.59: * mini-fix, add msgp to auto-query code

	* erc.el 1.58: * Added command-names to completion (erc-command-table)
	* New variable erc-auto-query. When set, every arriving message to you
	will open a query buffer for that sender if not already open.
	* Compatibility function fo non-existing line-beginning|end-position functions in XEmacs.

2001-10-03  Mario Lang  <mlang@delysid.org>

	* erc.el 1.57:
	* Removed alot of (progn ...) where they were not necessary
	* Changed some (if ...) without else part to (when ...)
	* Some (while ...) to use (dolist ...)
	* Fix for completion popup generating tracebacks.
	* New function erc-arrange-session-in-mulptiple-windows
	* Lots of other stuff, read the diff

2001-10-02  Mario Lang  <mlang@delysid.org>

	* erc.el 1.56: * Added erc-kill-input and keybinding C-c C-u for it

2001-10-01  Mario Lang  <mlang@delysid.org>

	* erc.el 1.55: * Another fix to nick-completion
	* Additional checks in erc-track-modified-channels

2001-09-26  Mario Lang  <mlang@delysid.org>

	* erc.el 1.54: * Fixed completion (alex)
	  * Now popup buffer doesnt destroy your window configuration.
	* Fixed away handling (incomplete)

2001-09-24  Mario Lang  <mlang@delysid.org>

	* erc.el 1.53: Fixed silly quoting-escape error

2001-09-23  Mario Lang  <mlang@delysid.org>

	* erc.el 1.52: * Added auto-op support (unfinished)
	* Added erc-latest-version.
	* Added erc-ediff-latest-version.

2001-09-21  Mario Lang  <mlang@delysid.org>

	* erc.el 1.51:
	* Minor menu additions (invite only mode is now a checkbox)

2001-09-20  Mario Lang  <mlang@delysid.org>

	* erc.el 1.50:
	* Fix (erc-cmd-names): This should fix C-c C-n too, hoepfully it was the right fix and doesnt break anything else.

	* erc.el 1.49: * Fixes XEmacs easymenu usage (2nd time).

2001-09-19  Mario Lang  <mlang@delysid.org>

	* erc.el 1.48:
	* (erc-complete-nick): Add ": " only if one completes directly after the erc-prompt, otherwise, add just one space

	* erc.el 1.47:
	* Changed menu-definition to use easymenu (hopefully this now works under Xemacs)
	* Fix for custom problem with :must-match on XEmacs (thanks shapr)
	* Added /COUNTRY command using (what-domain) from package mail-extr (shapr)
	* Fix for case-sensitivity problem with pals (they are now all downcased)
	* Different (erc-version) function which now can take prefix argument to insert the version information into the current buffer, 
	  instead of just displaying it in the minibuffer.

2001-09-10  Mario Lang  <mlang@delysid.org>

	* erc.el 1.46: Updated erc-version-string

	* erc.el 1.45: Version number change and last read-through...

2001-09-04  Mario Lang  <mlang@delysid.org>

	* erc.el 1.44: Added some asterisks

2001-08-24  Mario Lang  <mlang@delysid.org>

	* erc.el 1.43:
	Fixed hidden channel buffer tracking (sort of), now using switch-to-buffer for advice.
	This version is unofficially named 2.1prebeta1. Please test it and send
	fixes to various problems you may encounter so that we can eventually
	release 2.1 soon.

2001-08-14  Mario Lang  <mlang@delysid.org>

	* erc.el 1.42:
	Added function erc-bol and keybinding C-c C-a for it (contributed by Benjamin Rutt <brutt@bloomington.in.us)

2001-08-07  Mario Lang  <mlang@delysid.org>

	* erc.el 1.41:
	Checked in lathis code and modified it slightly. Still unsure about set-window-buffer advice, current attempt doesnt seem to work.
	Removed (nick -> #channel) from mode-line. (CLOSED) and (AWAY...) should still be displayed when appropriate

2001-08-06  Mario Lang  <mlang@delysid.org>

	* erc.el 1.40:
	added local-variable channel-list in session-buffers and make /LIST use it.
	erc-join-channel can now do completion after /LIST was executed

2001-08-05  Mario Lang  <mlang@delysid.org>

	* erc.el 1.39: Tweaked erc-join-channel and erc-part-from-channel

2001-07-27  Mario Lang  <mlang@delysid.org>

	* erc.el 1.38: some more defcustom stuff

	* erc.el 1.37: Patch from Henrik Enberg <henrik@enberg.org>:
	   Adds variables erc-frame-alist and erc-frame-dedicated-p.

	* erc.el 1.36: fixed erc-part-from-channel

	* erc.el 1.35:
	fixed match-string problem and added interactive topic setting function.

	* erc.el 1.34: fixed silly string-match bug

	* erc.el 1.33:
	Added erc-join-channel and erc-part-from-channel (interactive prompts), as well as keybindings. C-c C-j #emacs RET is now enough :)

2001-07-27  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.32 (erc-display-line-buffer): Simplified filling.
	(erc-fill-region): New function.

2001-07-27  Mario Lang  <mlang@delysid.org>

	* erc.el 1.31: Added redundancy check in output

2001-07-26  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.30 (erc-send-action): Add text-property stuff.
	(erc-input-action): Removed text-property stuff.
	(erc-command-table): Corrected command for DESCRIBE.  Still
	doesn't work though.  No idea what it should do.  Looks like a no op.
	(erc-cmd-me): Doc change.

2001-07-26  Mario Lang  <mlang@delysid.org>

	* erc.el 1.29:
	fixed one occurence of a setq with only one argument (XEmacs didnt like that)

	* erc.el 1.28:
	Added erc-next-line-add-newlines customisation possibility.

	* erc.el 1.27:
	added erc-fill-prefix for defining your own way of filling and fixed filling somehow

	* erc.el 1.26:
	fixed small incompatibility in erc-parse-line-from-server at (and (= n 353) regexp

2001-07-25  Mario Lang  <mlang@delysid.org>

	* erc.el 1.25:
	Added erc-filling and filling code to erc-display-line-buffer.

2001-07-08  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.24 (try-complete-erc-nick): Make the ": " part of the
	expansion

	* erc.el 1.23: require ring

2001-07-08  Mario Lang  <mlang@delysid.org>

	* erc.el 1.22: *** empty log message ***

2001-07-07  Mario Lang  <mlang@delysid.org>

	* erc.el 1.21: typo

	* erc.el 1.20: ommit
	:wq

2001-07-06  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.19 (erc-mode): Call erc-input-ring-setup.
	(erc-send-current-line): Call erc-add-to-input-ring.
	(erc-input-ring): New variable.  Currently not buffer local.
	(erc-input-ring-index): New variable.  Currently not buffer local.
	(erc-input-ring-setup): New function.
	(erc-add-to-input-ring): New function.
	(erc-previous-command): New function.
	(erc-next-command): New function.
	(erc-mode-map): Uncommented keybindings for erc-next-command and
	erc-previous-command.

2001-07-05  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.18 (erc-highlight-strings): Removed debug message.

	* erc.el 1.17 (erc-join-buffer): Changed default to 'buffer.
	(erc-join-info-buffer): Changed default to 'disable.
	(erc-nick-completion): Changed default to 'all.

2001-07-04  uid31117  <uid31117@D5DC120J>

	* erc.el 1.16: Resolved...

2001-07-03  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.15 (erc-highlight-strings): New option and new function.
	(erc-parse-line-from-server): Use it.
	Various empty lines removed.  Various doc strings fixed.

	* erc.el 1.14: Removed more empty lines.

	* erc.el 1.13 (erc-member-string): replaced by plain member
	Otherwise, lots of deleting of empty lines...  I'm not too happy with that
	but I feel better when the code is "cleaned up".

2001-07-03  Mario Lang  <mlang@delysid.org>

	* erc.el 1.12: Ugly hack, but looks nicer when giving commands

	* erc-speak.el 1.4: ugly hack, but looks nicer now

2001-07-03  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.11 (try-complete-erc-nick): New function.
	(erc-try-complete-nick): New function.
	(erc-nick-completion): New option.
	(erc-complete): Call hippie-expand such that erc-try-complete-nick
	will be called eventually.  Based on erc-nick-completion
	try-complete-erc-nick will then complete on the nick at point.

2001-07-02  Mario Lang  <mlang@delysid.org>

	* erc.el 1.10:
	Insert (erc-current-nick) instead of (erc-display-prompt). good night :)

	* erc.el 1.9:
	small, but it was anoying, so I just did it (defcustom for erc-join-buffer and erc-join-info-buffer)

2001-06-29  Alex Schroeder  <alex@gnu.org>

	* erc.el 1.8: Use defface to define all faces.
	Removed some history from the commentary, as well as some other
	commentary editing.

2001-06-28  Mario Lang  <mlang@delysid.org>

	* erc.el 1.7: hmm, defcustom for erc-user-full-name

	* erc-speak.el 1.3, erc.el 1.6: *** empty log message ***

2001-06-27  Mario Lang  <mlang@delysid.org>

	* erc.el 1.5: typo

	* erc.el 1.4: Some more defcustom

	* erc-speak.el 1.2: nothing, really

2001-06-26  Mario Lang  <mlang@delysid.org>

	* erc.el 1.3: Some defcustom stuff. Still no defgroup though :)

	* erc.el 1.2:
	Initial change to erc.el (2.0). Mainly list of ideas and features
	and syntax-table entries.

	* erc-speak.el 1.1.1.1, erc.el 1.1.1.1: Initial Import

	* erc-speak.el 1.1, erc.el 1.1: New file.

